process equationSolving_sbDC_TRA =
     ( ? real a, b, c;
       ! real x2, x1;
         boolean error;
     )
   pragmas 
      main
   end pragmas
   (| (| Tick_184 := true
       | when Tick_184 ^= C_x ^= stable ^= C_y ^= C_cc_249 ^= C_u ^= C_290
       |)
    | (| when stable ^= a ^= b ^= c ^= C_bb ^= XZX_116
       | when stable ^= OK ^= err_220 ^= C_error_257 ^= C_error_266 ^= C_294
       |)
    | (| when C_bb ^= C_err |)
    | (| when C_err ^= err |)
    | (| when XZX_116 ^= C_cc ^= C_error
       | when XZX_116 ^= bb_1 ^= cc_2
       |)
    | (| when C_cc ^= x
       | when C_cc ^= bb ^= cc
       |)
    | (| x := -(cc/bb)
       | bb := bb_1 when C_cc
       | cc := cc_2 when C_cc
       |)
    | (| when C_error ^= err2 |)
    | (| err2 := (cc_2/=0.0) when C_error |)
    | (| bb_1 := b when XZX_116
       | cc_2 := c when XZX_116
       | C_cc := bb_1/=0.0
       | C_error := bb_1=0.0
       |)
    | (| when C_error_266 ^= error |)
    | (| error := (true when err) default (err2 when C_294) |)
    | (| nlabel_276 :: equationSolving_66{}
       | nlabel_276 ^= when stable
       |)
    | (| nlabel_277 :: equationSolving_68{}
       | nlabel_277 ^= when stable
       |)
    | (| OK := a/=0.0
       | XZX_116 := not OK
       | err_220 := left_tt ( err,C_bb )
       | C_error_257 := left_tt ( C_error,XZX_116 )
       | C_error_266 := C_error_257 or err_220
       | C_294 := (not err_220) and C_error_257
       |)
    | (| when C_y ^= x2 |)
    | (| when C_x ^= x21 |)
    | (| when C_u ^= x1
       | when C_u ^= u
       |)
    | (| x1 := u
       | u := (x21 when C_x) default (x when C_290)
       |)
    | (| nlabel :: equationSolving_64{}
       | nlabel ^= when Tick_184
       |)
    | (| nlabel_278 :: equationSolving_70{}
       | nlabel_278 ^= when Tick_184
       |)
    | (| nlabel_302 :: equationSolving_72{}
       | nlabel_302 ^= when Tick_184
       |)
    | (| C_cc_249 := left_tt ( C_cc,stable )
       | C_u := C_x or C_cc_249
       | C_290 := (not C_x) and C_cc_249
       |)
    | (| {c --> nlabel} when stable
       | {c --> nlabel_277} when stable
       | {b --> nlabel} when stable
       | {b --> nlabel_276} when stable
       | {a --> nlabel} when stable
       | {a --> nlabel_278} when stable
       | {nlabel_278 --> nlabel_277} when stable
       | {nlabel_278 --> nlabel_276} when stable
       | {nlabel_278 --> nlabel} when Tick_184
       | {nlabel_278 --> nlabel_302} when Tick_184
       | {nlabel_277 --> nlabel} when stable
       | {nlabel_277 --> nlabel_302} when stable
       | {nlabel_276 --> nlabel} when stable
       | {nlabel_276 --> nlabel_302} when stable
       | {nlabel --> nlabel_302} when Tick_184
       |)
    |)
   where 
   constant real cst_epsilon = 0.0001;
   boolean err, OK, C_x, C_bb, C_err, stable, C_y, XZX_116, err2, Tick_184, err_220, C_cc, C_cc_249, C_error, C_error_257, C_error_266, C_u, C_290, C_294;
   real x, x21, bb, cc, bb_1, cc_2, u;
   label nlabel, nlabel_278, nlabel_302; 
   label nlabel_276, nlabel_277; 
   process equationSolving_66 =
        ( ? boolean stable;
            real b;
        )
      pragmas 
         Grey_Box "SecondDegree"
      end pragmas
      (| (| (| SecondDegree_Cluster_2(b) |) |) |)
   %equationSolving_66%; 
   process equationSolving_68 =
        ( ? boolean stable;
            real c;
        )
      pragmas 
         Grey_Box "SecondDegree"
      end pragmas
      (| (| (| SecondDegree_Cluster_3(c) |) |) |)
   %equationSolving_68%; 
   process equationSolving_64 =
        ( ? boolean Tick_184, C_x, C_err, C_bb, C_y;
          ! real x2;
            boolean err;
            real x21;
            boolean C_x, C_err, C_y;
        )
      pragmas 
         Grey_Box "SecondDegree"
      end pragmas
      (| (| (| (err,x21,x2,C_y,C_err,C_x) := SecondDegree_Cluster_1() |) |) |)
   %equationSolving_64%; 
   process equationSolving_70 =
        ( ? boolean Tick_184, stable;
            real a;
          ! boolean C_bb;
        )
      pragmas 
         Grey_Box "SecondDegree"
      end pragmas
      (| (| (| C_bb := SecondDegree_Cluster_4(a) |) |) |)
   %equationSolving_70%; 
   process equationSolving_72 =
        ( ? boolean Tick_184;
          ! boolean stable;
        )
      pragmas 
         Grey_Box "SecondDegree"
      end pragmas
      (| (| (| stable := SecondDegree_Cluster_delays() |) |) |)
   %equationSolving_72%; 
   action SecondDegree_Cluster_1 =
        ( ! boolean err;
            real x21, x2;
            boolean C_y, C_err, C_x;
        )
      pragmas 
         Black_Box ""
         Grey_Box "SecondDegree"
                  1
      end pragmas
      external "C"
   %SecondDegree_Cluster_1%; 
   action SecondDegree_Cluster_2 =
        ( ? real b;
        )
      pragmas 
         Black_Box ""
         Grey_Box "SecondDegree"
                  1
      end pragmas
      external "C"
   %SecondDegree_Cluster_2%; 
   action SecondDegree_Cluster_3 =
        ( ? real c;
        )
      pragmas 
         Black_Box ""
         Grey_Box "SecondDegree"
                  1
      end pragmas
      external "C"
   %SecondDegree_Cluster_3%; 
   action SecondDegree_Cluster_4 =
        ( ? real a;
          ! boolean C_bb;
        )
      pragmas 
         Black_Box ""
         Grey_Box "SecondDegree"
                  1
      end pragmas
      external "C"
   %SecondDegree_Cluster_4%; 
   action SecondDegree_Cluster_delays =
        ( ! boolean stable;
        )
      pragmas 
         Black_Box ""
         Grey_Box "SecondDegree"
                  1
         DelayCluster ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_delays%; 
   end
%equationSolving_sbDC_TRA%; %(| C := not stable
                              | C_190 := not C_y
                              | C_bb_193 := left_tt ( C_bb,stable )
                              | C_196 := not C_bb
                              | C_err_199 := left_tt ( C_err,C_bb )
                              | C_err_202 := left_tt ( C_err,stable )
                              | C_205 := not C_err
                              | C_208 := not C_x
                              | XZX_211 := left_tt ( XZX_116,stable )
                              | C_214 := not XZX_116
                              | err_217 := left_tt ( err,C_err )
                              | C_223 := not err
                              | C_226 := C_y or C_err_202
                              | C_229 := C_x or C_226
                              | C_232 := C_x or C_err_202
                              | C_235 := C_x or C_bb_193
                              | C_238 := C_235 or C_y
                              | C_241 := C_229 or stable
                              | C_cc_246 := left_tt ( C_cc,XZX_116 )
                              | C_252 := not (bb_1/=0.0)
                              | C_260 := not (bb_1=0.0)
                              | C_263 := C_cc or C_error
                              | C_269 := C_error_266 or C_cc_246
                              | C_272 := left_tt ( C_269,stable )
                              | C_275 := C_x or C_272
                              | C_278 := C_275 or C_err_202
                              | C_281 := C_278 or XZX_211
                              | C_284 := C_278 or stable
                              |)***war: unused signals 
%
%
