process TRAIN_SEQ_TRA =
     ( ? boolean H, HV11, HV12, HLW1, HNW1, HV21, HV22, HLW2, HNW2, HREPARER1, HPANNE1, HDEFAILLANCE1, HREPARER2, HPANNE2, HDEFAILLANCE2;
         real V11, V12, LW1;
         integer NW1;
         real V21, V22, LW2;
         integer NW2;
     )
   pragmas 
      Main
      DefinedClockHierarchy
   end pragmas
   (| (| Tick := true
       | when Tick ^= H
       | ACT_Tick{}
       |) |)
   where 
   constant real DMIN = 2500.0;
   constant real XT1 = 0.0;
   constant real XT2 = 10.0;
   constant real XT3 = 2480.0;
   constant real XT4 = 2520.0;
   constant real XT5 = 5000.0;
   constant integer DEL1 = 30;
   constant integer DEL2 = 15;
   constant integer DEL3 = 13;
   constant integer DEL_BARRIERE = 5;
   constant integer YV = 140;
   constant integer SENS = 1;
   constant integer NSLIDER = 1;
   constant integer NSLIDER_1744 = 2;
   constant integer YV2 = 120;
   constant integer YV2_1920 = 120;
   constant integer YV_2035 = 370;
   constant integer SENS_2038 = -1;
   constant integer NSLIDER_2041 = 3;
   constant integer NSLIDER_3367 = 4;
   constant integer YV2_3391 = 350;
   constant integer YV2_3487 = 350;
   constant integer XBAR = 520;
   constant integer YBAR = 310;
   constant integer XBAR_3962 = 520;
   constant integer YBAR_3963 = 80;
   constant real DIST1 = XT2-XT1;
   constant real DIST2 = XT3-XT2;
   constant integer X_4726 = 170;
   constant integer Y_4729 = 220;
   constant boolean INITIAL = true;
   constant boolean INITIAL_5010 = true;
   constant integer X_5402 = 170;
   constant integer Y_5403 = 200;
   constant boolean INITIAL_5439 = true;
   constant boolean INITIAL_5663 = true;
   constant boolean INITIAL_5773 = true;
   constant integer F_5850 = 1;
   constant integer X1_5851 = 498;
   constant integer Y1_5854 = 72;
   constant integer X2_5857 = 514;
   constant integer Y2_5860 = 88;
   constant integer F_6007 = 1;
   constant integer X1_6008 = 498;
   constant integer Y1_6009 = 302;
   constant integer X2_6012 = 514;
   constant integer Y2_6013 = 318;
   constant integer F_6158 = 0;
   constant integer Y_6159 = 60;
   constant integer X1_6162 = 120;
   constant integer X2_6165 = 240;
   constant integer X3_6168 = 360;
   constant integer XX2_6184 = 220;
   constant integer YY2 = 80;
   constant integer XX2_6242 = 340;
   constant integer YY2_6245 = 80;
   constant integer XX2_6295 = 460;
   constant integer YY2_6298 = 80;
   constant integer F_6351 = 0;
   constant integer Y_6352 = 100;
   constant integer X1_6354 = 120;
   constant integer X2_6355 = 240;
   constant integer X3_6356 = 360;
   constant integer XX2_6370 = 220;
   constant integer YY2_6373 = 120;
   constant integer XX2_6427 = 340;
   constant integer YY2_6430 = 120;
   constant integer XX2_6480 = 460;
   constant integer YY2_6483 = 120;
   constant integer F_6539 = 0;
   constant integer Y_6540 = 200;
   constant integer X1_6541 = 137;
   constant integer X2_6544 = 280;
   constant integer X3_6547 = 400;
   constant integer XX2_6569 = 187;
   constant integer YY2_6573 = 220;
   constant integer XX2_6633 = 380;
   constant integer YY2_6636 = 220;
   constant integer XX2_6686 = 500;
   constant integer YY2_6689 = 220;
   constant integer F_6745 = 0;
   constant integer Y_6746 = 240;
   constant integer X1_6747 = 137;
   constant integer X2_6748 = 280;
   constant integer X3_6749 = 400;
   constant integer XX2_6769 = 187;
   constant integer YY2_6772 = 260;
   constant integer XX2_6832 = 380;
   constant integer YY2_6835 = 260;
   constant integer XX2_6885 = 500;
   constant integer YY2_6888 = 260;
   constant integer M = 100;
   constant integer M_7039 = 40;
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= ZX1 ^= ZX2 ^= ZXX1 ^= ZXX2 ^= VITESSE ^= ZVITESSE ^= VITESSE_1651 ^= ZVITESSE_1652 ^= Z_1691 ^= Z_1705 ^= Z_1719 ^= Z_1733 ^= ZX1_3152 ^= ZX2_3153 ^= ZXX1_3154 ^= ZXX2_3155 ^= VITESSE_3198 ^= ZVITESSE_3199 ^= VITESSE_3274 ^= 
         ZVITESSE_3275 ^= Z_3314 ^= Z_3328 ^= Z_3342 ^= Z_3356 ^= XZX ^= ACTIF_3792 ^= ZACTIF_1 ^= ACTIF_3827 ^= POS_THEORIQUE ^= ACTIF_3861 ^= ZACTIF_2 ^= ACTIF_3895 ^= MOUVEMENT ^= XZX_3997 ^= ACTIF_4085 ^= ZACTIF_4086 ^= ACTIF_4119 ^= ZACTIF_4120 ^= 
         ACTIF_4153 ^= ZACTIF_4154 ^= ACTIF_4187 ^= ZACTIF_4188 ^= ACTIF_4874 ^= ZACTIF_4875 ^= ACTIF_5542 ^= ZACTIF_5543 ^= N_7023 ^= ZN_7024 ^= N_7045 ^= ZN_7046 ^= C_STOP1 ^= C_CLK_825 ^= C_CLK_833 ^= C_STOP2 ^= C_CLK_888 ^= C_CLK_896 ^= C_STOP1_2969 ^=
         C_CLK_1760 ^= C_CLK_1768 ^= C_STOP2_2970 ^= C_CLK_1823 ^= C_CLK_1831 ^= C_CLK_1982 ^= C_CLK_2118 ^= C_CLK_2162 ^= C_CLK_2288 ^= C_HMOD100 ^= C_CLK_3807 ^= C_HV12 ^= C_CLK_3822 ^= HV11_19059 ^= HV12_19065 ^= HLW1_19071 ^= HNW1_19077 ^= HV21_19083 
         ^= HV22_19089 ^= HLW2_19095 ^= HNW2_19101 ^= HREPARER1_19107 ^= HPANNE1_19113 ^= HDEFAILLANCE1_19119 ^= HREPARER2_19125 ^= HPANNE2_19131 ^= HDEFAILLANCE2_19137 ^= C_X3 ^= C_NWAG ^= C_X3_19149 ^= C_NWAG_19152 ^= C_X3_19155 ^= C_NWAG_19158 ^= 
         C_X3_19161 ^= C_NWAG_19164 ^= C_CLK_4389 ^= C_CLK_4395 ^= C_L ^= C_L_19176 ^= C_N ^= C_N_19182 ^= C_CLK_4425 ^= C_CLK_4427 ^= C_L_19191 ^= C_L_19194 ^= C_N_19197 ^= C_N_19200 ^= C_CLK_4459_19206 ^= C_CLK_4462_19212 ^= C_CLK_4466_19218 ^= 
         C_CLK_4469_19224 ^= C_CLK_4799 ^= C_CLK_4801 ^= C_CLK_4803 ^= C_CLK_4805 ^= C_CLK_4807 ^= C_CLK_4809 ^= C_CLK_4811 ^= C_CLK_4813 ^= C_CLK_4815 ^= C_CLK_4823 ^= C_CLK_4827_19260 ^= C_CLK_4831_19266 ^= C_CLK_4833 ^= C_CLK_4835 ^= C_CLK_4837 ^= 
         C_CLK_4839 ^= C_CLK_4923 ^= C_CLK_4925 ^= C_CLK_4928 ^= C_CLK_4930 ^= C_CLK_4969 ^= C_CLK_4971 ^= C_CLK_4974 ^= C_CLK_4976 ^= C_EFFACE ^= C_EFFACE_19316 ^= C_XW0_19321 ^= ZACTIF_19327 ^= C_XW0_19334 ^= ZACTIF_19340 ^= C_XW0_19347 ^= ZACTIF_19353 
         ^= C_XW0_19360 ^= ZACTIF_19366 ^= C_XW0_19373 ^= ZACTIF_19379 ^= C_XW0_19386 ^= ZACTIF_19392 ^= C_XW0_19399 ^= ZACTIF_19405 ^= C_XW0_19412 ^= ZACTIF_19418 ^= C_XW0_19425 ^= ZACTIF_19431 ^= C_XW0_19438 ^= ZACTIF_19444 ^= C_XW0_19451 ^= 
         ZACTIF_19457 ^= C_XW0_19464 ^= ZACTIF_19470 ^= C_XW0_19477 ^= ZACTIF_19483 ^= C_XW0_19490 ^= ZACTIF_19496 ^= C_XW0_19503 ^= ZACTIF_19509 ^= C_XW0_19516 ^= ZACTIF_19522 ^= C_XW0_19529 ^= ZACTIF_19535 ^= C_XW0_19542 ^= ZACTIF_19548 ^= C_XW0_19555 ^=
         ZACTIF_19561 ^= C_XW0_19568 ^= ZACTIF_19574 ^= C_L2CO_19581 ^= C_B2SD_19589 ^= C_L1CO_19597 ^= C_B1SD_19605 ^= C_COULEUR_19614 ^= C_COULEUR_19620 ^= C_XW0_19623 ^= C_XW0_19626 ^= C_XW0_19629 ^= C_XW0_19632 ^= C_XW0_19635 ^= C_XW0_19638 ^= 
         C_XW0_19641 ^= C_XW0_19644 ^= C_XW0_19647 ^= C_XW0_19650 ^= C_NXW ^= C_ZXW ^= C_NXW_19659 ^= C_ZXW_19662 ^= C_NXW_19665 ^= C_ZXW_19668 ^= C_NXW_19671 ^= C_ZXW_19674 ^= C_NXW_19677 ^= C_ZXW_19680 ^= C_NXW_19683 ^= C_ZXW_19686 ^= C_NXW_19689 ^= 
         C_ZXW_19692 ^= C_NXW_19695 ^= C_ZXW_19698 ^= C_NXW_19701 ^= C_ZXW_19704 ^= C_NXW_19707 ^= C_ZXW_19710 ^= C_CLK_4849 ^= C_CLK_4853 ^= C_CLK_4857 ^= C_CLK_4861 ^= C_CLK_4865 ^= C_CLK_4869 ^= C_CLK_4873 ^= C_CLK_4877 ^= C_CLK_4881 ^= C_CLK_4885 ^= 
         C_CLK_4887 ^= C_CLK_4895 ^= C_CLK_4901 ^= C_CLK_4909 ^= C_CLK_4917 ^= C_CLK_4933 ^= C_CLK_4941 ^= C_CLK_4947 ^= C_CLK_4955 ^= C_CLK_4963 ^= C_CLK_5208 ^= C_CLK_5210 ^= C_ZN ^= C_ZN_19816 ^= C_FIN_MV_4081 ^= C_FIN_MV ^= C_T1S40_19827 ^= 
         C_T1S41_19835 ^= C_T1S30_19843 ^= C_T1S20_19851 ^= C_T1S10_19859 ^= C_T2S10_19867 ^= C_T2S11_19875 ^= C_T2S20_19883 ^= C_T2S30_19891 ^= C_T2S40_19899 ^= C_CLK_2849_19907 ^= C_CLK_2860_19915 ^= C_CLK_2993_19923 ^= C_CLK_3004_19931 ^= C_CLK_4479 ^= 
         C_CLK_4481 ^= C_CLK_4483 ^= C_CLK_4485 ^= C_CLK_4487 ^= C_CLK_4489 ^= C_CLK_4491 ^= C_DN ^= C_CLK_4495 ^= C_ZN_19970 ^= C_CLK_4499 ^= C_DN_19976 ^= C_CLK_4503 ^= C_DN_19982 ^= C_CLK_4507 ^= C_CLK_4509 ^= C_DN_19991 ^= C_CLK_4513 ^= C_ZN_19997 ^= 
         C_CLK_4517 ^= C_DN_20003 ^= C_CLK_4521 ^= C_DN_20009 ^= C_CLK_4525 ^= C_CLK_4847 ^= C_CLK_4851 ^= C_CLK_4855 ^= C_CLK_4859 ^= C_CLK_4863 ^= C_CLK_4867 ^= C_CLK_4871 ^= C_CLK_4875 ^= C_CLK_4879 ^= C_CLK_4883 ^= C_CLK_4889 ^= C_CLK_4891 ^= 
         C_CLK_4897 ^= C_CLK_4903 ^= C_CLK_4905 ^= C_CLK_4907 ^= C_CLK_4911 ^= C_CLK_4913 ^= C_CLK_4915 ^= C_CLK_4919 ^= C_CLK_4921 ^= C_CLK_4935 ^= C_CLK_4937 ^= C_CLK_4943 ^= C_CLK_4949 ^= C_CLK_4951 ^= C_CLK_4953 ^= C_CLK_4957 ^= C_CLK_4959 ^= 
         C_CLK_4961 ^= C_CLK_4965 ^= C_CLK_4967 ^= C_L1CH ^= C_L2CH ^= C_TSTABLE ^= C_TSTABLE_20152 ^= C_CLK_5673 ^= C_CLK_5689 ^= C_CLK_2605_20225 ^= C_CLK_2619_20233 ^= C_CLK_3096_20241 ^= C_CLK_3110_20249 ^= C_TOP ^= C_TOP_5429 ^= C_ZPASSANT ^= 
         C_ZPASSANT_20282 ^= C_ZPASSANT_20285 ^= C_ZPASSANT_20288 ^= C_CLK_4636 ^= C_CLK_4638 ^= C_CLK_4795 ^= C_CLK_4797 ^= C_CLK_4893 ^= C_CLK_4899 ^= C_CLK_4939 ^= C_CLK_4945 ^= C_CLK_5003 ^= C_CLK_5009 ^= ZPASSANT_20351 ^= ZPASSANT_20357 ^= 
         C_MONTER_1_20368 ^= ZPASSANT_20371 ^= ZPASSANT_20377 ^= C_MONTER_4_20388 ^= C_ ^= C_SORTIE_1_5430 ^= C__20409 ^= C_SORTIE_1 ^= C_CLK_4602 ^= C_CLK_4615 ^= C_ZN_20421 ^= C_ZN_20424 ^= C_CLK_4783 ^= C_CLK_4787 ^= C_CLK_4791 ^= C_CLK_4793 ^= 
         C_CLK_4817 ^= C_CLK_4819 ^= C_N0_20449 ^= C_CLK_2707_20457 ^= C_CLK_2716_20465 ^= C_N0_20473 ^= C_CLK_3198_20481 ^= C_CLK_3207_20489 ^= C_ZN_20495 ^= C_ZN_20498 ^= C_CLK_2686_20503 ^= C_CLK_2700_20511 ^= C_CLK_2710_20519 ^= C_CLK_3177_20527 ^= 
         C_CLK_3191_20535 ^= C_CLK_3201_20543 ^= C_TOP_4920 ^= C_TOP_5588 ^= C_DESCENDRE_6 ^= C_DESCENDRE_3 ^= C_F ^= C_CLK_4693 ^= C_T_2 ^= C_CLK_4697 ^= C_T_5 ^= C_CLK_4717 ^= C_CLK_4734 ^= C_ZN_20582 ^= C_CLK_4761 ^= C_CLK_4763 ^= C_CLK_4765 ^= 
         C_CLK_4767 ^= C_CLK_4779 ^= C_CLK_4781 ^= C_CLK_5005 ^= C_CLK_5011 ^= C_OUVRIR_20619 ^= C_ZPASSANT_20630 ^= C_CLK_4771 ^= C_CLK_5105 ^= C_ZN_20640 ^= C_CLK_5216 ^= C_ZN_20646 ^= C_CLK_5222 ^= C_CLK_5675 ^= C_CLK_5691 ^= C_CLK_2813_20660 ^= 
         C_CLK_2824_20668 ^= C_CLK_2957_20676 ^= C_CLK_2968_20684 ^= ZPASSANT_20690 ^= C_FERMER ^= C_CLK_5109 ^= C_CLK_5165 ^= C_L1CS ^= C_L2CS ^= C_ZN_20711 ^= C_ZN_20714 ^= C_CLK_5251 ^= C_EB1U ^= C_EB2U ^= C_CLK_5291 ^= C_ZACTIF ^= C_COULEUR_20732 ^= 
         C_B2CU ^= C_ZACTIF_20738 ^= C_CLK_5430 ^= C_COULEUR_20744 ^= C_B1CU ^= C_CLK_5587 ^= C_CLK_5589 ^= C_CLK_5603 ^= C_CLK_5617 ^= C_CLK_5627 ^= C_CLK_5629 ^= C_CLK_5639 ^= C_CLK_5641 ^= C_CLK_5659 ^= C_CLK_5665 ^= C_CLK_5669 ^= C_CLK_5681 ^= 
         C_CLK_5685 ^= C_CLK_5697 ^= C_CLK_2882_20805 ^= C_CLK_2893_20813 ^= C_CLK_3026_20821 ^= C_CLK_3037_20829 ^= ACTIF_20835 ^= ACTIF_20841 ^= C_CLK_5253 ^= C_CLK_5257 ^= C_EB1D ^= C_EB2D ^= C_B2CD ^= C_COULEUR_20868 ^= C_CLK_5278 ^= C_CLK_5280 ^= 
         C_COMMANDE ^= C_FIN_DEF ^= C_CLK_5342 ^= C_DEB_MV ^= C_CLK_5352 ^= C_CLK_5357 ^= C_B1CD ^= C_COULEUR_20898 ^= C_CLK_5399 ^= C_CLK_5401 ^= C_COMMANDE_4222 ^= C_FIN_DEF_4079 ^= C_CLK_5481 ^= C_DEB_MV_4080 ^= C_CLK_5491 ^= C_CLK_5496 ^= C_ZTCLIGNO ^=
         C_ZTCLIGNO_20928 ^= C_COULEUR_20931 ^= C_COULEUR_20934 ^= C_CLK_5591 ^= C_CLK_5593 ^= C_CLK_5595 ^= C_CLK_5605 ^= C_CLK_5609 ^= C_CLK_5619 ^= C_CLK_5623 ^= C_CLK_5625 ^= C_CLK_5631 ^= C_CLK_5633 ^= C_CLK_5635 ^= C_CLK_5637 ^= C_CLK_5655 ^= 
         C_CLK_5657 ^= C_CLK_5661 ^= C_CLK_5663 ^= C_CLK_5667 ^= C_CLK_5679 ^= C_CLK_5683 ^= C_CLK_5695 ^= C_CLK_5699 ^= C_CLK_5701 ^= C_CLK_5703 ^= C_CLK_5705 ^= C_CLK_5707 ^= C_CLK_5709
       | (| (| RAZSLIDER(1 when C_STOP1) |) |)
       | (| (| RAZSLIDER(2 when C_STOP2) |) |)
       | (| (| RAZSLIDER(3 when C_STOP1_2969) |) |)
       | (| (| RAZSLIDER(4 when C_STOP2_2970) |) |)
       | (| when C_HV12 ^= HV11 ^= HV12 ^= HLW1 ^= HNW1 ^= HV21 ^= HV22 ^= HLW2 ^= HNW2 ^= HREPARER1 ^= HPANNE1 ^= HDEFAILLANCE1 ^= HREPARER2 ^= HPANNE2 ^= HDEFAILLANCE2 ^= C_CLK_4459 ^= C_CLK_4462 ^= C_CLK_4466 ^= C_CLK_4469 ^= C_CLK_4827 ^= C_CLK_4831
          | ACT_C_HV12{}
          |)
       | (| when C_X3 ^= ZACTIF_2225 ^= ZACTIF_2387 ^= ZACTIF_2547 ^= ZACTIF_2707 ^= ZACTIF_2867 ^= X_3040 ^= XX_3045 ^= C_XW0_19461 ^= C_XW0_19487 ^= C_XW0_19513 ^= C_XW0_19539 ^= C_XW0_19565
          | ACT_C_X3{}
          |)
       | (| when C_NWAG ^= L_3072 ^= LWAG_3235
          | ACT_C_NWAG{}
          |)
       | (| when C_X3_19149 ^= ZACTIF_2179 ^= ZACTIF_2344 ^= ZACTIF_2505 ^= ZACTIF_2665 ^= ZACTIF_2825 ^= X_2975 ^= XX_2980 ^= C_XW0_19448 ^= C_XW0_19474 ^= C_XW0_19500 ^= C_XW0_19526 ^= C_XW0_19552
          | ACT_C_X3_19149{}
          |)
       | (| when C_NWAG_19152 ^= L_3007 ^= LWAG_3158
          | ACT_C_NWAG_19152{}
          |)
       | (| when C_X3_19155 ^= ZACTIF_588 ^= ZACTIF_754 ^= ZACTIF_916 ^= ZACTIF_1078 ^= ZACTIF_1239 ^= X2 ^= XX2 ^= C_XW0_19331 ^= C_XW0_19357 ^= C_XW0_19383 ^= C_XW0_19409 ^= C_XW0_19435
          | ACT_C_X3_19155{}
          |)
       | (| when C_NWAG_19158 ^= L_1446 ^= LWAG2
          | ACT_C_NWAG_19158{}
          |)
       | (| when C_X3_19161 ^= ZACTIF ^= ZACTIF_710 ^= ZACTIF_873 ^= ZACTIF_1035 ^= ZACTIF_1196 ^= X1 ^= XX1 ^= C_XW0 ^= C_XW0_19344 ^= C_XW0_19370 ^= C_XW0_19396 ^= C_XW0_19422
          | ACT_C_X3_19161{}
          |)
       | (| when C_NWAG_19164 ^= L ^= LWAG1
          | ACT_C_NWAG_19164{}
          |)
       | (| when C_L ^= L_1576
          | (| L_1576 := (LW1 when HLW1) cell C_L init 10.0e0 |)
          |)
       | (| when C_L_19176 ^= L_1653
          | (| L_1653 := (LW1 when HLW1) cell C_L_19176 init 10.0e0 |)
          |)
       | (| when C_N ^= N
          | (| N := (NW1 when HNW1) cell C_N init 10 |)
          |)
       | (| when C_N_19182 ^= N_1650
          | (| N_1650 := (NW1 when HNW1) cell C_N_19182 init 10 |)
          |)
       | (| when C_L_19191 ^= L_3200
          | (| L_3200 := (LW2 when HLW2) cell C_L_19191 init 10.0e0 |)
          |)
       | (| when C_L_19194 ^= L_3276
          | (| L_3276 := (LW2 when HLW2) cell C_L_19194 init 10.0e0 |)
          |)
       | (| when C_N_19197 ^= N_3197
          | (| N_3197 := (NW2 when HNW2) cell C_N_19197 init 10 |)
          |)
       | (| when C_N_19200 ^= N_3273
          | (| N_3273 := (NW2 when HNW2) cell C_N_19200 init 10 |)
          |)
       | (| when C_EFFACE ^= C_L1CO ^= C_B1SD ^= C_COULEUR
          | ACT_C_EFFACE{}
          |)
       | (| when C_EFFACE_19316 ^= C_L2CO ^= C_B2SD ^= C_COULEUR_19617
          | ACT_C_EFFACE_19316{}
          |)
       | (| when C_XW0_19623 ^= XW0_2786
          | (| XW0_2786 := (XW0_2805 when C_XW0_19552) default (XW0_2847 when C_CLK_4963) |)
          |)
       | (| when C_XW0_19626 ^= XW0_2626
          | (| XW0_2626 := (XW0_2645 when C_XW0_19526) default (XW0_2687 when C_CLK_4955) |)
          |)
       | (| when C_XW0_19629 ^= XW0_2466
          | (| XW0_2466 := (XW0_2485 when C_XW0_19500) default (XW0_2527 when C_CLK_4947) |)
          |)
       | (| when C_XW0_19632 ^= XW0_2304
          | (| XW0_2304 := (XW0_2323 when C_XW0_19474) default (XW0_2366 when C_CLK_4941) |)
          |)
       | (| when C_XW0_19635 ^= XW0_2136
          | (| XW0_2136 := (XW0_2155 when C_XW0_19448) default (XW0_2201 when C_CLK_4933) |)
          |)
       | (| when C_XW0_19638 ^= XW0_1157
          | (| XW0_1157 := (XW0_1176 when C_XW0_19422) default (XW0_1219 when C_CLK_4917) |)
          |)
       | (| when C_XW0_19641 ^= XW0_996
          | (| XW0_996 := (XW0_1015 when C_XW0_19396) default (XW0_1058 when C_CLK_4909) |)
          |)
       | (| when C_XW0_19644 ^= XW0_834
          | (| XW0_834 := (XW0_853 when C_XW0_19370) default (XW0_896 when C_CLK_4901) |)
          |)
       | (| when C_XW0_19647 ^= XW0_670
          | (| XW0_670 := (XW0_689 when C_XW0_19344) default (XW0_733 when C_CLK_4895) |)
          |)
       | (| when C_XW0_19650 ^= XW0
          | (| XW0 := (XW0_3 when C_XW0) default (XW0_6 when C_CLK_4887) |)
          |)
       | (| when C_NXW ^= LGW ^= NXW ^= C_T1S40
          | ACT_C_NXW{}
          |)
       | (| when C_ZXW ^= ZXW
          | ACT_C_ZXW{}
          |)
       | (| when C_NXW_19659 ^= LGW_669 ^= NXW_798 ^= C_T1S41
          | ACT_C_NXW_19659{}
          |)
       | (| when C_ZXW_19662 ^= ZXW_800
          | ACT_C_ZXW_19662{}
          |)
       | (| when C_NXW_19665 ^= LGW_833 ^= NXW_960 ^= C_T1S30
          | ACT_C_NXW_19665{}
          |)
       | (| when C_ZXW_19668 ^= ZXW_962
          | ACT_C_ZXW_19668{}
          |)
       | (| when C_NXW_19671 ^= LGW_995 ^= NXW_1122 ^= C_T1S20
          | ACT_C_NXW_19671{}
          |)
       | (| when C_ZXW_19674 ^= ZXW_1124
          | ACT_C_ZXW_19674{}
          |)
       | (| when C_NXW_19677 ^= LGW_1156 ^= NXW_1283 ^= C_T1S10
          | ACT_C_NXW_19677{}
          |)
       | (| when C_ZXW_19680 ^= ZXW_1285
          | ACT_C_ZXW_19680{}
          |)
       | (| when C_NXW_19683 ^= LGW_2135 ^= NXW_2269 ^= C_T2S10
          | ACT_C_NXW_19683{}
          |)
       | (| when C_ZXW_19686 ^= ZXW_2271
          | ACT_C_ZXW_19686{}
          |)
       | (| when C_NXW_19689 ^= LGW_2303 ^= NXW_2431 ^= C_T2S11
          | ACT_C_NXW_19689{}
          |)
       | (| when C_ZXW_19692 ^= ZXW_2433
          | ACT_C_ZXW_19692{}
          |)
       | (| when C_NXW_19695 ^= LGW_2465 ^= NXW_2591 ^= C_T2S20
          | ACT_C_NXW_19695{}
          |)
       | (| when C_ZXW_19698 ^= ZXW_2593
          | ACT_C_ZXW_19698{}
          |)
       | (| when C_NXW_19701 ^= LGW_2625 ^= NXW_2751 ^= C_T2S30
          | ACT_C_NXW_19701{}
          |)
       | (| when C_ZXW_19704 ^= ZXW_2753
          | ACT_C_ZXW_19704{}
          |)
       | (| when C_NXW_19707 ^= LGW_2785 ^= NXW_2911 ^= C_T2S40
          | ACT_C_NXW_19707{}
          |)
       | (| when C_ZXW_19710 ^= ZXW_2913
          | ACT_C_ZXW_19710{}
          |)
       | (| when C_ZN ^= C_CLK_2993 ^= C_CLK_3004
          | ACT_C_ZN{}
          |)
       | (| when C_ZN_19816 ^= C_CLK_2849 ^= C_CLK_2860
          | ACT_C_ZN_19816{}
          |)
       | (| ACT_C_DN{} |)
       | (| when C_ZN_19970 ^= C_CLK_3096 ^= C_CLK_3110
          | ACT_C_ZN_19970{}
          |)
       | (| when C_DN_19976 ^= C_COULEUR_20267
          | ACT_C_DN_19976{}
          |)
       | (| ACT_C_DN_19982{} |)
       | (| ACT_C_DN_19991{} |)
       | (| when C_ZN_19997 ^= C_CLK_2605 ^= C_CLK_2619
          | ACT_C_ZN_19997{}
          |)
       | (| when C_DN_20003 ^= C_COULEUR_20258
          | ACT_C_DN_20003{}
          |)
       | (| ACT_C_DN_20009{} |)
       | (| when C_TSTABLE ^= TSTABLE_6039
          | (| TSTABLE_6039 := (true when C_L2CH) default (false when C_CLK_5689) |)
          |)
       | (| when C_TSTABLE_20152 ^= TSTABLE
          | (| TSTABLE := (true when C_L1CH) default (false when C_CLK_5673) |)
          |)
       | (| when C_ZPASSANT ^= ZPASSANT_5448
          | ACT_C_ZPASSANT{}
          |)
       | (| when C_ZPASSANT_20282 ^= ZPASSANT_5672
          | ACT_C_ZPASSANT_20282{}
          |)
       | (| when C_ZPASSANT_20285 ^= ZPASSANT
          | ACT_C_ZPASSANT_20285{}
          |)
       | (| when C_ZPASSANT_20288 ^= ZPASSANT_5019
          | ACT_C_ZPASSANT_20288{}
          |)
       | (| when C_ ^= C_N0_20470 ^= C_CLK_3198 ^= C_CLK_3207
          | ACT_C_{}
          |)
       | (| when C__20409 ^= C_N0 ^= C_CLK_2707 ^= C_CLK_2716
          | ACT_C__20409{}
          |)
       | (| when C_ZN_20421 ^= N_5572
          | ACT_C_ZN_20421{}
          |)
       | (| when C_ZN_20424 ^= N_4904
          | ACT_C_ZN_20424{}
          |)
       | (| when C_ZN_20495 ^= C_CLK_2686 ^= C_CLK_2700 ^= C_CLK_2710
          | ACT_C_ZN_20495{}
          |)
       | (| when C_ZN_20498 ^= C_CLK_3177 ^= C_CLK_3191 ^= C_CLK_3201
          | ACT_C_ZN_20498{}
          |)
       | (| when C_ZN_20582 ^= C_OUVRIR
          | ACT_C_ZN_20582{}
          |)
       | (| when C_ZPASSANT_20630 ^= ZPASSANT_5782
          | ACT_C_ZPASSANT_20630{}
          |)
       | (| when C_ZN_20640 ^= C_CLK_2957 ^= C_CLK_2968
          | ACT_C_ZN_20640{}
          |)
       | (| when C_ZN_20646 ^= C_CLK_2813 ^= C_CLK_2824
          | ACT_C_ZN_20646{}
          |)
       | (| when C_ZN_20711 ^= C_CLK_3026 ^= C_CLK_3037
          | ACT_C_ZN_20711{}
          |)
       | (| when C_ZN_20714 ^= C_CLK_2882 ^= C_CLK_2893
          | ACT_C_ZN_20714{}
          |)
       | (| when C_ZACTIF ^= ACTIF_6036
          | ACT_C_ZACTIF{}
          |)
       | (| ACT_C_COULEUR_20732{} |)
       | (| when C_ZACTIF_20738 ^= ACTIF_5883
          | ACT_C_ZACTIF_20738{}
          |)
       | (| ACT_C_COULEUR_20744{} |)
       | (| ACT_C_COULEUR_20868{} |)
       | (| ACT_C_COULEUR_20898{} |)
       | (| when C_ZTCLIGNO ^= TCLIGNO_6041
          | ACT_C_ZTCLIGNO{}
          |)
       | (| when C_ZTCLIGNO_20928 ^= TCLIGNO
          | ACT_C_ZTCLIGNO_20928{}
          |)
       | (| ACT_C_COULEUR_20931{} |)
       | (| ACT_C_COULEUR_20934{} |)
       | (| ZX1 := Z_1691$1 init XT1
          | ZX2 := Z_1705$1 init XT1
          | ZXX1 := Z_1719$1 init XT1
          | ZXX2 := Z_1733$1 init XT1
          | VITESSE := (0.0e0 when C_STOP1) default (V11 when C_CLK_4839) default (ZVITESSE when C_CLK_4801)
          | ZVITESSE := VITESSE$1 init 0.0e0
          | VITESSE_1651 := (0.0e0 when C_STOP2) default (V12 when C_CLK_4837) default (ZVITESSE_1652 when C_CLK_4803)
          | ZVITESSE_1652 := VITESSE_1651$1 init 0.0e0
          | Z_1691 := (X1 when C_X3_19161) default (ZX1 when C_CLK_4805)
          | Z_1705 := (X2 when C_X3_19155) default (ZX2 when C_CLK_4807)
          | Z_1719 := (XX1 when C_X3_19161) default (ZXX1 when C_CLK_4805)
          | Z_1733 := (XX2 when C_X3_19155) default (ZXX2 when C_CLK_4807)
          | ZX1_3152 := Z_3314$1 init XT1
          | ZX2_3153 := Z_3328$1 init XT1
          | ZXX1_3154 := Z_3342$1 init XT1
          | ZXX2_3155 := Z_3356$1 init XT1
          | VITESSE_3198 := (0.0e0 when C_STOP1_2969) default (V21 when C_CLK_4835) default (ZVITESSE_3199 when C_CLK_4809)
          | ZVITESSE_3199 := VITESSE_3198$1 init 0.0e0
          | VITESSE_3274 := (0.0e0 when C_STOP2_2970) default (V22 when C_CLK_4833) default (ZVITESSE_3275 when C_CLK_4811)
          | ZVITESSE_3275 := VITESSE_3274$1 init 0.0e0
          | Z_3314 := (X_2975 when C_X3_19149) default (ZX1_3152 when C_CLK_4813)
          | Z_3328 := (X_3040 when C_X3) default (ZX2_3153 when C_CLK_4815)
          | Z_3342 := (XX_2980 when C_X3_19149) default (ZXX1_3154 when C_CLK_4813)
          | Z_3356 := (XX_3045 when C_X3) default (ZXX2_3155 when C_CLK_4815)
          | XZX := (1 when POS_THEORIQUE) default ((-1) when C_CLK_1982)
          | ACTIF_3792 := (true when HPANNE2) default (false when C_CLK_4827) default (ZACTIF_1 when C_CLK_4799)
          | ZACTIF_1 := ACTIF_3792$1 init false
          | ACTIF_3827 := (true when C_B2CU) default (false when C_CLK_5619) default (POS_THEORIQUE when C_CLK_5701)
          | POS_THEORIQUE := ACTIF_3827$1 init true
          | ACTIF_3861 := (true when HDEFAILLANCE2) default (false when C_CLK_5609) default (ZACTIF_2 when C_CLK_5699)
          | ZACTIF_2 := ACTIF_3861$1 init false
          | ACTIF_3895 := (true when C_DEB_MV) default (false when C_CLK_5623) default (MOUVEMENT when C_CLK_5703)
          | MOUVEMENT := ACTIF_3895$1 init false
          | XZX_3997 := (1 when ZACTIF_4120) default ((-1) when C_CLK_2162)
          | ACTIF_4085 := (true when HPANNE1) default (false when C_CLK_4831) default (ZACTIF_4086 when C_CLK_4823)
          | ZACTIF_4086 := ACTIF_4085$1 init false
          | ACTIF_4119 := (true when C_B1CU) default (false when C_CLK_5605) default (ZACTIF_4120 when C_CLK_5705)
          | ZACTIF_4120 := ACTIF_4119$1 init true
          | ACTIF_4153 := (true when HDEFAILLANCE1) default (false when C_CLK_5595) default (ZACTIF_4154 when C_CLK_5709)
          | ZACTIF_4154 := ACTIF_4153$1 init false
          | ACTIF_4187 := (true when C_DEB_MV_4080) default (false when C_CLK_5625) default (ZACTIF_4188 when C_CLK_5707)
          | ZACTIF_4188 := ACTIF_4187$1 init false
          | ACTIF_4874 := (true when C_SORTIE_1) default (false when C_CLK_4793) default (ZACTIF_4875 when C_CLK_4817)
          | ZACTIF_4875 := ACTIF_4874$1 init false
          | ACTIF_5542 := (true when C_SORTIE_1_5430) default (false when C_CLK_4791) default (ZACTIF_5543 when C_CLK_4819)
          | ZACTIF_5543 := ACTIF_5542$1 init false
          | N_7023 := (100 when C_HMOD100) default ((ZN_7024-1) when C_CLK_3807)
          | ZN_7024 := N_7023$1 init 1
          | N_7045 := (40 when C_HV12) default ((ZN_7046-1) when C_CLK_3822)
          | ZN_7046 := N_7045$1 init 1
          | C_STOP1 := ZXX1>XT5
          | C_CLK_825 := (VITESSE>0.0e0) and ((ZX1>=ZX2) or ((ZX1+DMIN)<ZXX2))
          | C_CLK_833 := ZXX1<=XT1
          | C_STOP2 := ZXX2>XT5
          | C_CLK_888 := (VITESSE_1651>0.0e0) and ((ZX2>=ZX1) or ((ZX2+DMIN)<ZXX1))
          | C_CLK_896 := ZXX2<=XT1
          | C_STOP1_2969 := ZXX1_3154>XT5
          | C_CLK_1760 := (VITESSE_3198>0.0e0) and ((ZX1_3152>=ZX2_3153) or ((ZX1_3152+DMIN)<ZXX2_3155))
          | C_CLK_1768 := ZXX1_3154<=XT1
          | C_STOP2_2970 := ZXX2_3155>XT5
          | C_CLK_1823 := (VITESSE_3274>0.0e0) and ((ZX2_3153>=ZX1_3152) or ((ZX2_3153+DMIN)<ZXX1_3154))
          | C_CLK_1831 := ZXX2_3155<=XT1
          | C_CLK_1982 := not POS_THEORIQUE
          | C_CLK_2118 := not (ZACTIF_1 or ZACTIF_2)
          | C_CLK_2162 := not ZACTIF_4120
          | C_CLK_2288 := not (ZACTIF_4086 or ZACTIF_4154)
          | C_HMOD100 := ZN_7024=1
          | C_CLK_3807 := not (ZN_7024=1)
          | C_HV12 := ZN_7046=1
          | C_CLK_3822 := not (ZN_7046=1)
          | HV11_19059 := left_tt ( HV11,C_HV12 )
          | HV12_19065 := left_tt ( HV12,C_HV12 )
          | HLW1_19071 := left_tt ( HLW1,C_HV12 )
          | HNW1_19077 := left_tt ( HNW1,C_HV12 )
          | HV21_19083 := left_tt ( HV21,C_HV12 )
          | HV22_19089 := left_tt ( HV22,C_HV12 )
          | HLW2_19095 := left_tt ( HLW2,C_HV12 )
          | HNW2_19101 := left_tt ( HNW2,C_HV12 )
          | HREPARER1_19107 := left_tt ( HREPARER1,C_HV12 )
          | HPANNE1_19113 := left_tt ( HPANNE1,C_HV12 )
          | HDEFAILLANCE1_19119 := left_tt ( HDEFAILLANCE1,C_HV12 )
          | HREPARER2_19125 := left_tt ( HREPARER2,C_HV12 )
          | HPANNE2_19131 := left_tt ( HPANNE2,C_HV12 )
          | HDEFAILLANCE2_19137 := left_tt ( HDEFAILLANCE2,C_HV12 )
          | C_X3 := C_STOP2_2970 or C_CLK_1823
          | C_NWAG := C_X3 and C_CLK_1831
          | C_X3_19149 := C_STOP1_2969 or C_CLK_1760
          | C_NWAG_19152 := C_X3_19149 and C_CLK_1768
          | C_X3_19155 := C_STOP2 or C_CLK_888
          | C_NWAG_19158 := C_X3_19155 and C_CLK_896
          | C_X3_19161 := C_STOP1 or C_CLK_825
          | C_NWAG_19164 := C_X3_19161 and C_CLK_833
          | C_CLK_4389 := C_STOP1 or HV11_19059
          | C_CLK_4395 := C_STOP2 or HV12_19065
          | C_L := C_NWAG_19164 or HLW1_19071
          | C_L_19176 := C_NWAG_19158 or HLW1_19071
          | C_N := C_NWAG_19164 or HNW1_19077
          | C_N_19182 := C_NWAG_19158 or HNW1_19077
          | C_CLK_4425 := C_STOP1_2969 or HV21_19083
          | C_CLK_4427 := C_STOP2_2970 or HV22_19089
          | C_L_19191 := C_NWAG_19152 or HLW2_19095
          | C_L_19194 := C_NWAG or HLW2_19095
          | C_N_19197 := C_NWAG_19152 or HNW2_19101
          | C_N_19200 := C_NWAG or HNW2_19101
          | C_CLK_4459_19206 := left_tt ( C_CLK_4459,C_HV12 )
          | C_CLK_4462_19212 := left_tt ( C_CLK_4462,C_HV12 )
          | C_CLK_4466_19218 := left_tt ( C_CLK_4466,C_HV12 )
          | C_CLK_4469_19224 := left_tt ( C_CLK_4469,C_HV12 )
          | C_CLK_4799 := not C_CLK_4466_19218
          | C_CLK_4801 := not C_CLK_4389
          | C_CLK_4803 := not C_CLK_4395
          | C_CLK_4805 := not C_X3_19161
          | C_CLK_4807 := not C_X3_19155
          | C_CLK_4809 := not C_CLK_4425
          | C_CLK_4811 := not C_CLK_4427
          | C_CLK_4813 := not C_X3_19149
          | C_CLK_4815 := not C_X3
          | C_CLK_4823 := not C_CLK_4459_19206
          | C_CLK_4827_19260 := left_tt ( C_CLK_4827,C_HV12 )
          | C_CLK_4831_19266 := left_tt ( C_CLK_4831,C_HV12 )
          | C_CLK_4833 := (not C_STOP2_2970) and HV22_19089
          | C_CLK_4835 := (not C_STOP1_2969) and HV21_19083
          | C_CLK_4837 := (not C_STOP2) and HV12_19065
          | C_CLK_4839 := (not C_STOP1) and HV11_19059
          | C_CLK_4923 := (not C_NWAG_19164) and C_X3_19161
          | C_CLK_4925 := (not C_STOP1) and C_X3_19161
          | C_CLK_4928 := (not C_NWAG_19158) and C_X3_19155
          | C_CLK_4930 := (not C_STOP2) and C_X3_19155
          | C_CLK_4969 := (not C_NWAG_19152) and C_X3_19149
          | C_CLK_4971 := (not C_STOP1_2969) and C_X3_19149
          | C_CLK_4974 := (not C_NWAG) and C_X3
          | C_CLK_4976 := (not C_STOP2_2970) and C_X3
          | C_EFFACE := ZACTIF_4188 and C_HV12
          | C_EFFACE_19316 := MOUVEMENT and C_HV12
          | C_XW0_19321 := left_tt ( C_XW0,C_X3_19161 )
          | ZACTIF_19327 := left_tt ( ZACTIF,C_X3_19161 )
          | C_XW0_19334 := left_tt ( C_XW0_19331,C_X3_19155 )
          | ZACTIF_19340 := left_tt ( ZACTIF_588,C_X3_19155 )
          | C_XW0_19347 := left_tt ( C_XW0_19344,C_X3_19161 )
          | ZACTIF_19353 := left_tt ( ZACTIF_710,C_X3_19161 )
          | C_XW0_19360 := left_tt ( C_XW0_19357,C_X3_19155 )
          | ZACTIF_19366 := left_tt ( ZACTIF_754,C_X3_19155 )
          | C_XW0_19373 := left_tt ( C_XW0_19370,C_X3_19161 )
          | ZACTIF_19379 := left_tt ( ZACTIF_873,C_X3_19161 )
          | C_XW0_19386 := left_tt ( C_XW0_19383,C_X3_19155 )
          | ZACTIF_19392 := left_tt ( ZACTIF_916,C_X3_19155 )
          | C_XW0_19399 := left_tt ( C_XW0_19396,C_X3_19161 )
          | ZACTIF_19405 := left_tt ( ZACTIF_1035,C_X3_19161 )
          | C_XW0_19412 := left_tt ( C_XW0_19409,C_X3_19155 )
          | ZACTIF_19418 := left_tt ( ZACTIF_1078,C_X3_19155 )
          | C_XW0_19425 := left_tt ( C_XW0_19422,C_X3_19161 )
          | ZACTIF_19431 := left_tt ( ZACTIF_1196,C_X3_19161 )
          | C_XW0_19438 := left_tt ( C_XW0_19435,C_X3_19155 )
          | ZACTIF_19444 := left_tt ( ZACTIF_1239,C_X3_19155 )
          | C_XW0_19451 := left_tt ( C_XW0_19448,C_X3_19149 )
          | ZACTIF_19457 := left_tt ( ZACTIF_2179,C_X3_19149 )
          | C_XW0_19464 := left_tt ( C_XW0_19461,C_X3 )
          | ZACTIF_19470 := left_tt ( ZACTIF_2225,C_X3 )
          | C_XW0_19477 := left_tt ( C_XW0_19474,C_X3_19149 )
          | ZACTIF_19483 := left_tt ( ZACTIF_2344,C_X3_19149 )
          | C_XW0_19490 := left_tt ( C_XW0_19487,C_X3 )
          | ZACTIF_19496 := left_tt ( ZACTIF_2387,C_X3 )
          | C_XW0_19503 := left_tt ( C_XW0_19500,C_X3_19149 )
          | ZACTIF_19509 := left_tt ( ZACTIF_2505,C_X3_19149 )
          | C_XW0_19516 := left_tt ( C_XW0_19513,C_X3 )
          | ZACTIF_19522 := left_tt ( ZACTIF_2547,C_X3 )
          | C_XW0_19529 := left_tt ( C_XW0_19526,C_X3_19149 )
          | ZACTIF_19535 := left_tt ( ZACTIF_2665,C_X3_19149 )
          | C_XW0_19542 := left_tt ( C_XW0_19539,C_X3 )
          | ZACTIF_19548 := left_tt ( ZACTIF_2707,C_X3 )
          | C_XW0_19555 := left_tt ( C_XW0_19552,C_X3_19149 )
          | ZACTIF_19561 := left_tt ( ZACTIF_2825,C_X3_19149 )
          | C_XW0_19568 := left_tt ( C_XW0_19565,C_X3 )
          | ZACTIF_19574 := left_tt ( ZACTIF_2867,C_X3 )
          | C_L2CO_19581 := left_tt ( C_L2CO,C_EFFACE_19316 )
          | C_B2SD_19589 := left_tt ( C_B2SD,C_EFFACE_19316 )
          | C_L1CO_19597 := left_tt ( C_L1CO,C_EFFACE )
          | C_B1SD_19605 := left_tt ( C_B1SD,C_EFFACE )
          | C_COULEUR_19614 := left_tt ( C_COULEUR,C_EFFACE )
          | C_COULEUR_19620 := left_tt ( C_COULEUR_19617,C_EFFACE_19316 )
          | C_XW0_19623 := C_XW0_19555 or C_XW0_19568
          | C_XW0_19626 := C_XW0_19529 or C_XW0_19542
          | C_XW0_19629 := C_XW0_19503 or C_XW0_19516
          | C_XW0_19632 := C_XW0_19477 or C_XW0_19490
          | C_XW0_19635 := C_XW0_19451 or C_XW0_19464
          | C_XW0_19638 := C_XW0_19425 or C_XW0_19438
          | C_XW0_19641 := C_XW0_19399 or C_XW0_19412
          | C_XW0_19644 := C_XW0_19373 or C_XW0_19386
          | C_XW0_19647 := C_XW0_19347 or C_XW0_19360
          | C_XW0_19650 := C_XW0_19321 or C_XW0_19334
          | C_NXW := ZACTIF_19327 or ZACTIF_19340
          | C_ZXW := C_NXW or C_XW0_19650
          | C_NXW_19659 := ZACTIF_19353 or ZACTIF_19366
          | C_ZXW_19662 := C_NXW_19659 or C_XW0_19647
          | C_NXW_19665 := ZACTIF_19379 or ZACTIF_19392
          | C_ZXW_19668 := C_NXW_19665 or C_XW0_19644
          | C_NXW_19671 := ZACTIF_19405 or ZACTIF_19418
          | C_ZXW_19674 := C_NXW_19671 or C_XW0_19641
          | C_NXW_19677 := ZACTIF_19431 or ZACTIF_19444
          | C_ZXW_19680 := C_NXW_19677 or C_XW0_19638
          | C_NXW_19683 := ZACTIF_19457 or ZACTIF_19470
          | C_ZXW_19686 := C_NXW_19683 or C_XW0_19635
          | C_NXW_19689 := ZACTIF_19483 or ZACTIF_19496
          | C_ZXW_19692 := C_NXW_19689 or C_XW0_19632
          | C_NXW_19695 := ZACTIF_19509 or ZACTIF_19522
          | C_ZXW_19698 := C_NXW_19695 or C_XW0_19629
          | C_NXW_19701 := ZACTIF_19535 or ZACTIF_19548
          | C_ZXW_19704 := C_NXW_19701 or C_XW0_19626
          | C_NXW_19707 := ZACTIF_19561 or ZACTIF_19574
          | C_ZXW_19710 := C_NXW_19707 or C_XW0_19623
          | C_CLK_4849 := (not ZACTIF_19561) and ZACTIF_19574
          | C_CLK_4853 := (not ZACTIF_19535) and ZACTIF_19548
          | C_CLK_4857 := (not ZACTIF_19509) and ZACTIF_19522
          | C_CLK_4861 := (not ZACTIF_19483) and ZACTIF_19496
          | C_CLK_4865 := (not ZACTIF_19457) and ZACTIF_19470
          | C_CLK_4869 := (not ZACTIF_19431) and ZACTIF_19444
          | C_CLK_4873 := (not ZACTIF_19405) and ZACTIF_19418
          | C_CLK_4877 := (not ZACTIF_19379) and ZACTIF_19392
          | C_CLK_4881 := (not ZACTIF_19353) and ZACTIF_19366
          | C_CLK_4885 := (not ZACTIF_19327) and ZACTIF_19340
          | C_CLK_4887 := (not C_XW0_19321) and C_XW0_19334
          | C_CLK_4895 := (not C_XW0_19347) and C_XW0_19360
          | C_CLK_4901 := (not C_XW0_19373) and C_XW0_19386
          | C_CLK_4909 := (not C_XW0_19399) and C_XW0_19412
          | C_CLK_4917 := (not C_XW0_19425) and C_XW0_19438
          | C_CLK_4933 := (not C_XW0_19451) and C_XW0_19464
          | C_CLK_4941 := (not C_XW0_19477) and C_XW0_19490
          | C_CLK_4947 := (not C_XW0_19503) and C_XW0_19516
          | C_CLK_4955 := (not C_XW0_19529) and C_XW0_19542
          | C_CLK_4963 := (not C_XW0_19555) and C_XW0_19568
          | C_CLK_5208 := C_L2CO_19581 or C_CLK_4469_19224
          | C_CLK_5210 := C_L1CO_19597 or C_CLK_4462_19212
          | C_ZN := C_HMOD100 or C_B2SD_19589
          | C_ZN_19816 := C_HMOD100 or C_B1SD_19605
          | C_FIN_MV_4081 := C_CLK_5210 or C_B1SD_19605
          | C_FIN_MV := C_CLK_5208 or C_B2SD_19589
          | C_T1S40_19827 := left_tt ( C_T1S40,C_NXW )
          | C_T1S41_19835 := left_tt ( C_T1S41,C_NXW_19659 )
          | C_T1S30_19843 := left_tt ( C_T1S30,C_NXW_19665 )
          | C_T1S20_19851 := left_tt ( C_T1S20,C_NXW_19671 )
          | C_T1S10_19859 := left_tt ( C_T1S10,C_NXW_19677 )
          | C_T2S10_19867 := left_tt ( C_T2S10,C_NXW_19683 )
          | C_T2S11_19875 := left_tt ( C_T2S11,C_NXW_19689 )
          | C_T2S20_19883 := left_tt ( C_T2S20,C_NXW_19695 )
          | C_T2S30_19891 := left_tt ( C_T2S30,C_NXW_19701 )
          | C_T2S40_19899 := left_tt ( C_T2S40,C_NXW_19707 )
          | C_CLK_2849_19907 := left_tt ( C_CLK_2849,C_ZN_19816 )
          | C_CLK_2860_19915 := left_tt ( C_CLK_2860,C_ZN_19816 )
          | C_CLK_2993_19923 := left_tt ( C_CLK_2993,C_ZN )
          | C_CLK_3004_19931 := left_tt ( C_CLK_3004,C_ZN )
          | C_CLK_4479 := C_T1S40_19827 and C_T1S30_19843
          | C_CLK_4481 := C_T1S30_19843 and C_T1S20_19851
          | C_CLK_4483 := C_T1S20_19851 and C_T1S10_19859
          | C_CLK_4485 := C_T2S10_19867 and C_T2S20_19883
          | C_CLK_4487 := C_T2S20_19883 and C_T2S30_19891
          | C_CLK_4489 := C_T2S30_19891 and C_T2S40_19899
          | C_CLK_4491 := C_XW0_19650 or C_T1S40_19827
          | C_DN := C_T1S40_19827 or C_T1S30_19843
          | C_CLK_4495 := C_XW0_19647 or C_T1S41_19835
          | C_ZN_19970 := C_HMOD100 or C_T1S41_19835
          | C_CLK_4499 := C_XW0_19644 or C_T1S30_19843
          | C_DN_19976 := C_T1S30_19843 or C_T1S20_19851
          | C_CLK_4503 := C_XW0_19641 or C_T1S20_19851
          | C_DN_19982 := C_T1S20_19851 or C_T1S10_19859
          | C_CLK_4507 := C_XW0_19638 or C_T1S10_19859
          | C_CLK_4509 := C_XW0_19635 or C_T2S10_19867
          | C_DN_19991 := C_T2S10_19867 or C_T2S20_19883
          | C_CLK_4513 := C_XW0_19632 or C_T2S11_19875
          | C_ZN_19997 := C_HMOD100 or C_T2S11_19875
          | C_CLK_4517 := C_XW0_19629 or C_T2S20_19883
          | C_DN_20003 := C_T2S20_19883 or C_T2S30_19891
          | C_CLK_4521 := C_XW0_19626 or C_T2S30_19891
          | C_DN_20009 := C_T2S30_19891 or C_T2S40_19899
          | C_CLK_4525 := C_XW0_19623 or C_T2S40_19899
          | C_CLK_4847 := (not C_CLK_4525) and C_NXW_19707
          | C_CLK_4851 := (not C_CLK_4521) and C_NXW_19701
          | C_CLK_4855 := (not C_CLK_4517) and C_NXW_19695
          | C_CLK_4859 := (not C_CLK_4513) and C_NXW_19689
          | C_CLK_4863 := (not C_CLK_4509) and C_NXW_19683
          | C_CLK_4867 := (not C_CLK_4507) and C_NXW_19677
          | C_CLK_4871 := (not C_CLK_4503) and C_NXW_19671
          | C_CLK_4875 := (not C_CLK_4499) and C_NXW_19665
          | C_CLK_4879 := (not C_CLK_4495) and C_NXW_19659
          | C_CLK_4883 := (not C_CLK_4491) and C_NXW
          | C_CLK_4889 := (not C_XW0_19650) and C_T1S40_19827
          | C_CLK_4891 := (not C_CLK_4479) and C_T1S40_19827
          | C_CLK_4897 := (not C_XW0_19647) and C_T1S41_19835
          | C_CLK_4903 := (not C_XW0_19644) and C_T1S30_19843
          | C_CLK_4905 := (not C_T1S40_19827) and C_T1S30_19843
          | C_CLK_4907 := (not C_CLK_4481) and C_T1S30_19843
          | C_CLK_4911 := (not C_XW0_19641) and C_T1S20_19851
          | C_CLK_4913 := (not C_T1S30_19843) and C_T1S20_19851
          | C_CLK_4915 := (not C_CLK_4483) and C_T1S20_19851
          | C_CLK_4919 := (not C_XW0_19638) and C_T1S10_19859
          | C_CLK_4921 := (not C_T1S20_19851) and C_T1S10_19859
          | C_CLK_4935 := (not C_XW0_19635) and C_T2S10_19867
          | C_CLK_4937 := (not C_CLK_4485) and C_T2S10_19867
          | C_CLK_4943 := (not C_XW0_19632) and C_T2S11_19875
          | C_CLK_4949 := (not C_XW0_19629) and C_T2S20_19883
          | C_CLK_4951 := (not C_T2S10_19867) and C_T2S20_19883
          | C_CLK_4953 := (not C_CLK_4487) and C_T2S20_19883
          | C_CLK_4957 := (not C_XW0_19626) and C_T2S30_19891
          | C_CLK_4959 := (not C_T2S20_19883) and C_T2S30_19891
          | C_CLK_4961 := (not C_CLK_4489) and C_T2S30_19891
          | C_CLK_4965 := (not C_XW0_19623) and C_T2S40_19899
          | C_CLK_4967 := (not C_T2S30_19891) and C_T2S40_19899
          | C_L1CH := C_HMOD100 and C_CLK_2860_19915
          | C_L2CH := C_HMOD100 and C_CLK_3004_19931
          | C_TSTABLE := C_L2CH or C_L2CO_19581
          | C_TSTABLE_20152 := C_L1CH or C_L1CO_19597
          | C_CLK_5673 := (not C_L1CH) and C_L1CO_19597
          | C_CLK_5689 := (not C_L2CH) and C_L2CO_19581
          | C_CLK_2605_20225 := left_tt ( C_CLK_2605,C_ZN_19997 )
          | C_CLK_2619_20233 := left_tt ( C_CLK_2619,C_ZN_19997 )
          | C_CLK_3096_20241 := left_tt ( C_CLK_3096,C_ZN_19970 )
          | C_CLK_3110_20249 := left_tt ( C_CLK_3110,C_ZN_19970 )
          | C_TOP := C_HMOD100 and C_CLK_2619_20233
          | C_TOP_5429 := C_HMOD100 and C_CLK_3110_20249
          | C_ZPASSANT := C_TOP_5429 or C_T1S40_19827
          | C_ZPASSANT_20282 := C_TOP_5429 or C_T1S41_19835
          | C_ZPASSANT_20285 := C_TOP or C_T2S10_19867
          | C_ZPASSANT_20288 := C_TOP or C_T2S11_19875
          | C_CLK_4636 := C_T1S41_19835 or C_CLK_3096_20241
          | C_CLK_4638 := C_T2S11_19875 or C_CLK_2605_20225
          | C_CLK_4795 := (not C_CLK_4636) and C_ZN_19970
          | C_CLK_4797 := (not C_CLK_4638) and C_ZN_19997
          | C_CLK_4893 := (not C_TOP_5429) and C_T1S40_19827
          | C_CLK_4899 := (not C_TOP_5429) and C_T1S41_19835
          | C_CLK_4939 := (not C_TOP) and C_T2S10_19867
          | C_CLK_4945 := (not C_TOP) and C_T2S11_19875
          | C_CLK_5003 := (not C_T2S11_19875) and C_CLK_2605_20225
          | C_CLK_5009 := (not C_T1S41_19835) and C_CLK_3096_20241
          | ZPASSANT_20351 := left_tt ( ZPASSANT,C_ZPASSANT_20285 )
          | ZPASSANT_20357 := left_tt ( ZPASSANT_5019,C_ZPASSANT_20288 )
          | C_MONTER_1_20368 := left_tt ( C_MONTER_1,C_DN_20003 )
          | ZPASSANT_20371 := left_tt ( ZPASSANT_5448,C_ZPASSANT )
          | ZPASSANT_20377 := left_tt ( ZPASSANT_5672,C_ZPASSANT_20282 )
          | C_MONTER_4_20388 := left_tt ( C_MONTER_4,C_DN_19976 )
          | C_ := C_T1S41_19835 and ZPASSANT_20377
          | C_SORTIE_1_5430 := C_T1S40_19827 and ZPASSANT_20371
          | C__20409 := C_T2S11_19875 and ZPASSANT_20357
          | C_SORTIE_1 := C_T2S10_19867 and ZPASSANT_20351
          | C_CLK_4602 := C__20409 or C_SORTIE_1
          | C_CLK_4615 := C_ or C_SORTIE_1_5430
          | C_ZN_20421 := ACTIF_5542 or C_CLK_4615
          | C_ZN_20424 := ACTIF_4874 or C_CLK_4602
          | C_CLK_4783 := (not C_SORTIE_1) and C_ZN_20424
          | C_CLK_4787 := (not C_SORTIE_1_5430) and C_ZN_20421
          | C_CLK_4791 := (not C_SORTIE_1_5430) and C_
          | C_CLK_4793 := (not C_SORTIE_1) and C__20409
          | C_CLK_4817 := not C_CLK_4602
          | C_CLK_4819 := not C_CLK_4615
          | C_N0_20449 := left_tt ( C_N0,C__20409 )
          | C_CLK_2707_20457 := left_tt ( C_CLK_2707,C__20409 )
          | C_CLK_2716_20465 := left_tt ( C_CLK_2716,C__20409 )
          | C_N0_20473 := left_tt ( C_N0_20470,C_ )
          | C_CLK_3198_20481 := left_tt ( C_CLK_3198,C_ )
          | C_CLK_3207_20489 := left_tt ( C_CLK_3207,C_ )
          | C_ZN_20495 := C_HMOD100 or C_N0_20449
          | C_ZN_20498 := C_HMOD100 or C_N0_20473
          | C_CLK_2686_20503 := left_tt ( C_CLK_2686,C_ZN_20495 )
          | C_CLK_2700_20511 := left_tt ( C_CLK_2700,C_ZN_20495 )
          | C_CLK_2710_20519 := left_tt ( C_CLK_2710,C_ZN_20495 )
          | C_CLK_3177_20527 := left_tt ( C_CLK_3177,C_ZN_20498 )
          | C_CLK_3191_20535 := left_tt ( C_CLK_3191,C_ZN_20498 )
          | C_CLK_3201_20543 := left_tt ( C_CLK_3201,C_ZN_20498 )
          | C_TOP_4920 := C_HMOD100 and C_CLK_2700_20511
          | C_TOP_5588 := C_HMOD100 and C_CLK_3191_20535
          | C_DESCENDRE_6 := C_TOP_5588 or C_CLK_3207_20489
          | C_DESCENDRE_3 := C_TOP_4920 or C_CLK_2716_20465
          | C_F := C_DESCENDRE_3 or C_DESCENDRE_6
          | C_CLK_4693 := C_N0_20449 or C_CLK_2686_20503
          | C_T_2 := C_CLK_2707_20457 or C_CLK_2710_20519
          | C_CLK_4697 := C_N0_20473 or C_CLK_3177_20527
          | C_T_5 := C_CLK_3198_20481 or C_CLK_3201_20543
          | C_CLK_4717 := C_T_2 or C_T_5
          | C_CLK_4734 := C_CLK_4717 or C_MONTER_4_20388
          | C_ZN_20582 := C_CLK_4734 or C_MONTER_1_20368
          | C_CLK_4761 := (not C_T_5) and C_ZN_20582
          | C_CLK_4763 := (not C_T_2) and C_ZN_20582
          | C_CLK_4765 := (not C_MONTER_4_20388) and C_ZN_20582
          | C_CLK_4767 := (not C_MONTER_1_20368) and C_ZN_20582
          | C_CLK_4779 := (not C_CLK_4693) and C_ZN_20495
          | C_CLK_4781 := (not C_CLK_4697) and C_ZN_20498
          | C_CLK_5005 := (not C_N0_20449) and C_CLK_2686_20503
          | C_CLK_5011 := (not C_N0_20473) and C_CLK_3177_20527
          | C_OUVRIR_20619 := left_tt ( C_OUVRIR,C_ZN_20582 )
          | C_ZPASSANT_20630 := C_F or C_OUVRIR_20619
          | C_CLK_4771 := (not C_OUVRIR_20619) and C_F
          | C_CLK_5105 := C_HMOD100 or C_OUVRIR_20619
          | C_ZN_20640 := C_CLK_5105 or C_L2CO_19581
          | C_CLK_5216 := C_L2CO_19581 or C_OUVRIR_20619
          | C_ZN_20646 := C_CLK_5105 or C_L1CO_19597
          | C_CLK_5222 := C_L1CO_19597 or C_OUVRIR_20619
          | C_CLK_5675 := (not C_OUVRIR_20619) and C_L1CO_19597
          | C_CLK_5691 := (not C_OUVRIR_20619) and C_L2CO_19581
          | C_CLK_2813_20660 := left_tt ( C_CLK_2813,C_ZN_20646 )
          | C_CLK_2824_20668 := left_tt ( C_CLK_2824,C_ZN_20646 )
          | C_CLK_2957_20676 := left_tt ( C_CLK_2957,C_ZN_20640 )
          | C_CLK_2968_20684 := left_tt ( C_CLK_2968,C_ZN_20640 )
          | ZPASSANT_20690 := left_tt ( ZPASSANT_5782,C_ZPASSANT_20630 )
          | C_FERMER := C_F and ZPASSANT_20690
          | C_CLK_5109 := C_HMOD100 or C_FERMER
          | C_CLK_5165 := C_HV12 or C_FERMER
          | C_L1CS := C_FERMER or C_B1SD_19605
          | C_L2CS := C_FERMER or C_B2SD_19589
          | C_ZN_20711 := C_CLK_5109 or C_B2SD_19589
          | C_ZN_20714 := C_CLK_5109 or C_B1SD_19605
          | C_CLK_5251 := C_L2CS or C_L2CO_19581
          | C_EB1U := C_HMOD100 and C_CLK_2824_20668
          | C_EB2U := C_HMOD100 and C_CLK_2968_20684
          | C_CLK_5291 := C_L2CH or C_CLK_5251
          | C_ZACTIF := C_L2CH or C_CLK_5165
          | C_COULEUR_20732 := C_EB2U or C_COULEUR_19620
          | C_B2CU := C_EB2U or C_OUVRIR_20619
          | C_ZACTIF_20738 := C_L1CH or C_CLK_5165
          | C_CLK_5430 := C_TSTABLE_20152 or C_L1CS
          | C_COULEUR_20744 := C_EB1U or C_COULEUR_19614
          | C_B1CU := C_EB1U or C_OUVRIR_20619
          | C_CLK_5587 := C_CLK_5216 or C_CLK_2957_20676
          | C_CLK_5589 := C_CLK_5222 or C_CLK_2813_20660
          | C_CLK_5603 := (not C_L1CS) and C_TSTABLE_20152
          | C_CLK_5617 := (not C_L2CS) and C_TSTABLE
          | C_CLK_5627 := (not C_CLK_5587) and C_ZN_20640
          | C_CLK_5629 := (not C_CLK_5589) and C_ZN_20646
          | C_CLK_5639 := (not C_CLK_5430) and C_HV12
          | C_CLK_5641 := (not C_CLK_5291) and C_HV12
          | C_CLK_5659 := (not C_CLK_5216) and C_CLK_2957_20676
          | C_CLK_5665 := (not C_CLK_5222) and C_CLK_2813_20660
          | C_CLK_5669 := (not C_FERMER) and C_B1SD_19605
          | C_CLK_5681 := (not C_EB1U) and C_COULEUR_19614
          | C_CLK_5685 := (not C_FERMER) and C_B2SD_19589
          | C_CLK_5697 := (not C_EB2U) and C_COULEUR_19620
          | C_CLK_2882_20805 := left_tt ( C_CLK_2882,C_ZN_20714 )
          | C_CLK_2893_20813 := left_tt ( C_CLK_2893,C_ZN_20714 )
          | C_CLK_3026_20821 := left_tt ( C_CLK_3026,C_ZN_20711 )
          | C_CLK_3037_20829 := left_tt ( C_CLK_3037,C_ZN_20711 )
          | ACTIF_20835 := left_tt ( ACTIF_5883,C_ZACTIF_20738 )
          | ACTIF_20841 := left_tt ( ACTIF_6036,C_ZACTIF )
          | C_CLK_5253 := C_L2CS or C_CLK_3026_20821
          | C_CLK_5257 := C_L1CS or C_CLK_2882_20805
          | C_EB1D := C_HMOD100 and C_CLK_2893_20813
          | C_EB2D := C_HMOD100 and C_CLK_3037_20829
          | C_B2CD := C_EB2D or C_FERMER
          | C_COULEUR_20868 := C_EB2D or C_COULEUR_19620
          | C_CLK_5278 := C_EB2D or C_B2SD_19589
          | C_CLK_5280 := C_CLK_5278 or C_CLK_2993_19923
          | C_COMMANDE := C_B2CU or C_B2CD
          | C_FIN_DEF := C_COMMANDE or HREPARER2_19125
          | C_CLK_5342 := C_COMMANDE and C_CLK_2118
          | C_DEB_MV := C_CLK_5342 or HREPARER2_19125
          | C_CLK_5352 := C_DEB_MV or C_FIN_MV
          | C_CLK_5357 := C_FIN_DEF or HDEFAILLANCE2_19137
          | C_B1CD := C_EB1D or C_FERMER
          | C_COULEUR_20898 := C_EB1D or C_COULEUR_19614
          | C_CLK_5399 := C_EB1D or C_B1SD_19605
          | C_CLK_5401 := C_CLK_5399 or C_CLK_2849_19907
          | C_COMMANDE_4222 := C_B1CU or C_B1CD
          | C_FIN_DEF_4079 := C_COMMANDE_4222 or HREPARER1_19107
          | C_CLK_5481 := C_COMMANDE_4222 and C_CLK_2288
          | C_DEB_MV_4080 := C_CLK_5481 or HREPARER1_19107
          | C_CLK_5491 := C_DEB_MV_4080 or C_FIN_MV_4081
          | C_CLK_5496 := C_FIN_DEF_4079 or HDEFAILLANCE1_19119
          | C_ZTCLIGNO := C_HV12 and ACTIF_20841
          | C_ZTCLIGNO_20928 := C_HV12 and ACTIF_20835
          | C_COULEUR_20931 := C_ZTCLIGNO_20928 or C_TSTABLE_20152
          | C_COULEUR_20934 := C_ZTCLIGNO or C_TSTABLE
          | C_CLK_5591 := (not C_TSTABLE) and C_ZTCLIGNO
          | C_CLK_5593 := (not C_TSTABLE_20152) and C_ZTCLIGNO_20928
          | C_CLK_5595 := (not HDEFAILLANCE1_19119) and C_FIN_DEF_4079
          | C_CLK_5605 := (not C_B1CU) and C_B1CD
          | C_CLK_5609 := (not HDEFAILLANCE2_19137) and C_FIN_DEF
          | C_CLK_5619 := (not C_B2CU) and C_B2CD
          | C_CLK_5623 := (not C_DEB_MV) and C_FIN_MV
          | C_CLK_5625 := (not C_DEB_MV_4080) and C_FIN_MV_4081
          | C_CLK_5631 := (not C_CLK_5253) and C_ZN_20711
          | C_CLK_5633 := (not C_CLK_5280) and C_ZN
          | C_CLK_5635 := (not C_CLK_5257) and C_ZN_20714
          | C_CLK_5637 := (not C_CLK_5401) and C_ZN_19816
          | C_CLK_5655 := (not C_L2CS) and C_CLK_3026_20821
          | C_CLK_5657 := (not C_CLK_5278) and C_CLK_2993_19923
          | C_CLK_5661 := (not C_L1CS) and C_CLK_2882_20805
          | C_CLK_5663 := (not C_CLK_5399) and C_CLK_2849_19907
          | C_CLK_5667 := (not C_EB1D) and C_B1SD_19605
          | C_CLK_5679 := (not C_EB1D) and C_COULEUR_19614
          | C_CLK_5683 := (not C_EB2D) and C_B2SD_19589
          | C_CLK_5695 := (not C_EB2D) and C_COULEUR_19620
          | C_CLK_5699 := not C_CLK_5357
          | C_CLK_5701 := not C_COMMANDE
          | C_CLK_5703 := not C_CLK_5352
          | C_CLK_5705 := not C_COMMANDE_4222
          | C_CLK_5707 := not C_CLK_5491
          | C_CLK_5709 := not C_CLK_5496
          |)
       |)
      where 
      integer N, N_1650, N_3197, N_3273, XZX% value = [-1,1]
             %, XZX_3997% value = [-1,1]
             %, N_4904, N0_4919, N_5572, N0_5587, N_7023, ZN_7024, N_7045, ZN_7046;
      boolean ZACTIF, ZACTIF_588, ZACTIF_710, ZACTIF_754, ZACTIF_873, ZACTIF_916, ZACTIF_1035, ZACTIF_1078, ZACTIF_1196, ZACTIF_1239, ZACTIF_2179, ZACTIF_2225, ZACTIF_2344, ZACTIF_2387, ZACTIF_2505, ZACTIF_2547, ZACTIF_2665, ZACTIF_2707, ZACTIF_2825, 
             ZACTIF_2867, ACTIF_3792, ZACTIF_1, ACTIF_3827, POS_THEORIQUE, ACTIF_3861, ZACTIF_2, ACTIF_3895, MOUVEMENT, ACTIF_4085, ZACTIF_4086, ACTIF_4119, ZACTIF_4120, ACTIF_4153, ZACTIF_4154, ACTIF_4187, ZACTIF_4188, ZPASSANT, ACTIF_4874, ZACTIF_4875, 
             ZPASSANT_5019, ZPASSANT_5448, ACTIF_5542, ZACTIF_5543, ZPASSANT_5672, ZPASSANT_5782, ACTIF_5883, TSTABLE, TCLIGNO, ACTIF_6036, TSTABLE_6039, TCLIGNO_6041, C_STOP1, C_CLK_825, C_CLK_833, C_STOP2, C_CLK_888, C_CLK_896, C_STOP1_2969, C_CLK_1760, 
             C_CLK_1768, C_STOP2_2970, C_CLK_1823, C_CLK_1831, C_CLK_1982, C_CLK_2118, C_CLK_2162, C_CLK_2288, C_HMOD100, C_CLK_3807, C_HV12, C_CLK_3822, HV11_19059, HV12_19065, HLW1_19071, HNW1_19077, HV21_19083, HV22_19089, HLW2_19095, HNW2_19101, 
             HREPARER1_19107, HPANNE1_19113, HDEFAILLANCE1_19119, HREPARER2_19125, HPANNE2_19131, HDEFAILLANCE2_19137, C_X3, C_NWAG, C_X3_19149, C_NWAG_19152, C_X3_19155, C_NWAG_19158, C_X3_19161, C_NWAG_19164, C_CLK_4389, C_CLK_4395, C_L, C_L_19176, C_N, 
             C_N_19182, C_CLK_4425, C_CLK_4427, C_L_19191, C_L_19194, C_N_19197, C_N_19200, C_CLK_4459, C_CLK_4459_19206, C_CLK_4462, C_CLK_4462_19212, C_CLK_4466, C_CLK_4466_19218, C_CLK_4469, C_CLK_4469_19224, C_CLK_4799, C_CLK_4801, C_CLK_4803, 
             C_CLK_4805, C_CLK_4807, C_CLK_4809, C_CLK_4811, C_CLK_4813, C_CLK_4815, C_CLK_4823, C_CLK_4827, C_CLK_4827_19260, C_CLK_4831, C_CLK_4831_19266, C_CLK_4833, C_CLK_4835, C_CLK_4837, C_CLK_4839, C_CLK_4923, C_CLK_4925, C_CLK_4928, C_CLK_4930, 
             C_CLK_4969, C_CLK_4971, C_CLK_4974, C_CLK_4976, C_EFFACE, C_EFFACE_19316, C_XW0, C_XW0_19321, ZACTIF_19327, C_XW0_19331, C_XW0_19334, ZACTIF_19340, C_XW0_19344, C_XW0_19347, ZACTIF_19353, C_XW0_19357, C_XW0_19360, ZACTIF_19366, C_XW0_19370, 
             C_XW0_19373, ZACTIF_19379, C_XW0_19383, C_XW0_19386, ZACTIF_19392, C_XW0_19396, C_XW0_19399, ZACTIF_19405, C_XW0_19409, C_XW0_19412, ZACTIF_19418, C_XW0_19422, C_XW0_19425, ZACTIF_19431, C_XW0_19435, C_XW0_19438, ZACTIF_19444, C_XW0_19448, 
             C_XW0_19451, ZACTIF_19457, C_XW0_19461, C_XW0_19464, ZACTIF_19470, C_XW0_19474, C_XW0_19477, ZACTIF_19483, C_XW0_19487, C_XW0_19490, ZACTIF_19496, C_XW0_19500, C_XW0_19503, ZACTIF_19509, C_XW0_19513, C_XW0_19516, ZACTIF_19522, C_XW0_19526, 
             C_XW0_19529, ZACTIF_19535, C_XW0_19539, C_XW0_19542, ZACTIF_19548, C_XW0_19552, C_XW0_19555, ZACTIF_19561, C_XW0_19565, C_XW0_19568, ZACTIF_19574, C_L2CO, C_L2CO_19581, C_B2SD, C_B2SD_19589, C_L1CO, C_L1CO_19597, C_B1SD, C_B1SD_19605, 
             C_COULEUR, C_COULEUR_19614, C_COULEUR_19617, C_COULEUR_19620, C_XW0_19623, C_XW0_19626, C_XW0_19629, C_XW0_19632, C_XW0_19635, C_XW0_19638, C_XW0_19641, C_XW0_19644, C_XW0_19647, C_XW0_19650, C_NXW, C_ZXW, C_NXW_19659, C_ZXW_19662, 
             C_NXW_19665, C_ZXW_19668, C_NXW_19671, C_ZXW_19674, C_NXW_19677, C_ZXW_19680, C_NXW_19683, C_ZXW_19686, C_NXW_19689, C_ZXW_19692, C_NXW_19695, C_ZXW_19698, C_NXW_19701, C_ZXW_19704, C_NXW_19707, C_ZXW_19710, C_CLK_4849, C_CLK_4853, C_CLK_4857,
             C_CLK_4861, C_CLK_4865, C_CLK_4869, C_CLK_4873, C_CLK_4877, C_CLK_4881, C_CLK_4885, C_CLK_4887, C_CLK_4895, C_CLK_4901, C_CLK_4909, C_CLK_4917, C_CLK_4933, C_CLK_4941, C_CLK_4947, C_CLK_4955, C_CLK_4963, C_CLK_5208, C_CLK_5210, C_ZN, 
             C_ZN_19816, C_FIN_MV_4081, C_FIN_MV, C_T1S40, C_T1S40_19827, C_T1S41, C_T1S41_19835, C_T1S30, C_T1S30_19843, C_T1S20, C_T1S20_19851, C_T1S10, C_T1S10_19859, C_T2S10, C_T2S10_19867, C_T2S11, C_T2S11_19875, C_T2S20, C_T2S20_19883, C_T2S30, 
             C_T2S30_19891, C_T2S40, C_T2S40_19899, C_CLK_2849, C_CLK_2849_19907, C_CLK_2860, C_CLK_2860_19915, C_CLK_2993, C_CLK_2993_19923, C_CLK_3004, C_CLK_3004_19931, C_CLK_4479, C_CLK_4481, C_CLK_4483, C_CLK_4485, C_CLK_4487, C_CLK_4489, C_CLK_4491, 
             C_DN, C_CLK_4495, C_ZN_19970, C_CLK_4499, C_DN_19976, C_CLK_4503, C_DN_19982, C_CLK_4507, C_CLK_4509, C_DN_19991, C_CLK_4513, C_ZN_19997, C_CLK_4517, C_DN_20003, C_CLK_4521, C_DN_20009, C_CLK_4525, C_CLK_4847, C_CLK_4851, C_CLK_4855, 
             C_CLK_4859, C_CLK_4863, C_CLK_4867, C_CLK_4871, C_CLK_4875, C_CLK_4879, C_CLK_4883, C_CLK_4889, C_CLK_4891, C_CLK_4897, C_CLK_4903, C_CLK_4905, C_CLK_4907, C_CLK_4911, C_CLK_4913, C_CLK_4915, C_CLK_4919, C_CLK_4921, C_CLK_4935, C_CLK_4937, 
             C_CLK_4943, C_CLK_4949, C_CLK_4951, C_CLK_4953, C_CLK_4957, C_CLK_4959, C_CLK_4961, C_CLK_4965, C_CLK_4967, C_L1CH, C_L2CH, C_TSTABLE, C_TSTABLE_20152, C_CLK_5673, C_CLK_5689, C_CLK_2605, C_CLK_2605_20225, C_CLK_2619, C_CLK_2619_20233, 
             C_CLK_3096, C_CLK_3096_20241, C_CLK_3110, C_CLK_3110_20249, C_COULEUR_20258, C_COULEUR_20267, C_TOP, C_TOP_5429, C_ZPASSANT, C_ZPASSANT_20282, C_ZPASSANT_20285, C_ZPASSANT_20288, C_CLK_4636, C_CLK_4638, C_CLK_4795, C_CLK_4797, C_CLK_4893, 
             C_CLK_4899, C_CLK_4939, C_CLK_4945, C_CLK_5003, C_CLK_5009, ZPASSANT_20351, ZPASSANT_20357, C_MONTER_1, C_MONTER_1_20368, ZPASSANT_20371, ZPASSANT_20377, C_MONTER_4, C_MONTER_4_20388, C_, C_SORTIE_1_5430, C__20409, C_SORTIE_1, C_CLK_4602, 
             C_CLK_4615, C_ZN_20421, C_ZN_20424, C_CLK_4783, C_CLK_4787, C_CLK_4791, C_CLK_4793, C_CLK_4817, C_CLK_4819, C_N0, C_N0_20449, C_CLK_2707, C_CLK_2707_20457, C_CLK_2716, C_CLK_2716_20465, C_N0_20470, C_N0_20473, C_CLK_3198, C_CLK_3198_20481, 
             C_CLK_3207, C_CLK_3207_20489, C_ZN_20495, C_ZN_20498, C_CLK_2686, C_CLK_2686_20503, C_CLK_2700, C_CLK_2700_20511, C_CLK_2710, C_CLK_2710_20519, C_CLK_3177, C_CLK_3177_20527, C_CLK_3191, C_CLK_3191_20535, C_CLK_3201, C_CLK_3201_20543, 
             C_TOP_4920, C_TOP_5588, C_DESCENDRE_6, C_DESCENDRE_3, C_F, C_CLK_4693, C_T_2, C_CLK_4697, C_T_5, C_CLK_4717, C_CLK_4734, C_ZN_20582, C_CLK_4761, C_CLK_4763, C_CLK_4765, C_CLK_4767, C_CLK_4779, C_CLK_4781, C_CLK_5005, C_CLK_5011, C_OUVRIR, 
             C_OUVRIR_20619, C_ZPASSANT_20630, C_CLK_4771, C_CLK_5105, C_ZN_20640, C_CLK_5216, C_ZN_20646, C_CLK_5222, C_CLK_5675, C_CLK_5691, C_CLK_2813, C_CLK_2813_20660, C_CLK_2824, C_CLK_2824_20668, C_CLK_2957, C_CLK_2957_20676, C_CLK_2968, 
             C_CLK_2968_20684, ZPASSANT_20690, C_FERMER, C_CLK_5109, C_CLK_5165, C_L1CS, C_L2CS, C_ZN_20711, C_ZN_20714, C_CLK_5251, C_EB1U, C_EB2U, C_CLK_5291, C_ZACTIF, C_COULEUR_20732, C_B2CU, C_ZACTIF_20738, C_CLK_5430, C_COULEUR_20744, C_B1CU, 
             C_CLK_5587, C_CLK_5589, C_CLK_5603, C_CLK_5617, C_CLK_5627, C_CLK_5629, C_CLK_5639, C_CLK_5641, C_CLK_5659, C_CLK_5665, C_CLK_5669, C_CLK_5681, C_CLK_5685, C_CLK_5697, C_CLK_2882, C_CLK_2882_20805, C_CLK_2893, C_CLK_2893_20813, C_CLK_3026, 
             C_CLK_3026_20821, C_CLK_3037, C_CLK_3037_20829, ACTIF_20835, ACTIF_20841, C_CLK_5253, C_CLK_5257, C_EB1D, C_EB2D, C_B2CD, C_COULEUR_20868, C_CLK_5278, C_CLK_5280, C_COMMANDE, C_FIN_DEF, C_CLK_5342, C_DEB_MV, C_CLK_5352, C_CLK_5357, C_B1CD, 
             C_COULEUR_20898, C_CLK_5399, C_CLK_5401, C_COMMANDE_4222, C_FIN_DEF_4079, C_CLK_5481, C_DEB_MV_4080, C_CLK_5491, C_CLK_5496, C_ZTCLIGNO, C_ZTCLIGNO_20928, C_COULEUR_20931, C_COULEUR_20934, C_CLK_5591, C_CLK_5593, C_CLK_5595, C_CLK_5605, 
             C_CLK_5609, C_CLK_5619, C_CLK_5623, C_CLK_5625, C_CLK_5631, C_CLK_5633, C_CLK_5635, C_CLK_5637, C_CLK_5655, C_CLK_5657, C_CLK_5661, C_CLK_5663, C_CLK_5667, C_CLK_5679, C_CLK_5683, C_CLK_5695, C_CLK_5699, C_CLK_5701, C_CLK_5703, C_CLK_5705, 
             C_CLK_5707, C_CLK_5709;
      real LGW, XW0, DX_1, LGW_2, XW0_3, DX_4, LGW_5, XW0_6, NXW, ZXW, LGW_669, XW0_670, DX_687, LGW_688, XW0_689, DX_731, LGW_732, XW0_733, NXW_798, ZXW_800, LGW_833, XW0_834, DX_851, LGW_852, XW0_853, DX_894, LGW_895, XW0_896, NXW_960, ZXW_962, LGW_995, 
          XW0_996, DX_1013, LGW_1014, XW0_1015, DX_1056, LGW_1057, XW0_1058, NXW_1122, ZXW_1124, LGW_1156, XW0_1157, DX_1174, LGW_1175, XW0_1176, DX_1217, LGW_1218, XW0_1219, NXW_1283, ZXW_1285, X1, XX1, L, X2, XX2, L_1446, ZX1, ZX2, ZXX1, ZXX2, LWAG1, 
          VITESSE, ZVITESSE, L_1576, LWAG2, VITESSE_1651, ZVITESSE_1652, L_1653, Z_1691, Z_1705, Z_1719, Z_1733, LGW_2135, XW0_2136, DX_2153, LGW_2154, XW0_2155, DX_2199, LGW_2200, XW0_2201, NXW_2269, ZXW_2271, LGW_2303, XW0_2304, DX_2321, LGW_2322, 
          XW0_2323, DX_2364, LGW_2365, XW0_2366, NXW_2431, ZXW_2433, LGW_2465, XW0_2466, DX_2483, LGW_2484, XW0_2485, DX_2525, LGW_2526, XW0_2527, NXW_2591, ZXW_2593, LGW_2625, XW0_2626, DX_2643, LGW_2644, XW0_2645, DX_2685, LGW_2686, XW0_2687, NXW_2751, 
          ZXW_2753, LGW_2785, XW0_2786, DX_2803, LGW_2804, XW0_2805, DX_2845, LGW_2846, XW0_2847, NXW_2911, ZXW_2913, X_2975, XX_2980, L_3007, X_3040, XX_3045, L_3072, ZX1_3152, ZX2_3153, ZXX1_3154, ZXX2_3155, LWAG_3158, VITESSE_3198, ZVITESSE_3199, 
          L_3200, LWAG_3235, VITESSE_3274, ZVITESSE_3275, L_3276, Z_3314, Z_3328, Z_3342, Z_3356;
      process ACT_C_HV12 =
           ( )
         (| (| when HV11 ^= V11 |)
          | (| when HV12 ^= V12 |)
          | (| when HLW1 ^= LW1 |)
          | (| when HNW1 ^= NW1 |)
          | (| when HV21 ^= V21 |)
          | (| when HV22 ^= V22 |)
          | (| when HLW2 ^= LW2 |)
          | (| when HNW2 ^= NW2 |)
          | (| C_CLK_4459 := HREPARER1 or HPANNE1
             | C_CLK_4462 := HPANNE1 or HDEFAILLANCE1
             | C_CLK_4466 := HREPARER2 or HPANNE2
             | C_CLK_4469 := HPANNE2 or HDEFAILLANCE2
             | C_CLK_4827 := (not HPANNE2) and HREPARER2
             | C_CLK_4831 := (not HPANNE1) and HREPARER1
             |)
          |)
      %ACT_C_HV12%; 
      process ACT_C_X3 =
           ( )
         (| when C_X3 ^= ACTIF_2224 ^= ACTIF_2386 ^= ACTIF_2546 ^= ACTIF_2706 ^= ACTIF_2866 ^= LWAGONS_3046 ^= ZX_3071 ^= LTRAIN_3073 ^= ZLTRAIN_3074 ^= ZLWAGONS_3075 ^= V_3234 ^= X1_3507 ^= X2_3508 ^= ZX1_3510 ^= ZX2_3511 ^= ZX3_3515 ^= X3_3516
          | (| when ZACTIF_2225 ^= DX_2199 ^= LGW_2200
             | ACT_ZACTIF_2225{}
             |)
          | (| when ZACTIF_2387 ^= DX_2364 ^= LGW_2365
             | ACT_ZACTIF_2387{}
             |)
          | (| when ZACTIF_2547 ^= DX_2525 ^= LGW_2526
             | ACT_ZACTIF_2547{}
             |)
          | (| when ZACTIF_2707 ^= DX_2685 ^= LGW_2686
             | ACT_ZACTIF_2707{}
             |)
          | (| when ZACTIF_2867 ^= DX_2845 ^= LGW_2846
             | ACT_ZACTIF_2867{}
             |)
          | (| when C_XW0_19461 ^= XW0_2201
             | (| XW0_2201 := (X_3040-XT1) when C_XW0_19461 |)
             |)
          | (| when C_XW0_19487 ^= XW0_2366
             | (| XW0_2366 := (X_3040-XT2) when C_XW0_19487 |)
             |)
          | (| when C_XW0_19513 ^= XW0_2527
             | (| XW0_2527 := (X_3040-XT3) when C_XW0_19513 |)
             |)
          | (| when C_XW0_19539 ^= XW0_2687
             | (| XW0_2687 := (X_3040-XT4) when C_XW0_19539 |)
             |)
          | (| when C_XW0_19565 ^= XW0_2847
             | (| XW0_2847 := (X_3040-XT5) when C_XW0_19565 |)
             |)
          | (| ACTIF_2224 := (X_3040>XT1) and (XX_3045<=(XT1+1.0))
             | ZACTIF_2225 := ACTIF_2224$1 init false
             | ACTIF_2386 := (X_3040>XT2) and (XX_3045<=(XT2+1.0))
             | ZACTIF_2387 := ACTIF_2386$1 init false
             | ACTIF_2546 := (X_3040>XT3) and (XX_3045<=(XT3+1.0))
             | ZACTIF_2547 := ACTIF_2546$1 init false
             | ACTIF_2706 := (X_3040>XT4) and (XX_3045<=(XT4+1.0))
             | ZACTIF_2707 := ACTIF_2706$1 init false
             | ACTIF_2866 := (X_3040>XT5) and (XX_3045<=(XT5+1.0))
             | ZACTIF_2867 := ACTIF_2866$1 init false
             | X_3040 := (XT1 when C_STOP2_2970) default ((ZX_3071+V_3234) when C_CLK_4976)
             | XX_3045 := X_3040-LTRAIN_3073
             | LWAGONS_3046 := (LWAG_3235 when C_NWAG) default (ZLWAGONS_3075 when C_CLK_4974)
             | ZX_3071 := X_3040$1 init XT1
             | LTRAIN_3073 := (L_3072 when C_NWAG) default (ZLTRAIN_3074 when C_CLK_4974)
             | ZLTRAIN_3074 := LTRAIN_3073$1 init 100.0e0
             | ZLWAGONS_3075 := LWAGONS_3046$1 init 10.0e0
             | V_3234 := VITESSE_3274 when C_X3
             | ZX1_3510 := X1_3507$1 init 0
             | ZX2_3511 := X2_3508$1 init 0
             | ZX3_3515 := X3_3516$1 init 0
             | (X1_3507,X2_3508,X3_3516) := DESSINERTRAIN(X_3040,XX_3045,LWAGONS_3046,370 when C_X3,350 when C_X3,ZX1_3510,ZX2_3511,ZX3_3515,(-1) when C_X3)
             | C_XW0_19461 := ACTIF_2224 and (not ZACTIF_2225)
             | C_XW0_19487 := ACTIF_2386 and (not ZACTIF_2387)
             | C_XW0_19513 := ACTIF_2546 and (not ZACTIF_2547)
             | C_XW0_19539 := ACTIF_2706 and (not ZACTIF_2707)
             | C_XW0_19565 := ACTIF_2866 and (not ZACTIF_2867)
             |)
          |)
         where 
         integer X1_3507, X2_3508, ZX1_3510, ZX2_3511, ZX3_3515, X3_3516;
         real LWAGONS_3046, ZX_3071, LTRAIN_3073, ZLTRAIN_3074, ZLWAGONS_3075, V_3234;
         boolean ACTIF_2224, ACTIF_2386, ACTIF_2546, ACTIF_2706, ACTIF_2866;
         process ACT_ZACTIF_2225 =
              ( )
            (| (| DX_2199 := V_3234 when ZACTIF_2225
                | LGW_2200 := LWAGONS_3046 when ZACTIF_2225
                |) |)
         %ACT_ZACTIF_2225%; 
         process ACT_ZACTIF_2387 =
              ( )
            (| (| DX_2364 := V_3234 when ZACTIF_2387
                | LGW_2365 := LWAGONS_3046 when ZACTIF_2387
                |) |)
         %ACT_ZACTIF_2387%; 
         process ACT_ZACTIF_2547 =
              ( )
            (| (| DX_2525 := V_3234 when ZACTIF_2547
                | LGW_2526 := LWAGONS_3046 when ZACTIF_2547
                |) |)
         %ACT_ZACTIF_2547%; 
         process ACT_ZACTIF_2707 =
              ( )
            (| (| DX_2685 := V_3234 when ZACTIF_2707
                | LGW_2686 := LWAGONS_3046 when ZACTIF_2707
                |) |)
         %ACT_ZACTIF_2707%; 
         process ACT_ZACTIF_2867 =
              ( )
            (| (| DX_2845 := V_3234 when ZACTIF_2867
                | LGW_2846 := LWAGONS_3046 when ZACTIF_2867
                |) |)
         %ACT_ZACTIF_2867%; 
         end
      %ACT_C_X3%; 
      process ACT_C_NWAG =
           ( )
         (| when C_NWAG ^= NWAG_3236
          | (| L_3072 := LWAG_3235*real(NWAG_3236)
             | LWAG_3235 := L_3276 when C_NWAG
             | NWAG_3236 := N_3273 when C_NWAG
             |)
          |)
         where 
         integer NWAG_3236;
         end
      %ACT_C_NWAG%; 
      process ACT_C_X3_19149 =
           ( )
         (| when C_X3_19149 ^= ACTIF_2178 ^= ACTIF_2343 ^= ACTIF_2504 ^= ACTIF_2664 ^= ACTIF_2824 ^= LWAGONS_2981 ^= ZX_3006 ^= LTRAIN_3008 ^= ZLTRAIN_3009 ^= ZLWAGONS_3010 ^= V_3157 ^= X1_3414 ^= X2_3415 ^= ZX1_3417 ^= ZX2_3418 ^= ZX3_3422 ^= X3_3423
          | (| when ZACTIF_2179 ^= DX_2153 ^= LGW_2154
             | ACT_ZACTIF_2179{}
             |)
          | (| when ZACTIF_2344 ^= DX_2321 ^= LGW_2322
             | ACT_ZACTIF_2344{}
             |)
          | (| when ZACTIF_2505 ^= DX_2483 ^= LGW_2484
             | ACT_ZACTIF_2505{}
             |)
          | (| when ZACTIF_2665 ^= DX_2643 ^= LGW_2644
             | ACT_ZACTIF_2665{}
             |)
          | (| when ZACTIF_2825 ^= DX_2803 ^= LGW_2804
             | ACT_ZACTIF_2825{}
             |)
          | (| when C_XW0_19448 ^= XW0_2155
             | (| XW0_2155 := (X_2975-XT1) when C_XW0_19448 |)
             |)
          | (| when C_XW0_19474 ^= XW0_2323
             | (| XW0_2323 := (X_2975-XT2) when C_XW0_19474 |)
             |)
          | (| when C_XW0_19500 ^= XW0_2485
             | (| XW0_2485 := (X_2975-XT3) when C_XW0_19500 |)
             |)
          | (| when C_XW0_19526 ^= XW0_2645
             | (| XW0_2645 := (X_2975-XT4) when C_XW0_19526 |)
             |)
          | (| when C_XW0_19552 ^= XW0_2805
             | (| XW0_2805 := (X_2975-XT5) when C_XW0_19552 |)
             |)
          | (| ACTIF_2178 := (X_2975>XT1) and (XX_2980<=(XT1+1.0))
             | ZACTIF_2179 := ACTIF_2178$1 init false
             | ACTIF_2343 := (X_2975>XT2) and (XX_2980<=(XT2+1.0))
             | ZACTIF_2344 := ACTIF_2343$1 init false
             | ACTIF_2504 := (X_2975>XT3) and (XX_2980<=(XT3+1.0))
             | ZACTIF_2505 := ACTIF_2504$1 init false
             | ACTIF_2664 := (X_2975>XT4) and (XX_2980<=(XT4+1.0))
             | ZACTIF_2665 := ACTIF_2664$1 init false
             | ACTIF_2824 := (X_2975>XT5) and (XX_2980<=(XT5+1.0))
             | ZACTIF_2825 := ACTIF_2824$1 init false
             | X_2975 := (XT1 when C_STOP1_2969) default ((ZX_3006+V_3157) when C_CLK_4971)
             | XX_2980 := X_2975-LTRAIN_3008
             | LWAGONS_2981 := (LWAG_3158 when C_NWAG_19152) default (ZLWAGONS_3010 when C_CLK_4969)
             | ZX_3006 := X_2975$1 init XT1
             | LTRAIN_3008 := (L_3007 when C_NWAG_19152) default (ZLTRAIN_3009 when C_CLK_4969)
             | ZLTRAIN_3009 := LTRAIN_3008$1 init 100.0e0
             | ZLWAGONS_3010 := LWAGONS_2981$1 init 10.0e0
             | V_3157 := VITESSE_3198 when C_X3_19149
             | ZX1_3417 := X1_3414$1 init 0
             | ZX2_3418 := X2_3415$1 init 0
             | ZX3_3422 := X3_3423$1 init 0
             | (X1_3414,X2_3415,X3_3423) := DESSINERTRAIN(X_2975,XX_2980,LWAGONS_2981,370 when C_X3_19149,350 when C_X3_19149,ZX1_3417,ZX2_3418,ZX3_3422,(-1) when C_X3_19149)
             | C_XW0_19448 := ACTIF_2178 and (not ZACTIF_2179)
             | C_XW0_19474 := ACTIF_2343 and (not ZACTIF_2344)
             | C_XW0_19500 := ACTIF_2504 and (not ZACTIF_2505)
             | C_XW0_19526 := ACTIF_2664 and (not ZACTIF_2665)
             | C_XW0_19552 := ACTIF_2824 and (not ZACTIF_2825)
             |)
          |)
         where 
         integer X1_3414, X2_3415, ZX1_3417, ZX2_3418, ZX3_3422, X3_3423;
         real LWAGONS_2981, ZX_3006, LTRAIN_3008, ZLTRAIN_3009, ZLWAGONS_3010, V_3157;
         boolean ACTIF_2178, ACTIF_2343, ACTIF_2504, ACTIF_2664, ACTIF_2824;
         process ACT_ZACTIF_2179 =
              ( )
            (| (| DX_2153 := V_3157 when ZACTIF_2179
                | LGW_2154 := LWAGONS_2981 when ZACTIF_2179
                |) |)
         %ACT_ZACTIF_2179%; 
         process ACT_ZACTIF_2344 =
              ( )
            (| (| DX_2321 := V_3157 when ZACTIF_2344
                | LGW_2322 := LWAGONS_2981 when ZACTIF_2344
                |) |)
         %ACT_ZACTIF_2344%; 
         process ACT_ZACTIF_2505 =
              ( )
            (| (| DX_2483 := V_3157 when ZACTIF_2505
                | LGW_2484 := LWAGONS_2981 when ZACTIF_2505
                |) |)
         %ACT_ZACTIF_2505%; 
         process ACT_ZACTIF_2665 =
              ( )
            (| (| DX_2643 := V_3157 when ZACTIF_2665
                | LGW_2644 := LWAGONS_2981 when ZACTIF_2665
                |) |)
         %ACT_ZACTIF_2665%; 
         process ACT_ZACTIF_2825 =
              ( )
            (| (| DX_2803 := V_3157 when ZACTIF_2825
                | LGW_2804 := LWAGONS_2981 when ZACTIF_2825
                |) |)
         %ACT_ZACTIF_2825%; 
         end
      %ACT_C_X3_19149%; 
      process ACT_C_NWAG_19152 =
           ( )
         (| when C_NWAG_19152 ^= NWAG_3159
          | (| L_3007 := LWAG_3158*real(NWAG_3159)
             | LWAG_3158 := L_3200 when C_NWAG_19152
             | NWAG_3159 := N_3197 when C_NWAG_19152
             |)
          |)
         where 
         integer NWAG_3159;
         end
      %ACT_C_NWAG_19152%; 
      process ACT_C_X3_19155 =
           ( )
         (| when C_X3_19155 ^= ACTIF_587 ^= ACTIF_753 ^= ACTIF_915 ^= ACTIF_1077 ^= ACTIF_1238 ^= LWAGONS_1420 ^= ZX_1445 ^= LTRAIN_1447 ^= ZLTRAIN_1448 ^= ZLWAGONS_1449 ^= VIT2 ^= X1_1940 ^= X2_1941 ^= ZX1_1943 ^= ZX2_1944 ^= ZX3_1948 ^= X3_1949
          | (| when ZACTIF_588 ^= DX_4 ^= LGW_5
             | ACT_ZACTIF_588{}
             |)
          | (| when ZACTIF_754 ^= DX_731 ^= LGW_732
             | ACT_ZACTIF_754{}
             |)
          | (| when ZACTIF_916 ^= DX_894 ^= LGW_895
             | ACT_ZACTIF_916{}
             |)
          | (| when ZACTIF_1078 ^= DX_1056 ^= LGW_1057
             | ACT_ZACTIF_1078{}
             |)
          | (| when ZACTIF_1239 ^= DX_1217 ^= LGW_1218
             | ACT_ZACTIF_1239{}
             |)
          | (| when C_XW0_19331 ^= XW0_6
             | (| XW0_6 := (X2-XT1) when C_XW0_19331 |)
             |)
          | (| when C_XW0_19357 ^= XW0_733
             | (| XW0_733 := (X2-XT2) when C_XW0_19357 |)
             |)
          | (| when C_XW0_19383 ^= XW0_896
             | (| XW0_896 := (X2-XT3) when C_XW0_19383 |)
             |)
          | (| when C_XW0_19409 ^= XW0_1058
             | (| XW0_1058 := (X2-XT4) when C_XW0_19409 |)
             |)
          | (| when C_XW0_19435 ^= XW0_1219
             | (| XW0_1219 := (X2-XT5) when C_XW0_19435 |)
             |)
          | (| ACTIF_587 := (X2>XT1) and (XX2<=(XT1+1.0))
             | ZACTIF_588 := ACTIF_587$1 init false
             | ACTIF_753 := (X2>XT2) and (XX2<=(XT2+1.0))
             | ZACTIF_754 := ACTIF_753$1 init false
             | ACTIF_915 := (X2>XT3) and (XX2<=(XT3+1.0))
             | ZACTIF_916 := ACTIF_915$1 init false
             | ACTIF_1077 := (X2>XT4) and (XX2<=(XT4+1.0))
             | ZACTIF_1078 := ACTIF_1077$1 init false
             | ACTIF_1238 := (X2>XT5) and (XX2<=(XT5+1.0))
             | ZACTIF_1239 := ACTIF_1238$1 init false
             | X2 := (XT1 when C_STOP2) default ((ZX_1445+VIT2) when C_CLK_4930)
             | XX2 := X2-LTRAIN_1447
             | LWAGONS_1420 := (LWAG2 when C_NWAG_19158) default (ZLWAGONS_1449 when C_CLK_4928)
             | ZX_1445 := X2$1 init XT1
             | LTRAIN_1447 := (L_1446 when C_NWAG_19158) default (ZLTRAIN_1448 when C_CLK_4928)
             | ZLTRAIN_1448 := LTRAIN_1447$1 init 100.0e0
             | ZLWAGONS_1449 := LWAGONS_1420$1 init 10.0e0
             | VIT2 := VITESSE_1651 when C_X3_19155
             | ZX1_1943 := X1_1940$1 init 0
             | ZX2_1944 := X2_1941$1 init 0
             | ZX3_1948 := X3_1949$1 init 0
             | (X1_1940,X2_1941,X3_1949) := DESSINERTRAIN(X2,XX2,LWAGONS_1420,140 when C_X3_19155,120 when C_X3_19155,ZX1_1943,ZX2_1944,ZX3_1948,1 when C_X3_19155)
             | C_XW0_19331 := ACTIF_587 and (not ZACTIF_588)
             | C_XW0_19357 := ACTIF_753 and (not ZACTIF_754)
             | C_XW0_19383 := ACTIF_915 and (not ZACTIF_916)
             | C_XW0_19409 := ACTIF_1077 and (not ZACTIF_1078)
             | C_XW0_19435 := ACTIF_1238 and (not ZACTIF_1239)
             |)
          |)
         where 
         integer X1_1940, X2_1941, ZX1_1943, ZX2_1944, ZX3_1948, X3_1949;
         real LWAGONS_1420, ZX_1445, LTRAIN_1447, ZLTRAIN_1448, ZLWAGONS_1449, VIT2;
         boolean ACTIF_587, ACTIF_753, ACTIF_915, ACTIF_1077, ACTIF_1238;
         process ACT_ZACTIF_588 =
              ( )
            (| (| DX_4 := VIT2 when ZACTIF_588
                | LGW_5 := LWAGONS_1420 when ZACTIF_588
                |) |)
         %ACT_ZACTIF_588%; 
         process ACT_ZACTIF_754 =
              ( )
            (| (| DX_731 := VIT2 when ZACTIF_754
                | LGW_732 := LWAGONS_1420 when ZACTIF_754
                |) |)
         %ACT_ZACTIF_754%; 
         process ACT_ZACTIF_916 =
              ( )
            (| (| DX_894 := VIT2 when ZACTIF_916
                | LGW_895 := LWAGONS_1420 when ZACTIF_916
                |) |)
         %ACT_ZACTIF_916%; 
         process ACT_ZACTIF_1078 =
              ( )
            (| (| DX_1056 := VIT2 when ZACTIF_1078
                | LGW_1057 := LWAGONS_1420 when ZACTIF_1078
                |) |)
         %ACT_ZACTIF_1078%; 
         process ACT_ZACTIF_1239 =
              ( )
            (| (| DX_1217 := VIT2 when ZACTIF_1239
                | LGW_1218 := LWAGONS_1420 when ZACTIF_1239
                |) |)
         %ACT_ZACTIF_1239%; 
         end
      %ACT_C_X3_19155%; 
      process ACT_C_NWAG_19158 =
           ( )
         (| when C_NWAG_19158 ^= NWAG2
          | (| L_1446 := LWAG2*real(NWAG2)
             | LWAG2 := L_1653 when C_NWAG_19158
             | NWAG2 := N_1650 when C_NWAG_19158
             |)
          |)
         where 
         integer NWAG2;
         end
      %ACT_C_NWAG_19158%; 
      process ACT_C_X3_19161 =
           ( )
         (| when C_X3_19161 ^= ACTIF ^= ACTIF_709 ^= ACTIF_872 ^= ACTIF_1034 ^= ACTIF_1195 ^= LWAGONS ^= ZX ^= LTRAIN ^= ZLTRAIN ^= ZLWAGONS ^= VIT1 ^= X1_1798 ^= X2_1799 ^= ZX1_1801 ^= ZX2_1802 ^= ZX3 ^= X3
          | (| when ZACTIF ^= DX_1 ^= LGW_2
             | ACT_ZACTIF{}
             |)
          | (| when ZACTIF_710 ^= DX_687 ^= LGW_688
             | ACT_ZACTIF_710{}
             |)
          | (| when ZACTIF_873 ^= DX_851 ^= LGW_852
             | ACT_ZACTIF_873{}
             |)
          | (| when ZACTIF_1035 ^= DX_1013 ^= LGW_1014
             | ACT_ZACTIF_1035{}
             |)
          | (| when ZACTIF_1196 ^= DX_1174 ^= LGW_1175
             | ACT_ZACTIF_1196{}
             |)
          | (| when C_XW0 ^= XW0_3
             | (| XW0_3 := (X1-XT1) when C_XW0 |)
             |)
          | (| when C_XW0_19344 ^= XW0_689
             | (| XW0_689 := (X1-XT2) when C_XW0_19344 |)
             |)
          | (| when C_XW0_19370 ^= XW0_853
             | (| XW0_853 := (X1-XT3) when C_XW0_19370 |)
             |)
          | (| when C_XW0_19396 ^= XW0_1015
             | (| XW0_1015 := (X1-XT4) when C_XW0_19396 |)
             |)
          | (| when C_XW0_19422 ^= XW0_1176
             | (| XW0_1176 := (X1-XT5) when C_XW0_19422 |)
             |)
          | (| ACTIF := (X1>XT1) and (XX1<=(XT1+1.0))
             | ZACTIF := ACTIF$1 init false
             | ACTIF_709 := (X1>XT2) and (XX1<=(XT2+1.0))
             | ZACTIF_710 := ACTIF_709$1 init false
             | ACTIF_872 := (X1>XT3) and (XX1<=(XT3+1.0))
             | ZACTIF_873 := ACTIF_872$1 init false
             | ACTIF_1034 := (X1>XT4) and (XX1<=(XT4+1.0))
             | ZACTIF_1035 := ACTIF_1034$1 init false
             | ACTIF_1195 := (X1>XT5) and (XX1<=(XT5+1.0))
             | ZACTIF_1196 := ACTIF_1195$1 init false
             | X1 := (XT1 when C_STOP1) default ((ZX+VIT1) when C_CLK_4925)
             | XX1 := X1-LTRAIN
             | LWAGONS := (LWAG1 when C_NWAG_19164) default (ZLWAGONS when C_CLK_4923)
             | ZX := X1$1 init XT1
             | LTRAIN := (L when C_NWAG_19164) default (ZLTRAIN when C_CLK_4923)
             | ZLTRAIN := LTRAIN$1 init 100.0e0
             | ZLWAGONS := LWAGONS$1 init 10.0e0
             | VIT1 := VITESSE when C_X3_19161
             | ZX1_1801 := X1_1798$1 init 0
             | ZX2_1802 := X2_1799$1 init 0
             | ZX3 := X3$1 init 0
             | (X1_1798,X2_1799,X3) := DESSINERTRAIN(X1,XX1,LWAGONS,140 when C_X3_19161,120 when C_X3_19161,ZX1_1801,ZX2_1802,ZX3,1 when C_X3_19161)
             | C_XW0 := ACTIF and (not ZACTIF)
             | C_XW0_19344 := ACTIF_709 and (not ZACTIF_710)
             | C_XW0_19370 := ACTIF_872 and (not ZACTIF_873)
             | C_XW0_19396 := ACTIF_1034 and (not ZACTIF_1035)
             | C_XW0_19422 := ACTIF_1195 and (not ZACTIF_1196)
             |)
          |)
         where 
         integer X1_1798, X2_1799, ZX1_1801, ZX2_1802, ZX3, X3;
         real LWAGONS, ZX, LTRAIN, ZLTRAIN, ZLWAGONS, VIT1;
         boolean ACTIF, ACTIF_709, ACTIF_872, ACTIF_1034, ACTIF_1195;
         process ACT_ZACTIF =
              ( )
            (| (| DX_1 := VIT1 when ZACTIF
                | LGW_2 := LWAGONS when ZACTIF
                |) |)
         %ACT_ZACTIF%; 
         process ACT_ZACTIF_710 =
              ( )
            (| (| DX_687 := VIT1 when ZACTIF_710
                | LGW_688 := LWAGONS when ZACTIF_710
                |) |)
         %ACT_ZACTIF_710%; 
         process ACT_ZACTIF_873 =
              ( )
            (| (| DX_851 := VIT1 when ZACTIF_873
                | LGW_852 := LWAGONS when ZACTIF_873
                |) |)
         %ACT_ZACTIF_873%; 
         process ACT_ZACTIF_1035 =
              ( )
            (| (| DX_1013 := VIT1 when ZACTIF_1035
                | LGW_1014 := LWAGONS when ZACTIF_1035
                |) |)
         %ACT_ZACTIF_1035%; 
         process ACT_ZACTIF_1196 =
              ( )
            (| (| DX_1174 := VIT1 when ZACTIF_1196
                | LGW_1175 := LWAGONS when ZACTIF_1196
                |) |)
         %ACT_ZACTIF_1196%; 
         end
      %ACT_C_X3_19161%; 
      process ACT_C_NWAG_19164 =
           ( )
         (| when C_NWAG_19164 ^= NWAG1
          | (| L := LWAG1*real(NWAG1)
             | LWAG1 := L_1576 when C_NWAG_19164
             | NWAG1 := N when C_NWAG_19164
             |)
          |)
         where 
         integer NWAG1;
         end
      %ACT_C_NWAG_19164%; 
      process ACT_C_EFFACE =
           ( )
         (| when C_EFFACE ^= DP_3993 ^= NP_3994 ^= P_3995 ^= ZP_3996 ^= EFFACE_4024 ^= C_CLK_4983 ^= C_CLK_5029
          | (| ACT_C_COULEUR{} |)
          | (| DP_3993 := XZX_3997 when C_EFFACE
             | NP_3994 := ZP_3996+DP_3993
             | P_3995 := (9 when C_L1CO) default (0 when C_CLK_4983) default (NP_3994 when C_CLK_5029)
             | ZP_3996 := P_3995$1 init 9
             | EFFACE_4024 := EFFACE_BARRIERE(520 when C_EFFACE,80 when C_EFFACE,ZP_3996)
             | TRACE_BARRIERE(520 when C_EFFACE,80 when C_EFFACE,P_3995,EFFACE_4024)
             | C_L1CO := NP_3994>=9
             | C_B1SD := NP_3994<=0
             | C_COULEUR := C_L1CO or C_B1SD
             | C_CLK_4983 := (not C_L1CO) and C_B1SD
             | C_CLK_5029 := not C_COULEUR
             |)
          |)
         where 
         boolean EFFACE_4024, C_CLK_4983, C_CLK_5029;
         integer DP_3993% value = [-1,1]
                %, NP_3994, P_3995, ZP_3996;
         process ACT_C_COULEUR =
              ( )
            (| when C_COULEUR ^= SB ^= COULEUR_6593 ^= C_CLK_3632
             | (| SB := (true when C_L1CO) default (false when C_CLK_4983)
                | COULEUR_6593 := (1 when SB) default (0 when C_CLK_3632)
                | RECTANGLE(0 when C_COULEUR,137 when C_COULEUR,200 when C_COULEUR,187 when C_COULEUR,220 when C_COULEUR,COULEUR_6593)
                | C_CLK_3632 := not SB
                |)
             |)
            where 
            integer COULEUR_6593% value = [0,1]
                   %;
            boolean SB, C_CLK_3632;
            end
         %ACT_C_COULEUR%; 
         end
      %ACT_C_EFFACE%; 
      process ACT_C_EFFACE_19316 =
           ( )
         (| when C_EFFACE_19316 ^= DP ^= NP ^= P ^= ZP ^= EFFACE ^= C_CLK_4980 ^= C_CLK_5031
          | (| ACT_C_COULEUR_19617{} |)
          | (| DP := XZX when C_EFFACE_19316
             | NP := ZP+DP
             | P := (9 when C_L2CO) default (0 when C_CLK_4980) default (NP when C_CLK_5031)
             | ZP := P$1 init 9
             | EFFACE := EFFACE_BARRIERE(520 when C_EFFACE_19316,310 when C_EFFACE_19316,ZP)
             | TRACE_BARRIERE(520 when C_EFFACE_19316,310 when C_EFFACE_19316,P,EFFACE)
             | C_L2CO := NP>=9
             | C_B2SD := NP<=0
             | C_COULEUR_19617 := C_L2CO or C_B2SD
             | C_CLK_4980 := (not C_L2CO) and C_B2SD
             | C_CLK_5031 := not C_COULEUR_19617
             |)
          |)
         where 
         boolean EFFACE, C_CLK_4980, C_CLK_5031;
         integer DP% value = [-1,1]
                %, NP, P, ZP;
         process ACT_C_COULEUR_19617 =
              ( )
            (| when C_COULEUR_19617 ^= SB2 ^= COULEUR_6792 ^= C_CLK_3714
             | (| SB2 := (true when C_L2CO) default (false when C_CLK_4980)
                | COULEUR_6792 := (1 when SB2) default (0 when C_CLK_3714)
                | RECTANGLE(0 when C_COULEUR_19617,137 when C_COULEUR_19617,240 when C_COULEUR_19617,187 when C_COULEUR_19617,260 when C_COULEUR_19617,COULEUR_6792)
                | C_CLK_3714 := not SB2
                |)
             |)
            where 
            integer COULEUR_6792% value = [0,1]
                   %;
            boolean SB2, C_CLK_3714;
            end
         %ACT_C_COULEUR_19617%; 
         end
      %ACT_C_EFFACE_19316%; 
      process ACT_C_NXW =
           ( )
         (| when C_NXW ^= DX ^= Z
          | (| DX := (DX_1 when ZACTIF) default (DX_4 when C_CLK_4885)
             | LGW := (LGW_2 when ZACTIF) default (LGW_5 when C_CLK_4885)
             | Z := ZXW when C_NXW
             | NXW := Z+DX
             | C_T1S40 := NXW>=LGW
             |)
          |)
         where 
         real DX, Z;
         end
      %ACT_C_NXW%; 
      process ACT_C_ZXW =
           ( )
         (| when C_ZXW ^= XW
          | (| XW := (XW0 when C_XW0_19650) default ((NXW-LGW) when C_CLK_4889) default (NXW when C_CLK_4883)
             | ZXW := XW$1 init 0e0
             |)
          |)
         where 
         real XW;
         end
      %ACT_C_ZXW%; 
      process ACT_C_NXW_19659 =
           ( )
         (| when C_NXW_19659 ^= DX_668 ^= Z_797
          | (| DX_668 := (DX_687 when ZACTIF_710) default (DX_731 when C_CLK_4881)
             | LGW_669 := (LGW_688 when ZACTIF_710) default (LGW_732 when C_CLK_4881)
             | Z_797 := ZXW_800 when C_NXW_19659
             | NXW_798 := Z_797+DX_668
             | C_T1S41 := NXW_798>=LGW_669
             |)
          |)
         where 
         real DX_668, Z_797;
         end
      %ACT_C_NXW_19659%; 
      process ACT_C_ZXW_19662 =
           ( )
         (| when C_ZXW_19662 ^= XW_799
          | (| XW_799 := (XW0_670 when C_XW0_19647) default ((NXW_798-LGW_669) when C_CLK_4897) default (NXW_798 when C_CLK_4879)
             | ZXW_800 := XW_799$1 init 0e0
             |)
          |)
         where 
         real XW_799;
         end
      %ACT_C_ZXW_19662%; 
      process ACT_C_NXW_19665 =
           ( )
         (| when C_NXW_19665 ^= DX_832 ^= Z_959
          | (| DX_832 := (DX_851 when ZACTIF_873) default (DX_894 when C_CLK_4877)
             | LGW_833 := (LGW_852 when ZACTIF_873) default (LGW_895 when C_CLK_4877)
             | Z_959 := ZXW_962 when C_NXW_19665
             | NXW_960 := Z_959+DX_832
             | C_T1S30 := NXW_960>=LGW_833
             |)
          |)
         where 
         real DX_832, Z_959;
         end
      %ACT_C_NXW_19665%; 
      process ACT_C_ZXW_19668 =
           ( )
         (| when C_ZXW_19668 ^= XW_961
          | (| XW_961 := (XW0_834 when C_XW0_19644) default ((NXW_960-LGW_833) when C_CLK_4903) default (NXW_960 when C_CLK_4875)
             | ZXW_962 := XW_961$1 init 0e0
             |)
          |)
         where 
         real XW_961;
         end
      %ACT_C_ZXW_19668%; 
      process ACT_C_NXW_19671 =
           ( )
         (| when C_NXW_19671 ^= DX_994 ^= Z_1121
          | (| DX_994 := (DX_1013 when ZACTIF_1035) default (DX_1056 when C_CLK_4873)
             | LGW_995 := (LGW_1014 when ZACTIF_1035) default (LGW_1057 when C_CLK_4873)
             | Z_1121 := ZXW_1124 when C_NXW_19671
             | NXW_1122 := Z_1121+DX_994
             | C_T1S20 := NXW_1122>=LGW_995
             |)
          |)
         where 
         real DX_994, Z_1121;
         end
      %ACT_C_NXW_19671%; 
      process ACT_C_ZXW_19674 =
           ( )
         (| when C_ZXW_19674 ^= XW_1123
          | (| XW_1123 := (XW0_996 when C_XW0_19641) default ((NXW_1122-LGW_995) when C_CLK_4911) default (NXW_1122 when C_CLK_4871)
             | ZXW_1124 := XW_1123$1 init 0e0
             |)
          |)
         where 
         real XW_1123;
         end
      %ACT_C_ZXW_19674%; 
      process ACT_C_NXW_19677 =
           ( )
         (| when C_NXW_19677 ^= DX_1155 ^= Z_1282
          | (| DX_1155 := (DX_1174 when ZACTIF_1196) default (DX_1217 when C_CLK_4869)
             | LGW_1156 := (LGW_1175 when ZACTIF_1196) default (LGW_1218 when C_CLK_4869)
             | Z_1282 := ZXW_1285 when C_NXW_19677
             | NXW_1283 := Z_1282+DX_1155
             | C_T1S10 := NXW_1283>=LGW_1156
             |)
          |)
         where 
         real DX_1155, Z_1282;
         end
      %ACT_C_NXW_19677%; 
      process ACT_C_ZXW_19680 =
           ( )
         (| when C_ZXW_19680 ^= XW_1284
          | (| XW_1284 := (XW0_1157 when C_XW0_19638) default ((NXW_1283-LGW_1156) when C_CLK_4919) default (NXW_1283 when C_CLK_4867)
             | ZXW_1285 := XW_1284$1 init 0e0
             |)
          |)
         where 
         real XW_1284;
         end
      %ACT_C_ZXW_19680%; 
      process ACT_C_NXW_19683 =
           ( )
         (| when C_NXW_19683 ^= DX_2134 ^= Z_2268
          | (| DX_2134 := (DX_2153 when ZACTIF_2179) default (DX_2199 when C_CLK_4865)
             | LGW_2135 := (LGW_2154 when ZACTIF_2179) default (LGW_2200 when C_CLK_4865)
             | Z_2268 := ZXW_2271 when C_NXW_19683
             | NXW_2269 := Z_2268+DX_2134
             | C_T2S10 := NXW_2269>=LGW_2135
             |)
          |)
         where 
         real DX_2134, Z_2268;
         end
      %ACT_C_NXW_19683%; 
      process ACT_C_ZXW_19686 =
           ( )
         (| when C_ZXW_19686 ^= XW_2270
          | (| XW_2270 := (XW0_2136 when C_XW0_19635) default ((NXW_2269-LGW_2135) when C_CLK_4935) default (NXW_2269 when C_CLK_4863)
             | ZXW_2271 := XW_2270$1 init 0e0
             |)
          |)
         where 
         real XW_2270;
         end
      %ACT_C_ZXW_19686%; 
      process ACT_C_NXW_19689 =
           ( )
         (| when C_NXW_19689 ^= DX_2302 ^= Z_2430
          | (| DX_2302 := (DX_2321 when ZACTIF_2344) default (DX_2364 when C_CLK_4861)
             | LGW_2303 := (LGW_2322 when ZACTIF_2344) default (LGW_2365 when C_CLK_4861)
             | Z_2430 := ZXW_2433 when C_NXW_19689
             | NXW_2431 := Z_2430+DX_2302
             | C_T2S11 := NXW_2431>=LGW_2303
             |)
          |)
         where 
         real DX_2302, Z_2430;
         end
      %ACT_C_NXW_19689%; 
      process ACT_C_ZXW_19692 =
           ( )
         (| when C_ZXW_19692 ^= XW_2432
          | (| XW_2432 := (XW0_2304 when C_XW0_19632) default ((NXW_2431-LGW_2303) when C_CLK_4943) default (NXW_2431 when C_CLK_4859)
             | ZXW_2433 := XW_2432$1 init 0e0
             |)
          |)
         where 
         real XW_2432;
         end
      %ACT_C_ZXW_19692%; 
      process ACT_C_NXW_19695 =
           ( )
         (| when C_NXW_19695 ^= DX_2464 ^= Z_2590
          | (| DX_2464 := (DX_2483 when ZACTIF_2505) default (DX_2525 when C_CLK_4857)
             | LGW_2465 := (LGW_2484 when ZACTIF_2505) default (LGW_2526 when C_CLK_4857)
             | Z_2590 := ZXW_2593 when C_NXW_19695
             | NXW_2591 := Z_2590+DX_2464
             | C_T2S20 := NXW_2591>=LGW_2465
             |)
          |)
         where 
         real DX_2464, Z_2590;
         end
      %ACT_C_NXW_19695%; 
      process ACT_C_ZXW_19698 =
           ( )
         (| when C_ZXW_19698 ^= XW_2592
          | (| XW_2592 := (XW0_2466 when C_XW0_19629) default ((NXW_2591-LGW_2465) when C_CLK_4949) default (NXW_2591 when C_CLK_4855)
             | ZXW_2593 := XW_2592$1 init 0e0
             |)
          |)
         where 
         real XW_2592;
         end
      %ACT_C_ZXW_19698%; 
      process ACT_C_NXW_19701 =
           ( )
         (| when C_NXW_19701 ^= DX_2624 ^= Z_2750
          | (| DX_2624 := (DX_2643 when ZACTIF_2665) default (DX_2685 when C_CLK_4853)
             | LGW_2625 := (LGW_2644 when ZACTIF_2665) default (LGW_2686 when C_CLK_4853)
             | Z_2750 := ZXW_2753 when C_NXW_19701
             | NXW_2751 := Z_2750+DX_2624
             | C_T2S30 := NXW_2751>=LGW_2625
             |)
          |)
         where 
         real DX_2624, Z_2750;
         end
      %ACT_C_NXW_19701%; 
      process ACT_C_ZXW_19704 =
           ( )
         (| when C_ZXW_19704 ^= XW_2752
          | (| XW_2752 := (XW0_2626 when C_XW0_19626) default ((NXW_2751-LGW_2625) when C_CLK_4957) default (NXW_2751 when C_CLK_4851)
             | ZXW_2753 := XW_2752$1 init 0e0
             |)
          |)
         where 
         real XW_2752;
         end
      %ACT_C_ZXW_19704%; 
      process ACT_C_NXW_19707 =
           ( )
         (| when C_NXW_19707 ^= DX_2784 ^= Z_2910
          | (| DX_2784 := (DX_2803 when ZACTIF_2825) default (DX_2845 when C_CLK_4849)
             | LGW_2785 := (LGW_2804 when ZACTIF_2825) default (LGW_2846 when C_CLK_4849)
             | Z_2910 := ZXW_2913 when C_NXW_19707
             | NXW_2911 := Z_2910+DX_2784
             | C_T2S40 := NXW_2911>=LGW_2785
             |)
          |)
         where 
         real DX_2784, Z_2910;
         end
      %ACT_C_NXW_19707%; 
      process ACT_C_ZXW_19710 =
           ( )
         (| when C_ZXW_19710 ^= XW_2912
          | (| XW_2912 := (XW0_2786 when C_XW0_19623) default ((NXW_2911-LGW_2785) when C_CLK_4965) default (NXW_2911 when C_CLK_4847)
             | ZXW_2913 := XW_2912$1 init 0e0
             |)
          |)
         where 
         real XW_2912;
         end
      %ACT_C_ZXW_19710%; 
      process ACT_C_ZN =
           ( )
         (| when C_ZN ^= N_5324 ^= ZN_5325
          | (| N_5324 := (5 when C_EB2D) default (0 when C_CLK_5683) default ((ZN_5325-1) when C_CLK_5657) default (ZN_5325 when C_CLK_5633)
             | ZN_5325 := N_5324$1 init 0
             | C_CLK_2993 := ZN_5325>0
             | C_CLK_3004 := ZN_5325=1
             |)
          |)
         where 
         integer N_5324, ZN_5325;
         end
      %ACT_C_ZN%; 
      process ACT_C_ZN_19816 =
           ( )
         (| when C_ZN_19816 ^= N_5146 ^= ZN_5147
          | (| N_5146 := (5 when C_EB1D) default (0 when C_CLK_5667) default ((ZN_5147-1) when C_CLK_5663) default (ZN_5147 when C_CLK_5637)
             | ZN_5147 := N_5146$1 init 0
             | C_CLK_2849 := ZN_5147>0
             | C_CLK_2860 := ZN_5147=1
             |)
          |)
         where 
         integer N_5146, ZN_5147;
         end
      %ACT_C_ZN_19816%; 
      process ACT_C_DN =
           ( )
         (| when C_DN ^= N_4421 ^= ZN ^= DN ^= C_CLK_2369 ^= C_CLK_2372 ^= C_COULEUR_20270 ^= C_CLK_4986
          | (| ACT_C_COULEUR_20270{} |)
          | (| N_4421 := ZN+DN
             | ZN := N_4421$1 init 0
             | DN := (0 when C_CLK_4479) default (1 when C_CLK_4891) default ((-1) when C_CLK_4905)
             | C_CLK_2369 := ZN=0
             | C_CLK_2372 := N_4421=0
             | C_COULEUR_20270 := C_CLK_2369 or C_CLK_2372
             | C_CLK_4986 := (not C_CLK_2369) and C_CLK_2372
             |)
          |)
         where 
         boolean C_CLK_2369, C_CLK_2372, C_COULEUR_20270, C_CLK_4986;
         integer N_4421, ZN, DN% value = [-1,1]
                %;
         process ACT_C_COULEUR_20270 =
              ( )
            (| when C_COULEUR_20270 ^= OCCUPE ^= COULEUR_6208 ^= C_CLK_3485
             | (| OCCUPE := (true when C_CLK_2369) default (false when C_CLK_4986)
                | COULEUR_6208 := (1 when OCCUPE) default (0 when C_CLK_3485)
                | RECTANGLE(0 when C_COULEUR_20270,120 when C_COULEUR_20270,60 when C_COULEUR_20270,220 when C_COULEUR_20270,80 when C_COULEUR_20270,COULEUR_6208)
                | C_CLK_3485 := not OCCUPE
                |)
             |)
            where 
            integer COULEUR_6208% value = [0,1]
                   %;
            boolean OCCUPE, C_CLK_3485;
            end
         %ACT_C_COULEUR_20270%; 
         end
      %ACT_C_DN%; 
      process ACT_C_ZN_19970 =
           ( )
         (| when C_ZN_19970 ^= N_5468 ^= ZN_5480
          | (| N_5468 := (13 when C_T1S41) default ((ZN_5480-1) when C_CLK_5009) default (ZN_5480 when C_CLK_4795)
             | ZN_5480 := N_5468$1 init 0
             | C_CLK_3096 := ZN_5480>0
             | C_CLK_3110 := ZN_5480=1
             |)
          |)
         where 
         integer N_5468, ZN_5480;
         end
      %ACT_C_ZN_19970%; 
      process ACT_C_DN_19976 =
           ( )
         (| when C_DN_19976 ^= N_4449 ^= ZN_4450 ^= DN_4451 ^= C_CLK_2399 ^= C_CLK_2402 ^= C_CLK_4989
          | (| when C_COULEUR_20267 ^= C_MONTER_4
             | ACT_C_COULEUR_20267{}
             |)
          | (| N_4449 := ZN_4450+DN_4451
             | ZN_4450 := N_4449$1 init 0
             | DN_4451 := (0 when C_CLK_4481) default (1 when C_CLK_4907) default ((-1) when C_CLK_4913)
             | C_CLK_2399 := ZN_4450=0
             | C_CLK_2402 := N_4449=0
             | C_COULEUR_20267 := C_CLK_2399 or C_CLK_2402
             | C_CLK_4989 := (not C_CLK_2399) and C_CLK_2402
             |)
          |)
         where 
         boolean C_CLK_2399, C_CLK_2402, C_CLK_4989;
         integer N_4449, ZN_4450, DN_4451% value = [-1,1]
                %;
         process ACT_C_COULEUR_20267 =
              ( )
            (| when C_COULEUR_20267 ^= CENTRE ^= COULEUR_6263
             | (| CENTRE := (true when C_CLK_2399) default (false when C_CLK_4989)
                | COULEUR_6263 := (1 when CENTRE) default (0 when C_MONTER_4)
                | RECTANGLE(0 when C_COULEUR_20267,240 when C_COULEUR_20267,60 when C_COULEUR_20267,340 when C_COULEUR_20267,80 when C_COULEUR_20267,COULEUR_6263)
                | C_MONTER_4 := not CENTRE
                |)
             |)
            where 
            integer COULEUR_6263% value = [0,1]
                   %;
            boolean CENTRE;
            end
         %ACT_C_COULEUR_20267%; 
         end
      %ACT_C_DN_19976%; 
      process ACT_C_DN_19982 =
           ( )
         (| when C_DN_19982 ^= N_4477 ^= ZN_4478 ^= DN_4479 ^= C_CLK_2429 ^= C_CLK_2432 ^= C_COULEUR_20264 ^= C_CLK_4992
          | (| ACT_C_COULEUR_20264{} |)
          | (| N_4477 := ZN_4478+DN_4479
             | ZN_4478 := N_4477$1 init 0
             | DN_4479 := (0 when C_CLK_4483) default (1 when C_CLK_4915) default ((-1) when C_CLK_4921)
             | C_CLK_2429 := ZN_4478=0
             | C_CLK_2432 := N_4477=0
             | C_COULEUR_20264 := C_CLK_2429 or C_CLK_2432
             | C_CLK_4992 := (not C_CLK_2429) and C_CLK_2432
             |)
          |)
         where 
         boolean C_CLK_2429, C_CLK_2432, C_COULEUR_20264, C_CLK_4992;
         integer N_4477, ZN_4478, DN_4479% value = [-1,1]
                %;
         process ACT_C_COULEUR_20264 =
              ( )
            (| when C_COULEUR_20264 ^= EST ^= COULEUR_6316 ^= C_CLK_3529
             | (| EST := (true when C_CLK_2429) default (false when C_CLK_4992)
                | COULEUR_6316 := (1 when EST) default (0 when C_CLK_3529)
                | RECTANGLE(0 when C_COULEUR_20264,360 when C_COULEUR_20264,60 when C_COULEUR_20264,460 when C_COULEUR_20264,80 when C_COULEUR_20264,COULEUR_6316)
                | C_CLK_3529 := not EST
                |)
             |)
            where 
            integer COULEUR_6316% value = [0,1]
                   %;
            boolean EST, C_CLK_3529;
            end
         %ACT_C_COULEUR_20264%; 
         end
      %ACT_C_DN_19982%; 
      process ACT_C_DN_19991 =
           ( )
         (| when C_DN_19991 ^= N_4536 ^= ZN_4537 ^= DN_4538 ^= C_CLK_2475 ^= C_CLK_2478 ^= C_COULEUR_20261 ^= C_CLK_4995
          | (| ACT_C_COULEUR_20261{} |)
          | (| N_4536 := ZN_4537+DN_4538
             | ZN_4537 := N_4536$1 init 0
             | DN_4538 := (0 when C_CLK_4485) default (1 when C_CLK_4937) default ((-1) when C_CLK_4951)
             | C_CLK_2475 := ZN_4537=0
             | C_CLK_2478 := N_4536=0
             | C_COULEUR_20261 := C_CLK_2475 or C_CLK_2478
             | C_CLK_4995 := (not C_CLK_2475) and C_CLK_2478
             |)
          |)
         where 
         boolean C_CLK_2475, C_CLK_2478, C_COULEUR_20261, C_CLK_4995;
         integer N_4536, ZN_4537, DN_4538% value = [-1,1]
                %;
         process ACT_C_COULEUR_20261 =
              ( )
            (| when C_COULEUR_20261 ^= TS2W ^= COULEUR_6501 ^= C_CLK_3601
             | (| TS2W := (true when C_CLK_2475) default (false when C_CLK_4995)
                | COULEUR_6501 := (1 when TS2W) default (0 when C_CLK_3601)
                | RECTANGLE(0 when C_COULEUR_20261,360 when C_COULEUR_20261,100 when C_COULEUR_20261,460 when C_COULEUR_20261,120 when C_COULEUR_20261,COULEUR_6501)
                | C_CLK_3601 := not TS2W
                |)
             |)
            where 
            integer COULEUR_6501% value = [0,1]
                   %;
            boolean TS2W, C_CLK_3601;
            end
         %ACT_C_COULEUR_20261%; 
         end
      %ACT_C_DN_19991%; 
      process ACT_C_ZN_19997 =
           ( )
         (| when C_ZN_19997 ^= N_4796 ^= ZN_4809
          | (| N_4796 := (13 when C_T2S11) default ((ZN_4809-1) when C_CLK_5003) default (ZN_4809 when C_CLK_4797)
             | ZN_4809 := N_4796$1 init 0
             | C_CLK_2605 := ZN_4809>0
             | C_CLK_2619 := ZN_4809=1
             |)
          |)
         where 
         integer N_4796, ZN_4809;
         end
      %ACT_C_ZN_19997%; 
      process ACT_C_DN_20003 =
           ( )
         (| when C_DN_20003 ^= N_4564 ^= ZN_4565 ^= DN_4566 ^= C_CLK_2505 ^= C_CLK_2508 ^= C_CLK_4998
          | (| when C_COULEUR_20258 ^= C_MONTER_1
             | ACT_C_COULEUR_20258{}
             |)
          | (| N_4564 := ZN_4565+DN_4566
             | ZN_4565 := N_4564$1 init 0
             | DN_4566 := (0 when C_CLK_4487) default (1 when C_CLK_4953) default ((-1) when C_CLK_4959)
             | C_CLK_2505 := ZN_4565=0
             | C_CLK_2508 := N_4564=0
             | C_COULEUR_20258 := C_CLK_2505 or C_CLK_2508
             | C_CLK_4998 := (not C_CLK_2505) and C_CLK_2508
             |)
          |)
         where 
         boolean C_CLK_2505, C_CLK_2508, C_CLK_4998;
         integer N_4564, ZN_4565, DN_4566% value = [-1,1]
                %;
         process ACT_C_COULEUR_20258 =
              ( )
            (| when C_COULEUR_20258 ^= TS2C ^= COULEUR_6448
             | (| TS2C := (true when C_CLK_2505) default (false when C_CLK_4998)
                | COULEUR_6448 := (1 when TS2C) default (0 when C_MONTER_1)
                | RECTANGLE(0 when C_COULEUR_20258,240 when C_COULEUR_20258,100 when C_COULEUR_20258,340 when C_COULEUR_20258,120 when C_COULEUR_20258,COULEUR_6448)
                | C_MONTER_1 := not TS2C
                |)
             |)
            where 
            integer COULEUR_6448% value = [0,1]
                   %;
            boolean TS2C;
            end
         %ACT_C_COULEUR_20258%; 
         end
      %ACT_C_DN_20003%; 
      process ACT_C_DN_20009 =
           ( )
         (| when C_DN_20009 ^= N_4592 ^= ZN_4593 ^= DN_4594 ^= C_CLK_2535 ^= C_CLK_2538 ^= C_COULEUR_20255 ^= C_CLK_5001
          | (| ACT_C_COULEUR_20255{} |)
          | (| N_4592 := ZN_4593+DN_4594
             | ZN_4593 := N_4592$1 init 0
             | DN_4594 := (0 when C_CLK_4489) default (1 when C_CLK_4961) default ((-1) when C_CLK_4967)
             | C_CLK_2535 := ZN_4593=0
             | C_CLK_2538 := N_4592=0
             | C_COULEUR_20255 := C_CLK_2535 or C_CLK_2538
             | C_CLK_5001 := (not C_CLK_2535) and C_CLK_2538
             |)
          |)
         where 
         boolean C_CLK_2535, C_CLK_2538, C_COULEUR_20255, C_CLK_5001;
         integer N_4592, ZN_4593, DN_4594% value = [-1,1]
                %;
         process ACT_C_COULEUR_20255 =
              ( )
            (| when C_COULEUR_20255 ^= TS2E ^= COULEUR_6393 ^= C_CLK_3557
             | (| TS2E := (true when C_CLK_2535) default (false when C_CLK_5001)
                | COULEUR_6393 := (1 when TS2E) default (0 when C_CLK_3557)
                | RECTANGLE(0 when C_COULEUR_20255,120 when C_COULEUR_20255,100 when C_COULEUR_20255,220 when C_COULEUR_20255,120 when C_COULEUR_20255,COULEUR_6393)
                | C_CLK_3557 := not TS2E
                |)
             |)
            where 
            integer COULEUR_6393% value = [0,1]
                   %;
            boolean TS2E, C_CLK_3557;
            end
         %ACT_C_COULEUR_20255%; 
         end
      %ACT_C_DN_20009%; 
      process ACT_C_ZPASSANT =
           ( )
         (| when C_ZPASSANT ^= PASSANT_5447
          | (| PASSANT_5447 := (true when C_TOP_5429) default (false when C_CLK_4893)
             | ZPASSANT_5448 := PASSANT_5447$1 init INITIAL_5439
             |)
          |)
         where 
         boolean PASSANT_5447;
         end
      %ACT_C_ZPASSANT%; 
      process ACT_C_ZPASSANT_20282 =
           ( )
         (| when C_ZPASSANT_20282 ^= PASSANT_5671
          | (| PASSANT_5671 := (true when C_TOP_5429) default (false when C_CLK_4899)
             | ZPASSANT_5672 := PASSANT_5671$1 init INITIAL_5663
             |)
          |)
         where 
         boolean PASSANT_5671;
         end
      %ACT_C_ZPASSANT_20282%; 
      process ACT_C_ZPASSANT_20285 =
           ( )
         (| when C_ZPASSANT_20285 ^= PASSANT
          | (| PASSANT := (true when C_TOP) default (false when C_CLK_4939)
             | ZPASSANT := PASSANT$1 init INITIAL
             |)
          |)
         where 
         boolean PASSANT;
         end
      %ACT_C_ZPASSANT_20285%; 
      process ACT_C_ZPASSANT_20288 =
           ( )
         (| when C_ZPASSANT_20288 ^= PASSANT_5018
          | (| PASSANT_5018 := (true when C_TOP) default (false when C_CLK_4945)
             | ZPASSANT_5019 := PASSANT_5018$1 init INITIAL_5010
             |)
          |)
         where 
         boolean PASSANT_5018;
         end
      %ACT_C_ZPASSANT_20288%; 
      process ACT_C_ =
           ( )
         (| when C_ ^= DUREE_5523 ^= ATTENTE_5589 ^= XZX_5590
          | (| when C_N0_20470 ^= N0_5587
             | (| N0_5587 := ATTENTE_5589 when C_N0_20470 |)
             |)
          | (| DUREE_5523 := N_5572 when C_
             | ATTENTE_5589 := (integer(XZX_5590)-30) when C_
             | XZX_5590 := ((real(DUREE_5523)*(DIST2/DIST1))/100.0) when C_
             | C_N0_20470 := ATTENTE_5589>0
             | C_CLK_3198 := ATTENTE_5589<=15
             | C_CLK_3207 := ATTENTE_5589<=0
             |)
          |)
         where 
         real XZX_5590;
         integer DUREE_5523, ATTENTE_5589;
         end
      %ACT_C_%; 
      process ACT_C__20409 =
           ( )
         (| when C__20409 ^= DUREE ^= ATTENTE ^= XZX_4922
          | (| when C_N0 ^= N0_4919
             | (| N0_4919 := ATTENTE when C_N0 |)
             |)
          | (| DUREE := N_4904 when C__20409
             | ATTENTE := (integer(XZX_4922)-30) when C__20409
             | XZX_4922 := ((real(DUREE)*(DIST2/DIST1))/100.0) when C__20409
             | C_N0 := ATTENTE>0
             | C_CLK_2707 := ATTENTE<=15
             | C_CLK_2716 := ATTENTE<=0
             |)
          |)
         where 
         real XZX_4922;
         integer DUREE, ATTENTE;
         end
      %ACT_C__20409%; 
      process ACT_C_ZN_20421 =
           ( )
         (| when C_ZN_20421 ^= ZN_5573
          | (| N_5572 := (0 when C_SORTIE_1_5430) default ((ZN_5573+1) when C_CLK_4787)
             | ZN_5573 := N_5572$1 init 0
             |)
          |)
         where 
         integer ZN_5573;
         end
      %ACT_C_ZN_20421%; 
      process ACT_C_ZN_20424 =
           ( )
         (| when C_ZN_20424 ^= ZN_4905
          | (| N_4904 := (0 when C_SORTIE_1) default ((ZN_4905+1) when C_CLK_4783)
             | ZN_4905 := N_4904$1 init 0
             |)
          |)
         where 
         integer ZN_4905;
         end
      %ACT_C_ZN_20424%; 
      process ACT_C_ZN_20495 =
           ( )
         (| when C_ZN_20495 ^= N_4853 ^= ZN_4948
          | (| N_4853 := (N0_4919 when C_N0) default ((ZN_4948-1) when C_CLK_5005) default (ZN_4948 when C_CLK_4779)
             | ZN_4948 := N_4853$1 init 0
             | AFFENTIER(N_4853,170 when C_ZN_20495,220 when C_ZN_20495)
             | C_CLK_2686 := ZN_4948>0
             | C_CLK_2700 := ZN_4948=1
             | C_CLK_2710 := N_4853=15
             |)
          |)
         where 
         integer N_4853, ZN_4948;
         end
      %ACT_C_ZN_20495%; 
      process ACT_C_ZN_20498 =
           ( )
         (| when C_ZN_20498 ^= N_5522 ^= ZN_5614
          | (| N_5522 := (N0_5587 when C_N0_20470) default ((ZN_5614-1) when C_CLK_5011) default (ZN_5614 when C_CLK_4781)
             | ZN_5614 := N_5522$1 init 0
             | AFFENTIER(N_5522,170 when C_ZN_20498,200 when C_ZN_20498)
             | C_CLK_3177 := ZN_5614>0
             | C_CLK_3191 := ZN_5614=1
             | C_CLK_3201 := N_5522=15
             |)
          |)
         where 
         integer N_5522, ZN_5614;
         end
      %ACT_C_ZN_20498%; 
      process ACT_C_ZN_20582 =
           ( )
         (| when C_ZN_20582 ^= DN1 ^= DN2 ^= DN3 ^= DN4 ^= N_5729 ^= ZN_5730 ^= C_ERREUR
          | (| (| ALERTE(true when C_ERREUR) |) |)
          | (| DN1 := (1 when C_T_5) default (0 when C_CLK_4761)
             | DN2 := (1 when C_T_2) default (0 when C_CLK_4763)
             | DN3 := ((-1) when C_MONTER_4) default (0 when C_CLK_4765)
             | DN4 := ((-1) when C_MONTER_1) default (0 when C_CLK_4767)
             | N_5729 := ZN_5730+DN1+DN2+DN3+DN4
             | ZN_5730 := N_5729$1 init 0
             | C_OUVRIR := N_5729=0
             | C_ERREUR := N_5729<0
             |)
          |)
         where 
         boolean C_ERREUR;
         integer DN1% value = [0,1]
                %, DN2% value = [0,1]
                %, DN3% value = [-1,0]
                %, DN4% value = [-1,0]
                %, N_5729, ZN_5730;
         end
      %ACT_C_ZN_20582%; 
      process ACT_C_ZPASSANT_20630 =
           ( )
         (| when C_ZPASSANT_20630 ^= PASSANT_5781
          | (| PASSANT_5781 := (true when C_OUVRIR) default (false when C_CLK_4771)
             | ZPASSANT_5782 := PASSANT_5781$1 init INITIAL_5773
             |)
          |)
         where 
         boolean PASSANT_5781;
         end
      %ACT_C_ZPASSANT_20630%; 
      process ACT_C_ZN_20640 =
           ( )
         (| when C_ZN_20640 ^= N_5287 ^= ZN_5288
          | (| N_5287 := (5 when C_OUVRIR) default (0 when C_CLK_5691) default ((ZN_5288-1) when C_CLK_5659) default (ZN_5288 when C_CLK_5627)
             | ZN_5288 := N_5287$1 init 0
             | C_CLK_2957 := ZN_5288>0
             | C_CLK_2968 := ZN_5288=1
             |)
          |)
         where 
         integer N_5287, ZN_5288;
         end
      %ACT_C_ZN_20640%; 
      process ACT_C_ZN_20646 =
           ( )
         (| when C_ZN_20646 ^= N_5108 ^= ZN_5109
          | (| N_5108 := (5 when C_OUVRIR) default (0 when C_CLK_5675) default ((ZN_5109-1) when C_CLK_5665) default (ZN_5109 when C_CLK_5629)
             | ZN_5109 := N_5108$1 init 0
             | C_CLK_2813 := ZN_5109>0
             | C_CLK_2824 := ZN_5109=1
             |)
          |)
         where 
         integer N_5108, ZN_5109;
         end
      %ACT_C_ZN_20646%; 
      process ACT_C_ZN_20711 =
           ( )
         (| when C_ZN_20711 ^= N_5361 ^= ZN_5362
          | (| N_5361 := (5 when C_FERMER) default (0 when C_CLK_5685) default ((ZN_5362-1) when C_CLK_5655) default (ZN_5362 when C_CLK_5631)
             | ZN_5362 := N_5361$1 init 0
             | C_CLK_3026 := ZN_5362>0
             | C_CLK_3037 := ZN_5362=1
             |)
          |)
         where 
         integer N_5361, ZN_5362;
         end
      %ACT_C_ZN_20711%; 
      process ACT_C_ZN_20714 =
           ( )
         (| when C_ZN_20714 ^= N_5184 ^= ZN_5185
          | (| N_5184 := (5 when C_FERMER) default (0 when C_CLK_5669) default ((ZN_5185-1) when C_CLK_5661) default (ZN_5185 when C_CLK_5635)
             | ZN_5185 := N_5184$1 init 0
             | C_CLK_2882 := ZN_5185>0
             | C_CLK_2893 := ZN_5185=1
             |)
          |)
         where 
         integer N_5184, ZN_5185;
         end
      %ACT_C_ZN_20714%; 
      process ACT_C_ZACTIF =
           ( )
         (| when C_ZACTIF ^= ZACTIF_6037
          | (| ACTIF_6036 := (true when C_L2CS) default (false when C_CLK_5617) default (ZACTIF_6037 when C_CLK_5641)
             | ZACTIF_6037 := ACTIF_6036$1 init false
             |)
          |)
         where 
         boolean ZACTIF_6037;
         end
      %ACT_C_ZACTIF%; 
      process ACT_C_COULEUR_20732 =
           ( )
         (| when C_COULEUR_20732 ^= T1_6765 ^= COULEUR_6853 ^= C_CLK_3743
          | (| T1_6765 := (true when C_EB2U) default (false when C_CLK_5697)
             | COULEUR_6853 := (1 when T1_6765) default (0 when C_CLK_3743)
             | RECTANGLE(0 when C_COULEUR_20732,280 when C_COULEUR_20732,240 when C_COULEUR_20732,380 when C_COULEUR_20732,260 when C_COULEUR_20732,COULEUR_6853)
             | C_CLK_3743 := not T1_6765
             |)
          |)
         where 
         integer COULEUR_6853% value = [0,1]
                %;
         boolean T1_6765, C_CLK_3743;
         end
      %ACT_C_COULEUR_20732%; 
      process ACT_C_ZACTIF_20738 =
           ( )
         (| when C_ZACTIF_20738 ^= ZACTIF_5884
          | (| ACTIF_5883 := (true when C_L1CS) default (false when C_CLK_5603) default (ZACTIF_5884 when C_CLK_5639)
             | ZACTIF_5884 := ACTIF_5883$1 init false
             |)
          |)
         where 
         boolean ZACTIF_5884;
         end
      %ACT_C_ZACTIF_20738%; 
      process ACT_C_COULEUR_20744 =
           ( )
         (| when C_COULEUR_20744 ^= T1_6565 ^= COULEUR_6654 ^= C_CLK_3661
          | (| T1_6565 := (true when C_EB1U) default (false when C_CLK_5681)
             | COULEUR_6654 := (1 when T1_6565) default (0 when C_CLK_3661)
             | RECTANGLE(0 when C_COULEUR_20744,280 when C_COULEUR_20744,200 when C_COULEUR_20744,380 when C_COULEUR_20744,220 when C_COULEUR_20744,COULEUR_6654)
             | C_CLK_3661 := not T1_6565
             |)
          |)
         where 
         integer COULEUR_6654% value = [0,1]
                %;
         boolean T1_6565, C_CLK_3661;
         end
      %ACT_C_COULEUR_20744%; 
      process ACT_C_COULEUR_20868 =
           ( )
         (| when C_COULEUR_20868 ^= T2_6766 ^= COULEUR_6906 ^= C_CLK_3765
          | (| T2_6766 := (true when C_EB2D) default (false when C_CLK_5695)
             | COULEUR_6906 := (1 when T2_6766) default (0 when C_CLK_3765)
             | RECTANGLE(0 when C_COULEUR_20868,400 when C_COULEUR_20868,240 when C_COULEUR_20868,500 when C_COULEUR_20868,260 when C_COULEUR_20868,COULEUR_6906)
             | C_CLK_3765 := not T2_6766
             |)
          |)
         where 
         integer COULEUR_6906% value = [0,1]
                %;
         boolean T2_6766, C_CLK_3765;
         end
      %ACT_C_COULEUR_20868%; 
      process ACT_C_COULEUR_20898 =
           ( )
         (| when C_COULEUR_20898 ^= T2_6566 ^= COULEUR_6707 ^= C_CLK_3683
          | (| T2_6566 := (true when C_EB1D) default (false when C_CLK_5679)
             | COULEUR_6707 := (1 when T2_6566) default (0 when C_CLK_3683)
             | RECTANGLE(0 when C_COULEUR_20898,400 when C_COULEUR_20898,200 when C_COULEUR_20898,500 when C_COULEUR_20898,220 when C_COULEUR_20898,COULEUR_6707)
             | C_CLK_3683 := not T2_6566
             |)
          |)
         where 
         integer COULEUR_6707% value = [0,1]
                %;
         boolean T2_6566, C_CLK_3683;
         end
      %ACT_C_COULEUR_20898%; 
      process ACT_C_ZTCLIGNO =
           ( )
         (| when C_ZTCLIGNO ^= ZTCLIGNO_6042
          | (| TCLIGNO_6041 := not ZTCLIGNO_6042
             | ZTCLIGNO_6042 := TCLIGNO_6041$1 init false
             |)
          |)
         where 
         boolean ZTCLIGNO_6042;
         end
      %ACT_C_ZTCLIGNO%; 
      process ACT_C_ZTCLIGNO_20928 =
           ( )
         (| when C_ZTCLIGNO_20928 ^= ZTCLIGNO
          | (| TCLIGNO := not ZTCLIGNO
             | ZTCLIGNO := TCLIGNO$1 init false
             |)
          |)
         where 
         boolean ZTCLIGNO;
         end
      %ACT_C_ZTCLIGNO_20928%; 
      process ACT_C_COULEUR_20931 =
           ( )
         (| when C_COULEUR_20931 ^= T_5885 ^= COULEUR ^= C_CLK_3383
          | (| T_5885 := (TSTABLE when C_TSTABLE_20152) default (TCLIGNO when C_CLK_5593)
             | COULEUR := (1 when T_5885) default (0 when C_CLK_3383)
             | RECTANGLE(1 when C_COULEUR_20931,498 when C_COULEUR_20931,72 when C_COULEUR_20931,514 when C_COULEUR_20931,88 when C_COULEUR_20931,COULEUR)
             | C_CLK_3383 := not T_5885
             |)
          |)
         where 
         integer COULEUR% value = [0,1]
                %;
         boolean T_5885, C_CLK_3383;
         end
      %ACT_C_COULEUR_20931%; 
      process ACT_C_COULEUR_20934 =
           ( )
         (| when C_COULEUR_20934 ^= T_6038 ^= COULEUR_6095 ^= C_CLK_3450
          | (| T_6038 := (TSTABLE_6039 when C_TSTABLE) default (TCLIGNO_6041 when C_CLK_5591)
             | COULEUR_6095 := (1 when T_6038) default (0 when C_CLK_3450)
             | RECTANGLE(1 when C_COULEUR_20934,498 when C_COULEUR_20934,302 when C_COULEUR_20934,514 when C_COULEUR_20934,318 when C_COULEUR_20934,COULEUR_6095)
             | C_CLK_3450 := not T_6038
             |)
          |)
         where 
         integer COULEUR_6095% value = [0,1]
                %;
         boolean T_6038, C_CLK_3450;
         end
      %ACT_C_COULEUR_20934%; 
      end
   %ACT_Tick%; 
   process RAZSLIDER =
        ( ? integer NS;
        )
   
   %RAZSLIDER%; 
   process DESSINERTRAIN =
        ( ? real XDEB, XFIN, L;
            integer Y1, Y2, ZX1, ZX2, ZX3, S;
          ! integer X1, X2, X3;
        )
        spec (| XDEB ^= XFIN ^= L ^= Y1 ^= Y2 ^= ZX1 ^= ZX2 ^= ZX3 ^= S ^= X1 ^= X2 ^= X3 |)
   
   %DESSINERTRAIN%; 
   process RECTANGLE =
        ( ? integer FEN;
            integer X1, Y1, X2, Y2, COULEUR;
        )
        spec (| FEN ^= X1 ^= Y1 ^= X2 ^= Y2 ^= COULEUR |)
   
   %RECTANGLE%; 
   process EFFACE_BARRIERE =
        ( ? integer X, Y, ZP;
          ! boolean EFFACE;
        )
        spec (| X ^= Y ^= ZP ^= EFFACE |)
   
   %EFFACE_BARRIERE%; 
   process TRACE_BARRIERE =
        ( ? integer X, Y, P;
            boolean EFFACE;
        )
        spec (| X ^= Y ^= P ^= EFFACE |)
   
   %TRACE_BARRIERE%; 
   process AFFENTIER =
        ( ? integer N, X1, Y1;
        )
        spec (| N ^= X1 ^= Y1 |)
   
   %AFFENTIER%; 
   process ALERTE =
        ( ? boolean ERREUR;
        )
   
   %ALERTE%; 
   end
%TRAIN_SEQ_TRA%; %(| Tick := true when Tick
                   | C_CLK_813 := not (ZXX1>XT5)
                   | C_CLK_826 := not ((VITESSE>0.0e0) and ((ZX1>=ZX2) or ((ZX1+DMIN)<ZXX2)))
                   | C_CLK_834 := not (ZXX1<=XT1)
                   | C_CLK_875 := not (ZXX2>XT5)
                   | C_CLK_889 := not ((VITESSE_1651>0.0e0) and ((ZX2>=ZX1) or ((ZX2+DMIN)<ZXX1)))
                   | C_CLK_897 := not (ZXX2<=XT1)
                   | C_CLK_1747 := not (ZXX1_3154>XT5)
                   | C_CLK_1761 := not ((VITESSE_3198>0.0e0) and ((ZX1_3152>=ZX2_3153) or ((ZX1_3152+DMIN)<ZXX2_3155)))
                   | C_CLK_1769 := not (ZXX1_3154<=XT1)
                   | C_CLK_1810 := not (ZXX2_3155>XT5)
                   | C_CLK_1824 := not ((VITESSE_3274>0.0e0) and ((ZX2_3153>=ZX1_3152) or ((ZX2_3153+DMIN)<ZXX1_3154)))
                   | C_CLK_1832 := not (ZXX2_3155<=XT1)
                   | C_CLK_1979 := not MOUVEMENT
                   | C_CLK_2117 := ZACTIF_1 or ZACTIF_2
                   | C_CLK_2159 := not ZACTIF_4188
                   | C_CLK_2287 := ZACTIF_4086 or ZACTIF_4154
                   | C_CLK_2652 := not ACTIF_4874
                   | C_CLK_3143 := not ACTIF_5542
                   | C_CLK_3842 := not HV11
                   | C_CLK_3846 := not HV12
                   | C_CLK_3850 := not HLW1
                   | C_CLK_3854 := not HNW1
                   | C_CLK_3881 := not HV21
                   | C_CLK_3885 := not HV22
                   | C_CLK_3889 := not HLW2
                   | C_CLK_3893 := not HNW2
                   | C_CLK_3919 := not HREPARER1
                   | C_CLK_3922 := not HPANNE1
                   | C_CLK_3925 := not HDEFAILLANCE1
                   | C_CLK_3943 := not HREPARER2
                   | C_CLK_3946 := not HPANNE2
                   | C_CLK_3949 := not HDEFAILLANCE2
                   | C_CLK := not (ACTIF and (not ZACTIF))
                   | C_CLK_137 := not ZACTIF
                   | C_CLK_166 := not (ACTIF_587 and (not ZACTIF_588))
                   | C_CLK_170 := not ZACTIF_588
                   | C_CLK_252 := not (ACTIF_709 and (not ZACTIF_710))
                   | C_CLK_256 := not ZACTIF_710
                   | C_CLK_285 := not (ACTIF_753 and (not ZACTIF_754))
                   | C_CLK_289 := not ZACTIF_754
                   | C_CLK_371 := not (ACTIF_872 and (not ZACTIF_873))
                   | C_CLK_375 := not ZACTIF_873
                   | C_CLK_404 := not (ACTIF_915 and (not ZACTIF_916))
                   | C_CLK_408 := not ZACTIF_916
                   | C_CLK_490 := not (ACTIF_1034 and (not ZACTIF_1035))
                   | C_CLK_494 := not ZACTIF_1035
                   | C_CLK_523 := not (ACTIF_1077 and (not ZACTIF_1078))
                   | C_CLK_527 := not ZACTIF_1078
                   | C_CLK_609 := not (ACTIF_1195 and (not ZACTIF_1196))
                   | C_CLK_613 := not ZACTIF_1196
                   | C_CLK_642 := not (ACTIF_1238 and (not ZACTIF_1239))
                   | C_CLK_646 := not ZACTIF_1239
                   | C_CLK_1067 := not (ACTIF_2178 and (not ZACTIF_2179))
                   | C_CLK_1071 := not ZACTIF_2179
                   | C_CLK_1100 := not (ACTIF_2224 and (not ZACTIF_2225))
                   | C_CLK_1104 := not ZACTIF_2225
                   | C_CLK_1186 := not (ACTIF_2343 and (not ZACTIF_2344))
                   | C_CLK_1190 := not ZACTIF_2344
                   | C_CLK_1219 := not (ACTIF_2386 and (not ZACTIF_2387))
                   | C_CLK_1223 := not ZACTIF_2387
                   | C_CLK_1305 := not (ACTIF_2504 and (not ZACTIF_2505))
                   | C_CLK_1309 := not ZACTIF_2505
                   | C_CLK_1338 := not (ACTIF_2546 and (not ZACTIF_2547))
                   | C_CLK_1342 := not ZACTIF_2547
                   | C_CLK_1424 := not (ACTIF_2664 and (not ZACTIF_2665))
                   | C_CLK_1428 := not ZACTIF_2665
                   | C_CLK_1457 := not (ACTIF_2706 and (not ZACTIF_2707))
                   | C_CLK_1461 := not ZACTIF_2707
                   | C_CLK_1543 := not (ACTIF_2824 and (not ZACTIF_2825))
                   | C_CLK_1547 := not ZACTIF_2825
                   | C_CLK_1576 := not (ACTIF_2866 and (not ZACTIF_2867))
                   | C_CLK_1580 := not ZACTIF_2867
                   | C_CLK_1993 := not (NP>=9)
                   | C_CLK_1996 := not (NP<=0)
                   | C_CLK_2173 := not (NP_3994>=9)
                   | C_CLK_2176 := not (NP_3994<=0)
                   | C_CLK_211 := not (NXW>=LGW)
                   | C_CLK_330 := not (NXW_798>=LGW_669)
                   | C_CLK_449 := not (NXW_960>=LGW_833)
                   | C_CLK_568 := not (NXW_1122>=LGW_995)
                   | C_CLK_687 := not (NXW_1283>=LGW_1156)
                   | C_CLK_1145 := not (NXW_2269>=LGW_2135)
                   | C_CLK_1264 := not (NXW_2431>=LGW_2303)
                   | C_CLK_1383 := not (NXW_2591>=LGW_2465)
                   | C_CLK_1502 := not (NXW_2751>=LGW_2625)
                   | C_CLK_1621 := not (NXW_2911>=LGW_2785)
                   | C_CLK_2850 := not (ZN_5147>0)
                   | C_CLK_2861 := not (ZN_5147=1)
                   | C_CLK_2994 := not (ZN_5325>0)
                   | C_CLK_3005 := not (ZN_5325=1)
                   | C_CLK_2370 := not (ZN=0)
                   | C_CLK_2373 := not (N_4421=0)
                   | C_CLK_2400 := not (ZN_4450=0)
                   | C_CLK_2403 := not (N_4449=0)
                   | C_CLK_2430 := not (ZN_4478=0)
                   | C_CLK_2433 := not (N_4477=0)
                   | C_CLK_2476 := not (ZN_4537=0)
                   | C_CLK_2479 := not (N_4536=0)
                   | C_CLK_2506 := not (ZN_4565=0)
                   | C_CLK_2509 := not (N_4564=0)
                   | C_CLK_2536 := not (ZN_4593=0)
                   | C_CLK_2539 := not (N_4592=0)
                   | C_CLK_2606 := not (ZN_4809>0)
                   | C_CLK_2620 := not (ZN_4809=1)
                   | C_CLK_3097 := not (ZN_5480>0)
                   | C_CLK_3111 := not (ZN_5480=1)
                   | C_CLK_2589 := not ZPASSANT
                   | C_CLK_2747 := not ZPASSANT_5019
                   | C_MONTER_1_20365 := left_tt ( C_MONTER_1,C_COULEUR_20258 )
                   | C_CLK_3080 := not ZPASSANT_5448
                   | C_CLK_3234 := not ZPASSANT_5672
                   | C_MONTER_4_20385 := left_tt ( C_MONTER_4,C_COULEUR_20267 )
                   | C_CLK_2679 := not (ATTENTE>0)
                   | C_CLK_2708 := not (ATTENTE<=15)
                   | C_CLK_2717 := not (ATTENTE<=0)
                   | C_CLK_3170 := not (ATTENTE_5589>0)
                   | C_CLK_3199 := not (ATTENTE_5589<=15)
                   | C_CLK_3208 := not (ATTENTE_5589<=0)
                   | C_CLK_2687 := not (ZN_4948>0)
                   | C_CLK_2701 := not (ZN_4948=1)
                   | C_CLK_2711 := not (N_4853=15)
                   | C_CLK_3178 := not (ZN_5614>0)
                   | C_CLK_3192 := not (ZN_5614=1)
                   | C_CLK_3202 := not (N_5522=15)
                   | C_CLK_3298 := not (N_5729=0)
                   | C_CLK_3302 := not (N_5729<0)
                   | C_CLK_2814 := not (ZN_5109>0)
                   | C_CLK_2825 := not (ZN_5109=1)
                   | C_CLK_2958 := not (ZN_5288>0)
                   | C_CLK_2969 := not (ZN_5288=1)
                   | C_CLK_3325 := not ZPASSANT_5782
                   | C_CLK_2883 := not (ZN_5185>0)
                   | C_CLK_2894 := not (ZN_5185=1)
                   | C_CLK_3027 := not (ZN_5362>0)
                   | C_CLK_3038 := not (ZN_5362=1)
                   | C_CLK_3372 := not ACTIF_5883
                   | C_CLK_3439 := not ACTIF_6036
                   |)**WARNING: unused signals 

%
