
module DISPLAY2=

      process  WLINE =
               ( ? integer X1, Y1, X2, Y2 ; )
      spec (| X1 ^= Y1 ^= X2 ^= Y2|)
      ; 

      process WVLINE =
           ( ? integer X;
               integer Y1, Y2;
           )
           spec (| X ^= Y1 ^= Y2|)
      ; 

      process DISPLAY = 
              { integer N, X_DELTA, Y_DELTA; }
              (? [N]integer SVY, SVRY;)
              (| array I to N-1
               of (| XSCREEN[I] := I*X_DELTA
                   | WVLINE(XSCREEN[I]-X_DELTA,SVY[I],SVRY[I])
                   | WLINE(XSCREEN[I]-X_DELTA,SVRY[I],XSCREEN[I],SVRY[I+1])
                   |)
              end 
              |)
              where
                   [N]integer XSCREEN;
      end;
end;
