// Process
typedef enum{DORMANT, READY, RUNNING, WAITING}ProcessState_type;
typedef enum{SOFT, HARD}Deadline_type;
typedef pK_String ProcessName_type;
typedef int Priority_type;
typedef int StackSize_type;
typedef double SystemAddress_type;

struct ProcessAttributes_type
{
  ProcessName_type Name;
  SystemAddress_type Entry_Point;
  StackSize_type Stack_Size;
  Priority_type Base_Priority;
  SystemTime_type Period;
  SystemTime_type Time_Capacity;
  Deadline_type Deadline; 
};

struct ProcessStatus_type
{
  ProcessAttributes_type Attributes;
  Priority_type Current_Priority;
  SystemTime_type Deadline_Time;
  ProcessState_type Process_State; 
};

