module M_Q1_COST =
   type HomoType = external;
   constant HomoType NilHomoTypeValue = external;
   constant HomoType d_epsilon = external;
   process Q1_COST =
        ( ? boolean err2, stable, next_stable, OK, C_d, C_, C_cc_391, C_380, C_error_405, C_cc, C_error, C_335, C_338;
            HomoType d_c, d_b, d_a, d_x, d_err2, d_C_cc, d_C_cc_391, d_C_error, d_C_error_405;
          ! HomoType d_error, d_x1, d_x2, d_OK, d_stable;
        )
      pragmas 
         main
         Defined_clock_hierarchy
      end pragmas
      (| (| CLK_stable_0 := ^stable
          | CLK_stable_0 ^= stable ^= next_stable ^= C_335 ^= C_338 ^= d_stable
          | ACT_CLK_stable_0{}
          |) |)
      where 
      event CLK_stable_0;
      process ACT_CLK_stable_0 =
           ( )
         (| CLK_stable_0 ^= biterate ^= C ^= C_y ^= OK_354 ^= C_d_364 ^= C__375 ^= C_cc_397 ^= C__429 ^= C_x21 ^= C_x1 ^= C_469 ^= C_473 ^= C_476 ^= OK_238 ^= C_d_247 ^= C__256 ^= C_cc_268 ^= C_cc_391_277 ^= C_356 ^= C_365 ^= C_375 ^= C_378 ^= C_381 ^= 
            C_384 ^= C_387 ^= C_394 ^= C_397 ^= d_stable_internal ^= d_next_stable ^= d_yy ^= d_pre_next_yy ^= d_mx ^= d_next_yy ^= d_biterate ^= d_s ^= d_XZX_164 ^= d_C ^= d_C_335 ^= d_C_338 ^= d_C_y ^= d_OK_354 ^= d_C_d_364 ^= d_C__375 ^= d_C_cc_397 ^= 
            d_C__429 ^= d_C_x21 ^= d_C_x1 ^= d_C_469 ^= d_C_473 ^= d_C_476 ^= d_OK_238 ^= d_C_d_247 ^= d_C__256 ^= d_C_cc_268 ^= d_C_cc_391_277 ^= d_C_356 ^= d_C_365 ^= d_C_375 ^= d_C_378 ^= d_C_381 ^= d_C_384 ^= d_C_387 ^= d_C_394 ^= d_C_397 ^= 
            d_CLK_stable_0 ^= done ^= done_1190 ^= done_1202 ^= done_1219 ^= done_1230 ^= done_1242 ^= done_1253 ^= done_1263 ^= done_1283 ^= done_1293 ^= done_1303 ^= done_1315 ^= done_1326 ^= done_1345 ^= done_1356 ^= done_1366 ^= done_1385 ^= done_1401 
            ^= done_1411 ^= done_1425 ^= done_1439 ^= XZX_1448 ^= done_1449 ^= XZX_1460 ^= done_1461 ^= done_1471 ^= done_1492 ^= done_1503 ^= done_1515 ^= done_1525 ^= done_1536 ^= done_1547 ^= XZX_1556 ^= done_1557 ^= XZX_1568 ^= done_1569 ^= XZX_1578 ^=
            done_1579 ^= XZX_1591 ^= XZX_1597 ^= done_1598 ^= XZX_1610 ^= done_1611 ^= done_1630 ^= XZX_1639 ^= done_1640 ^= XZX_1649 ^= done_1650 ^= XZX_1659 ^= done_1660 ^= done_1676 ^= XZX_1685 ^= done_1686 ^= XZX_1695 ^= done_1696 ^= XZX_1708 ^= 
            done_1709 ^= done_1720 ^= done_1734 ^= done_1741 ^= XZX_1753 ^= done_1760 ^= XZX_1766 ^= done_1767 ^= XZX_1779 ^= done_1787 ^= done_1795 ^= done_1803 ^= done_1822 ^= XZX_1831 ^= done_1832 ^= XZX_1848 ^= done_1849 ^= done_1860 ^= done_1879 ^= 
            XZX_1888 ^= done_1889 ^= XZX_1905 ^= done_1906 ^= done_1917 ^= XZX_1926 ^= done_1927 ^= XZX_1943 ^= done_1944 ^= done_1955 ^= done_1963 ^= done_1971 ^= done_1979 ^= XZX_1986 ^= done_1987 ^= done_1995 ^= XZX_2002 ^= done_2003 ^= done_2011 ^= 
            done_2018 ^= done_2053 ^= done_2066 ^= done_2087 ^= done_2102 ^= done_2112 ^= done_2122 ^= done_2132 ^= done_2146 ^= done_2156 ^= done_2166 ^= done_2185 ^= done_2201 ^= done_2211 ^= done_2239 ^= done_2262 ^= done_2285 ^= done_2300 ^= done_2315 
            ^= done_2338 ^= done_2353 ^= done_2453 ^= done_2541 ^= done_2565 ^= done_2589 ^= XZX_2596 ^= done_2597 ^= done_2605 ^= XZX_2612 ^= done_2613 ^= done_2621 ^= XZX_2628 ^= done_2629 ^= done_2637 ^= XZX_2644 ^= done_2645 ^= done_2653 ^= XZX_2660 ^=
            done_2661 ^= done_2669 ^= done_2677 ^= done_2685 ^= done_2692 ^= done_2700 ^= done_2716 ^= done_2732 ^= done_2748 ^= done_2764 ^= done_2780 ^= done_2796 ^= done_2812 ^= done_2828 ^= done_2876 ^= done_2908 ^= done_2924 ^= done_2940 ^= done_2956 
            ^= done_3032 ^= done_3168 ^= done_3176 ^= done_3184 ^= done_3192 ^= done_3200 ^= done_3208 ^= done_3216 ^= done_3224 ^= done_3233 ^= done_3245 ^= done_3257 ^= done_3269 ^= done_3281 ^= done_3293 ^= done_3305 ^= done_3317 ^= done_3340 ^= 
            done_3351 ^= done_3362 ^= done_3373 ^= done_3384
          | (| CLK := when biterate
             | CLK ^= d_CLK
             |)
          | (| CLK_c_0 := when stable
             | CLK_c_0 ^= OK ^= C_error_405 ^= C_cc ^= d_c ^= d_b ^= d_a ^= d_C_cc ^= d_C_error_405 ^= d_OK ^= d_c_internal ^= d_b_internal ^= d_a_internal ^= d_C_cc_internal ^= d_OK_internal ^= d_C_380_262 ^= d_C_error_283 ^= d_C_error_323 ^= d_C_391 ^= 
               d_CLK_c_0 ^= XZX_1275 ^= XZX_2676
             | ACT_CLK_c_0{}
             |)
          | (| CLK_65 := when C_335
             | CLK_65 ^= d_CLK_65
             |)
          | (| CLK_x2_0 := when C_y
             | CLK_x2_0 ^= d_x2 ^= d_x2_internal ^= d_x_194 ^= d_x_185 ^= d_y ^= d_bb_127 ^= d_CLK_x2_0 ^= XZX_1365 ^= XZX_1378 ^= XZX_1384 ^= XZX_2165 ^= XZX_2178 ^= XZX_2184
             | ACT_CLK_x2_0{}
             |)
          | (| CLK_XZX_181_0 := when C__429
             | CLK_XZX_181_0 ^= d_XZX_181 ^= d_CLK_XZX_181_0
             |)
          | (| CLK_x21_0 := when C_x21
             | CLK_x21_0 ^= d_x21 ^= d_CLK_x21_0 ^= XZX_1302 ^= XZX_1314
             |)
          | (| CLK_x1_0 := when C_x1
             | CLK_x1_0 ^= d_x1 ^= d_x1_internal ^= d_CLK_x1_0 ^= XZX_1229 ^= XZX_1241
             |)
          | (| CLK_207 := when C_375
             | CLK_207 ^= d_C_1171
             |)
          | (| CLK_209 := when C_378
             | CLK_209 ^= d_C_1172
             |)
          | (| CLK_211 := when C_381
             | CLK_211 ^= d_C_1173
             |)
          | (| CLK_213 := when C_384
             | CLK_213 ^= d_C_1174
             |)
          | (| CLK_215 := when C_387
             | CLK_215 ^= d_C_1175
             |)
          | (| CLK_220 := when C_394
             | CLK_220 ^= d_C_1177 ^= XZX_1936
             | XZX_1936 := CostConst{__TC__#_logical}()
             |)
          | (| CLK_222 := when C_397
             | CLK_222 ^= d_C_1178 ^= XZX_1841 ^= XZX_1898
             | ACT_CLK_222{}
             |)
          | (| biterate := CLK_d_0 default ((not stable) when CLK_207)
             | C := not biterate
             | C_y := next_stable and biterate
             | OK_354 := left_tt ( OK,stable )
             | C_d_364 := (C_d when CLK_bb) default (not CLK_222)
             | C__375 := (C_ when CLK_bb) default (not CLK_222)
             | C_cc_397 := (C_cc_391 when CLK_C_cc_391_0) default (not CLK_220)
             | C__429 := C_y or OK_354
             | C_x21 := C_y or C__375
             | C_x1 := C_x21 or C_cc_397
             | C_469 := (not C_y) and C__375
             | C_473 := (not C_x21) and C_cc_397
             | C_476 := not C_d_364
             | OK_238 := left_tt ( OK,stable )
             | C_d_247 := left_tt ( C_d,stable )
             | C__256 := left_tt ( C_,stable )
             | C_cc_268 := left_tt ( C_cc,stable )
             | C_cc_391_277 := left_tt ( C_cc_391,stable )
             | C_356 := C_469 and C__256
             | C_365 := C_473 and C_cc_391_277
             | C_375 := (not C_d_247) and C_476
             | C_378 := (not C_x21) and C_365
             | C_381 := (not C_y) and C_356
             | C_384 := (not C_335) and C_338
             | C_387 := (not biterate) and C
             | C_394 := not C_cc_268
             | C_397 := not OK_238
             | (XZX,done_1190) := CostWhen{__TC__#_logical}(d_err2_internal,d_C_1176,NilHomoTypeValue when CLK_46)
             | (XZX_1201,done_1202) := CostWhen{__TC__#_event}(XZX_1212,d_CLK_24,NilHomoTypeValue when CLK_46)
             | (d_error_internal,done) := CostDefault{__TC__#_logical}(XZX_1201,XZX,d_C_error_1154,NilHomoTypeValue when CLK_46)
             | (XZX_1229,done_1230) := CostWhen{__TC__#_real}(d_x_internal,d_C_1172,NilHomoTypeValue when CLK_x1_0)
             | (XZX_1241,done_1242) := CostWhen{__TC__#_real}(d_x21,d_CLK_x21_0,NilHomoTypeValue when CLK_x1_0)
             | (d_x1_internal,done_1219) := CostDefault{__TC__#_real}(XZX_1241,XZX_1229,d_CLK_x1_0,NilHomoTypeValue when CLK_x1_0)
             | (d_x2_internal,done_1253) := CostRenaming{__TC__#_real}(d_x_185,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (d_OK_internal,done_1263) := CostNEQ{__TC__#_real,__TC__#_real}(d_a_internal,XZX_1275,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_stable_internal,done_1283) := CostDelay{__TC__#_logical}(d_next_stable,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1302,done_1303) := CostWhen{__TC__#_real}(d_x0,d_C_1173,NilHomoTypeValue when CLK_x21_0)
             | (XZX_1314,done_1315) := CostWhen{__TC__#_real}(d_x_194,d_CLK_x2_0,NilHomoTypeValue when CLK_x21_0)
             | (d_x21,done_1293) := CostDefault{__TC__#_real}(XZX_1314,XZX_1302,d_CLK_x21_0,NilHomoTypeValue when CLK_x21_0)
             | (XZX_1344,done_1345) := CostUMinus{__TC__#_real}(d_XZX_109,d_CLK_x0_0,NilHomoTypeValue when CLK_x0_0)
             | (d_x0,done_1326) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1344,XZX_1338,d_CLK_x0_0,NilHomoTypeValue when CLK_x0_0)
             | (XZX_1384,done_1385) := CostPlus{__TC__#_real,__TC__#_real}(d_bb_127,d_y,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (XZX_1365,done_1366) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1384,XZX_1378,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (d_x_194,done_1356) := CostUMinus{__TC__#_real}(XZX_1365,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (d_d,done_1401) := CostWhen{__TC__#_real}(d_dd,d_CLK_d_0,NilHomoTypeValue when CLK_d_0)
             | (d_bb,done_1411) := CostDivi{__TC__#_real,__TC__#_real}(d_XZX_99,d_aa,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_next_stable,done_1425) := CostLT{__TC__#_real,__TC__#_real}(d_s,d_epsilon,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1448,done_1449) := CostWhen{__TC__#_real}(d_pre_next_yy,d_C_1171,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1470,done_1471) := CostDivi{__TC__#_real,__TC__#_real}(d_d,XZX_1483,d_CLK_d_0,NilHomoTypeValue when CLK_d_0)
             | (XZX_1460,done_1461) := CostWhen{__TC__#_real}(XZX_1470,d_CLK_d_0,NilHomoTypeValue when CLK_stable_0)
             | (d_yy,done_1439) := CostDefault{__TC__#_real}(XZX_1460,XZX_1448,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1502,done_1503) := CostWhen{__TC__#_real}(d_bb,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_XZX_181,done_1492) := CostCell{__TC__#_real}(XZX_1502,d_CLK_XZX_181_0,d_CLK_XZX_181_0,NilHomoTypeValue when CLK_XZX_181_0)
             | (d_pre_next_yy,done_1515) := CostDelay{__TC__#_real}(d_next_yy,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1535,done_1536) := CostWhen{__TC__#_real}(d_d,d_CLK_d_0,NilHomoTypeValue when CLK_d_0)
             | (d_mx,done_1525) := CostCell{__TC__#_real}(XZX_1535,d_CLK_stable_0,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1556,done_1557) := CostWhen{__TC__#_real}(d_yy,d_C_1175,NilHomoTypeValue when CLK_stable_0)
             | XZX_1591 := CostConst{__TC__#_real}()
             | (XZX_1610,done_1611) := CostDivi{__TC__#_real,__TC__#_real}(d_mx,d_yy,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1597,done_1598) := CostPlus{__TC__#_real,__TC__#_real}(d_yy,XZX_1610,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1578,done_1579) := CostDivi{__TC__#_real,__TC__#_real}(XZX_1597,XZX_1591,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1568,done_1569) := CostWhen{__TC__#_real}(XZX_1578,d_CLK,NilHomoTypeValue when CLK_stable_0)
             | (d_next_yy,done_1547) := CostDefault{__TC__#_real}(XZX_1568,XZX_1556,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1649,done_1650) := CostNot(d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1639,done_1640) := CostWhen{__TC__#_logical}(XZX_1649,d_C_1171,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1659,done_1660) := CostWhen{__TC__#_event}(XZX_1669,d_CLK_d_0,NilHomoTypeValue when CLK_stable_0)
             | (d_biterate,done_1630) := CostDefault{__TC__#_logical}(XZX_1659,XZX_1639,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1695,done_1696) := CostUMinus{__TC__#_real}(d_XZX_164,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1685,done_1686) := CostWhen{__TC__#_real}(XZX_1695,d_C_1174,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1708,done_1709) := CostWhen{__TC__#_real}(d_XZX_164,d_CLK_65,NilHomoTypeValue when CLK_stable_0)
             | (d_s,done_1676) := CostDefault{__TC__#_real}(XZX_1708,XZX_1685,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_XZX_164,done_1720) := CostMinus{__TC__#_real,__TC__#_real}(d_next_yy,d_yy,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C,done_1734) := CostNot(d_biterate,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | XZX_1753 := CostConst{__TC__#_real}()
             | (d_C_335,done_1741) := CostGEQ{__TC__#_real,__TC__#_real}(d_XZX_164,XZX_1753,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | XZX_1779 := CostConst{__TC__#_real}()
             | (XZX_1766,done_1767) := CostGEQ{__TC__#_real,__TC__#_real}(d_XZX_164,XZX_1779,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_338,done_1760) := CostNot(XZX_1766,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_y,done_1787) := CostAnd(d_next_stable,d_biterate,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_OK_354,done_1795) := CostLeftTT(d_OK_internal,d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_d,done_1803) := CostGT{__TC__#_real,__TC__#_real}(d_dd,XZX_1815,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (XZX_1831,done_1832) := CostWhen{__TC__#_logical}(XZX_1841,d_C_1178,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1848,done_1849) := CostWhen{__TC__#_logical}(d_C_d,d_CLK_bb,NilHomoTypeValue when CLK_stable_0)
             | (d_C_d_364,done_1822) := CostDefault{__TC__#_logical}(XZX_1848,XZX_1831,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_,done_1860) := CostEQ{__TC__#_real,__TC__#_real}(d_dd,XZX_1872,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (XZX_1888,done_1889) := CostWhen{__TC__#_logical}(XZX_1898,d_C_1178,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1905,done_1906) := CostWhen{__TC__#_logical}(d_C_,d_CLK_bb,NilHomoTypeValue when CLK_stable_0)
             | (d_C__375,done_1879) := CostDefault{__TC__#_logical}(XZX_1905,XZX_1888,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1926,done_1927) := CostWhen{__TC__#_logical}(XZX_1936,d_C_1177,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1943,done_1944) := CostWhen{__TC__#_logical}(d_C_cc_391_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_cc_397,done_1917) := CostDefault{__TC__#_logical}(XZX_1943,XZX_1926,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C__429,done_1955) := CostOr(d_C_y,d_OK_354,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_x21,done_1963) := CostOr(d_C_y,d_C__375,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_x1,done_1971) := CostOr(d_C_x21,d_C_cc_397,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_1986,done_1987) := CostNot(d_C_y,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_469,done_1979) := CostAnd(XZX_1986,d_C__375,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_2002,done_2003) := CostNot(d_C_x21,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_473,done_1995) := CostAnd(XZX_2002,d_C_cc_397,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_476,done_2011) := CostNot(d_C_d_364,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_380,done_2018) := CostLT{__TC__#_real,__TC__#_real}(d_dd,XZX_2030,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (XZX_2065,done_2066) := CostMult{__TC__#_real,__TC__#_real}(XZX_2079,d_cc,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (XZX_2086,done_2087) := CostMult{__TC__#_real,__TC__#_real}(d_bb,d_bb,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_dd,done_2053) := CostMinus{__TC__#_real,__TC__#_real}(XZX_2086,XZX_2065,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_aa,done_2102) := CostWhen{__TC__#_real}(d_a_internal,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_XZX_99,done_2112) := CostWhen{__TC__#_real}(d_b_internal,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_XZX_103,done_2122) := CostWhen{__TC__#_real}(d_c_internal,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_cc,done_2132) := CostDivi{__TC__#_real,__TC__#_real}(d_XZX_103,d_aa,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_XZX_109,done_2146) := CostWhen{__TC__#_real}(d_bb,d_CLK_x0_0,NilHomoTypeValue when CLK_x0_0)
             | (XZX_2184,done_2185) := CostMinus{__TC__#_real,__TC__#_real}(d_bb_127,d_y,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (XZX_2165,done_2166) := CostDivi{__TC__#_real,__TC__#_real}(XZX_2184,XZX_2178,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (d_x_185,done_2156) := CostUMinus{__TC__#_real}(XZX_2165,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (d_y,done_2201) := CostWhen{__TC__#_real}(d_yy,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (d_bb_127,done_2211) := CostWhen{__TC__#_real}(d_XZX_181,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (d_OK_238,done_2239) := CostLeftTT(d_OK_internal,d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_d_247,done_2262) := CostLeftTT(d_C_d,d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C__256,done_2285) := CostLeftTT(d_C_,d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_380_262,done_2300) := CostLeftTT(d_C_380,d_OK_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_C_cc_268,done_2315) := CostLeftTT(d_C_cc_internal,d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_cc_391_277,done_2338) := CostLeftTT(d_C_cc_391_internal,d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_error_283,done_2353) := CostLeftTT(d_C_error_internal,d_C_cc_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_C_error_323,done_2453) := CostOr(d_C_380_262,d_C_error_283,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_C_356,done_2541) := CostAnd(d_C_469,d_C__256,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_365,done_2565) := CostAnd(d_C_473,d_C_cc_391_277,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_2596,done_2597) := CostNot(d_C_d_247,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_375,done_2589) := CostAnd(XZX_2596,d_C_476,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_2612,done_2613) := CostNot(d_C_x21,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_378,done_2605) := CostAnd(XZX_2612,d_C_365,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_2628,done_2629) := CostNot(d_C_y,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_381,done_2621) := CostAnd(XZX_2628,d_C_356,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_2644,done_2645) := CostNot(d_C_335,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_384,done_2637) := CostAnd(XZX_2644,d_C_338,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_2660,done_2661) := CostNot(d_biterate,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_387,done_2653) := CostAnd(XZX_2660,d_C,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (XZX_2676,done_2677) := CostNot(d_C_380_262,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_C_391,done_2669) := CostAnd(XZX_2676,d_C_error_283,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_C_394,done_2685) := CostNot(d_C_cc_268,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_397,done_2692) := CostNot(d_OK_238,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK,done_2700) := CostWhen1(d_biterate,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_c_0,done_2716) := CostWhen1(d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_bb,done_2732) := CostWhen1(d_OK_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_CLK_d_0,done_2748) := CostWhen1(d_C_d,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_CLK_x0_0,done_2764) := CostWhen1(d_C_,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_CLK_24,done_2780) := CostWhen1(d_C_380,d_CLK_bb,NilHomoTypeValue when CLK_bb)
             | (d_CLK_C_cc_391_0,done_2796) := CostWhen1(d_C_cc_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_CLK_x_0,done_2812) := CostWhen1(d_C_cc_391_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | (d_CLK_err2_0,done_2828) := CostWhen1(d_C_error_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | (d_CLK_65,done_2876) := CostWhen1(d_C_335,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_x2_0,done_2908) := CostWhen1(d_C_y,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_XZX_181_0,done_2924) := CostWhen1(d_C__429,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_x21_0,done_2940) := CostWhen1(d_C_x21,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_CLK_x1_0,done_2956) := CostWhen1(d_C_x1,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | d_CLK_stable_0 := CostConst{__TC__#_event}()
             | (d_C_error_1154,done_3032) := CostWhen1(d_C_error_323,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_C_1171,done_3168) := CostWhen1(d_C_375,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_1172,done_3176) := CostWhen1(d_C_378,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_1173,done_3184) := CostWhen1(d_C_381,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_1174,done_3192) := CostWhen1(d_C_384,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_1175,done_3200) := CostWhen1(d_C_387,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_1176,done_3208) := CostWhen1(d_C_391,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_C_1177,done_3216) := CostWhen1(d_C_394,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_C_1178,done_3224) := CostWhen1(d_C_397,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             | (d_c_internal,done_3233) := CostInput{__TC__#_real}(d_c,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_b_internal,done_3245) := CostInput{__TC__#_real}(d_b,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_a_internal,done_3257) := CostInput{__TC__#_real}(d_a,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_x_internal,done_3269) := CostInput{__TC__#_real}(d_x,d_CLK_x_0,NilHomoTypeValue when CLK_x_0)
             | (d_err2_internal,done_3281) := CostInput{__TC__#_logical}(d_err2,d_CLK_err2_0,NilHomoTypeValue when CLK_err2_0)
             | (d_C_cc_internal,done_3293) := CostInput{__TC__#_logical}(d_C_cc,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_C_cc_391_internal,done_3305) := CostInput{__TC__#_logical}(d_C_cc_391,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | (d_C_error_internal,done_3317) := CostInput{__TC__#_logical}(d_C_error,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
             | (d_error,done_3340) := CostOutput{__TC__#_logical}(d_error_internal,d_C_error_1154,NilHomoTypeValue when CLK_error_0)
             | (d_x1,done_3351) := CostOutput{__TC__#_real}(d_x1_internal,d_CLK_x1_0,NilHomoTypeValue when CLK_x1_0)
             | (d_x2,done_3362) := CostOutput{__TC__#_real}(d_x2_internal,d_CLK_x2_0,NilHomoTypeValue when CLK_x2_0)
             | (d_OK,done_3373) := CostOutput{__TC__#_logical}(d_OK_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
             | (d_stable,done_3384) := CostOutput{__TC__#_logical}(d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
             |)
          |)
         where 
         event CLK_222, CLK_220, CLK_215, CLK_213, CLK_211, CLK_209, CLK_207, CLK_error_0, CLK_x1_0, CLK_x21_0, CLK_XZX_181_0, CLK_x2_0, CLK_65, CLK_46, CLK_err2_0, CLK_x_0, CLK_C_cc_391_0, CLK_x0_0, CLK_d_0, CLK_bb, CLK_c_0, CLK;
         boolean biterate, C, C_y, OK_354, C_d_364, C__375, C_cc_397, C__429, C_x21, C_x1, C_469, C_473, C_476, OK_238, C_d_247, C__256, C_cc_268, C_cc_391_277, C_356, C_365, C_375, C_378, C_381, C_384, C_387, C_394, C_397;
         HomoType d_c_internal, d_b_internal, d_a_internal, d_x_internal, d_err2_internal, d_C_cc_internal, d_C_cc_391_internal, d_C_error_internal, d_error_internal, d_x1_internal, d_x2_internal, d_OK_internal, d_stable_internal, d_x21, d_x0, d_x_194, 
                  d_d, d_bb, d_next_stable, d_yy, d_XZX_181, d_pre_next_yy, d_mx, d_next_yy, d_biterate, d_s, d_XZX_164, d_C, d_C_335, d_C_338, d_C_y, d_OK_354, d_C_d, d_C_d_364, d_C_, d_C__375, d_C_cc_397, d_C__429, d_C_x21, d_C_x1, d_C_469, d_C_473, 
                  d_C_476, d_C_380, d_dd, d_aa, d_XZX_99, d_XZX_103, d_cc, d_XZX_109, d_x_185, d_y, d_bb_127, d_OK_238, d_C_d_247, d_C__256, d_C_380_262, d_C_cc_268, d_C_cc_391_277, d_C_error_283, d_C_error_323, d_C_356, d_C_365, d_C_375, d_C_378, 
                  d_C_381, d_C_384, d_C_387, d_C_391, d_C_394, d_C_397, d_CLK, d_CLK_c_0, d_CLK_bb, d_CLK_d_0, d_CLK_x0_0, d_CLK_24, d_CLK_C_cc_391_0, d_CLK_x_0, d_CLK_err2_0, d_CLK_65, d_CLK_x2_0, d_CLK_XZX_181_0, d_CLK_x21_0, d_CLK_x1_0, 
                  d_CLK_stable_0, d_C_error_1154, d_C_1171, d_C_1172, d_C_1173, d_C_1174, d_C_1175, d_C_1176, d_C_1177, d_C_1178, done, XZX, done_1190, XZX_1201, done_1202, XZX_1212, done_1219, XZX_1229, done_1230, XZX_1241, done_1242, done_1253, 
                  done_1263, XZX_1275, done_1283, done_1293, XZX_1302, done_1303, XZX_1314, done_1315, done_1326, XZX_1338, XZX_1344, done_1345, done_1356, XZX_1365, done_1366, XZX_1378, XZX_1384, done_1385, done_1401, done_1411, done_1425, done_1439, 
                  XZX_1448, done_1449, XZX_1460, done_1461, XZX_1470, done_1471, XZX_1483, done_1492, XZX_1502, done_1503, done_1515, done_1525, XZX_1535, done_1536, done_1547, XZX_1556, done_1557, XZX_1568, done_1569, XZX_1578, done_1579, XZX_1591, 
                  XZX_1597, done_1598, XZX_1610, done_1611, done_1630, XZX_1639, done_1640, XZX_1649, done_1650, XZX_1659, done_1660, XZX_1669, done_1676, XZX_1685, done_1686, XZX_1695, done_1696, XZX_1708, done_1709, done_1720, done_1734, done_1741, 
                  XZX_1753, done_1760, XZX_1766, done_1767, XZX_1779, done_1787, done_1795, done_1803, XZX_1815, done_1822, XZX_1831, done_1832, XZX_1841, XZX_1848, done_1849, done_1860, XZX_1872, done_1879, XZX_1888, done_1889, XZX_1898, XZX_1905, 
                  done_1906, done_1917, XZX_1926, done_1927, XZX_1936, XZX_1943, done_1944, done_1955, done_1963, done_1971, done_1979, XZX_1986, done_1987, done_1995, XZX_2002, done_2003, done_2011, done_2018, XZX_2030, done_2053, XZX_2065, done_2066, 
                  XZX_2079, XZX_2086, done_2087, done_2102, done_2112, done_2122, done_2132, done_2146, done_2156, XZX_2165, done_2166, XZX_2178, XZX_2184, done_2185, done_2201, done_2211, done_2239, done_2262, done_2285, done_2300, done_2315, done_2338, 
                  done_2353, done_2453, done_2541, done_2565, done_2589, XZX_2596, done_2597, done_2605, XZX_2612, done_2613, done_2621, XZX_2628, done_2629, done_2637, XZX_2644, done_2645, done_2653, XZX_2660, done_2661, done_2669, XZX_2676, done_2677, 
                  done_2685, done_2692, done_2700, done_2716, done_2732, done_2748, done_2764, done_2780, done_2796, done_2812, done_2828, done_2876, done_2908, done_2924, done_2940, done_2956, done_3032, done_3168, done_3176, done_3184, done_3192, 
                  done_3200, done_3208, done_3216, done_3224, done_3233, done_3245, done_3257, done_3269, done_3281, done_3293, done_3305, done_3317, done_3340, done_3351, done_3362, done_3373, done_3384;
         process ACT_CLK_c_0 =
              ( )
            (| CLK_c_0 ^= C_383 ^= C_error_438 ^= C_380_262 ^= C_error_283 ^= C_error_323 ^= C_391
             | (| CLK_bb := when OK
                | CLK_bb ^= C_d ^= C_ ^= C_380 ^= d_bb ^= d_C_d ^= d_C_ ^= d_C_380 ^= d_dd ^= d_aa ^= d_XZX_99 ^= d_XZX_103 ^= d_cc ^= d_CLK_bb ^= XZX_1502 ^= XZX_1815 ^= XZX_1872 ^= XZX_2030 ^= XZX_2065 ^= XZX_2079 ^= XZX_2086
                | ACT_CLK_bb{}
                |)
             | (| CLK_C_cc_391_0 := when C_cc
                | CLK_C_cc_391_0 ^= C_cc_391 ^= C_error ^= d_C_cc_391 ^= d_C_error ^= d_C_cc_391_internal ^= d_C_error_internal ^= d_CLK_C_cc_391_0
                | ACT_CLK_C_cc_391_0{}
                |)
             | (| CLK_46 := when C_error_438
                | CLK_46 ^= XZX ^= XZX_1201
                |)
             | (| CLK_error_0 := when C_error_323
                | CLK_error_0 ^= d_error ^= d_error_internal ^= d_C_error_1154
                |)
             | (| CLK_217 := when C_391
                | CLK_217 ^= d_C_1176
                |)
             | (| C_383 := left_tt ( C_380,OK )
                | C_error_438 := C_383 or C_error_405
                | C_380_262 := left_tt ( C_380,OK )
                | C_error_283 := left_tt ( C_error,C_cc )
                | C_error_323 := C_380_262 or C_error_283
                | C_391 := (not C_380_262) and C_error_283
                | XZX_1275 := CostConst{__TC__#_real}()
                |)
             |)
            where 
            event CLK_217;
            boolean C_383, C_error_438, C_380_262, C_error_283, C_error_323, C_391;
            process ACT_CLK_bb =
                 ( )
               (| (| CLK_d_0 := when C_d
                   | CLK_d_0 ^= d_d ^= d_CLK_d_0 ^= XZX_1470 ^= XZX_1483 ^= XZX_1535 ^= XZX_1669
                   | ACT_CLK_d_0{}
                   |)
                | (| CLK_x0_0 := when C_
                   | CLK_x0_0 ^= d_x0 ^= d_XZX_109 ^= d_CLK_x0_0 ^= XZX_1338 ^= XZX_1344
                   | XZX_1338 := CostConst{__TC__#_real}()
                   |)
                | (| CLK_24 := when C_380
                   | CLK_24 ^= d_CLK_24 ^= XZX_1212
                   | XZX_1212 := CostConst{__TC__#_event}()
                   |)
                | (| XZX_1815 := CostConst{__TC__#_real}()
                   | XZX_1872 := CostConst{__TC__#_real}()
                   | XZX_2030 := CostConst{__TC__#_real}()
                   | XZX_2079 := CostConst{__TC__#_real}()
                   |)
                |)
               where 
               event CLK_24;
               process ACT_CLK_d_0 =
                    ( )
                  (| (| XZX_1483 := CostConst{__TC__#_real}()
                      | XZX_1669 := CostConst{__TC__#_event}()
                      |) |)
               %ACT_CLK_d_0%; 
               end
            %ACT_CLK_bb%; 
            process ACT_CLK_C_cc_391_0 =
                 ( )
               (| (| CLK_x_0 := when C_cc_391
                   | CLK_x_0 ^= d_x ^= d_x_internal ^= d_CLK_x_0
                   |)
                | (| CLK_err2_0 := when C_error
                   | CLK_err2_0 ^= err2 ^= d_err2 ^= d_err2_internal ^= d_CLK_err2_0
                   |)
                |)
            %ACT_CLK_C_cc_391_0%; 
            end
         %ACT_CLK_c_0%; 
         process ACT_CLK_x2_0 =
              ( )
            (| (| XZX_1378 := CostConst{__TC__#_real}()
                | XZX_2178 := CostConst{__TC__#_real}()
                |) |)
         %ACT_CLK_x2_0%; 
         process ACT_CLK_222 =
              ( )
            (| (| XZX_1841 := CostConst{__TC__#_logical}()
                | XZX_1898 := CostConst{__TC__#_logical}()
                |) |)
         %ACT_CLK_222%; 
         end
      %ACT_CLK_stable_0%; 
      end
   %Q1_COST%; %(| Tick := true when CLK_stable_0
                | C_234 := not biterate
                | C_235 := not stable
                | C_241 := not OK
                | C_d_244 := left_tt ( C_d,OK )
                | C_250 := not C_d
                | C__253 := left_tt ( C_,OK )
                | C_259 := not C_
                | C_265 := not C_380
                | C_271 := not C_cc
                | C_cc_391_274 := left_tt ( C_cc_391,C_cc )
                | C_280 := not C_cc_391
                | C_286 := not C_error
                | C_289 := not C_error_438
                | C_292 := not C
                | C_295 := not C_335
                | C_298 := not C_338
                | C_300 := not C_y
                | C_303 := not C__429
                | C_305 := not C_x21
                | C_308 := not C_x1
                | C_311 := not C_469
                | C_314 := not C_473
                | C_317 := not C_476
                | C_320 := C_cc_391 or C_error
                | C_326 := C_error_323 or C_cc
                | C_329 := C_326 or OK
                | C_332 := biterate or C
                | C_335_0 := C_335 or C_338
                | C_338_0 := C_y and C__429
                | C_341 := C__429 or OK_238
                | C_344 := C__429 and OK_238
                | C_347 := C_y and C_x21
                | C_350 := C_x21 and C_x1
                | C_353 := C_x21 and C_469
                | C_359 := C_356 or C_y
                | C_362 := C_x1 and C_473
                | C_368 := C_365 or C_x21
                | C_371 := C_476 or C_d_247
                | (d_C_383,done_2037) := CostLeftTT(d_C_380,d_OK_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_error_438,done_2045) := CostOr(d_C_383,d_C_error_405_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | d_Tick := CostConst{__TC__#_event}()
                | (d_C_234,done_2225) := CostNot(d_biterate,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_235,done_2232) := CostNot(d_stable_internal,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_241,done_2247) := CostNot(d_OK_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_d_244,done_2254) := CostLeftTT(d_C_d,d_OK_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_250,done_2270) := CostNot(d_C_d,d_CLK_bb,NilHomoTypeValue when CLK_bb)
                | (d_C__253,done_2277) := CostLeftTT(d_C_,d_OK_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_259,done_2293) := CostNot(d_C_,d_CLK_bb,NilHomoTypeValue when CLK_bb)
                | (d_C_265,done_2308) := CostNot(d_C_380,d_CLK_bb,NilHomoTypeValue when CLK_bb)
                | (d_C_271,done_2323) := CostNot(d_C_cc_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_cc_391_274,done_2330) := CostLeftTT(d_C_cc_391_internal,d_C_cc_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_280,done_2346) := CostNot(d_C_cc_391_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
                | (d_C_286,done_2361) := CostNot(d_C_error_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
                | (d_C_289,done_2368) := CostNot(d_C_error_438,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_292,done_2375) := CostNot(d_C,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_295,done_2382) := CostNot(d_C_335,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_298,done_2389) := CostNot(d_C_338,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_300,done_2396) := CostNot(d_C_y,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_303,done_2403) := CostNot(d_C__429,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_305,done_2410) := CostNot(d_C_x21,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_308,done_2417) := CostNot(d_C_x1,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_311,done_2424) := CostNot(d_C_469,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_314,done_2431) := CostNot(d_C_473,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_317,done_2438) := CostNot(d_C_476,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_320,done_2445) := CostOr(d_C_cc_391_internal,d_C_error_internal,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
                | (d_C_326,done_2461) := CostOr(d_C_error_323,d_C_cc_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_329,done_2469) := CostOr(d_C_326,d_OK_internal,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_332,done_2477) := CostOr(d_biterate,d_C,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_335_0,done_2485) := CostOr(d_C_335,d_C_338,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_338_0,done_2493) := CostAnd(d_C_y,d_C__429,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_341,done_2501) := CostOr(d_C__429,d_OK_238,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_344,done_2509) := CostAnd(d_C__429,d_OK_238,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_347,done_2517) := CostAnd(d_C_y,d_C_x21,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_350,done_2525) := CostAnd(d_C_x21,d_C_x1,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_353,done_2533) := CostAnd(d_C_x21,d_C_469,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_359,done_2549) := CostOr(d_C_356,d_C_y,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_362,done_2557) := CostAnd(d_C_x1,d_C_473,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_368,done_2573) := CostOr(d_C_365,d_C_x21,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_371,done_2581) := CostOr(d_C_476,d_C_d_247,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1113,done_2708) := CostWhen1(d_C_234,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1115,done_2724) := CostWhen1(d_C_235,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1117,done_2740) := CostWhen1(d_C_241,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_1119,done_2756) := CostWhen1(d_C_250,d_CLK_bb,NilHomoTypeValue when CLK_bb)
                | (d_C_1121,done_2772) := CostWhen1(d_C_259,d_CLK_bb,NilHomoTypeValue when CLK_bb)
                | (d_C_1123,done_2788) := CostWhen1(d_C_265,d_CLK_bb,NilHomoTypeValue when CLK_bb)
                | (d_C_1125,done_2804) := CostWhen1(d_C_271,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_1127,done_2820) := CostWhen1(d_C_280,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
                | (d_C_1129,done_2836) := CostWhen1(d_C_286,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
                | (d_CLK_46,done_2844) := CostWhen1(d_C_error_438,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_1131,done_2852) := CostWhen1(d_C_289,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_CLK_62,done_2860) := CostWhen1(d_C,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1133,done_2868) := CostWhen1(d_C_292,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1135,done_2884) := CostWhen1(d_C_295,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_CLK_68,done_2892) := CostWhen1(d_C_338,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1137,done_2900) := CostWhen1(d_C_298,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1139,done_2916) := CostWhen1(d_C_300,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1141,done_2932) := CostWhen1(d_C_303,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1143,done_2948) := CostWhen1(d_C_305,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1145,done_2964) := CostWhen1(d_C_308,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_CLK_102,done_2972) := CostWhen1(d_C_469,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1147,done_2980) := CostWhen1(d_C_311,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_CLK_104,done_2988) := CostWhen1(d_C_473,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1149,done_2996) := CostWhen1(d_C_314,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_CLK_107,done_3004) := CostWhen1(d_C_476,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1151,done_3012) := CostWhen1(d_C_317,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1153,done_3024) := CostWhen1(d_C_320,d_CLK_C_cc_391_0,NilHomoTypeValue when CLK_C_cc_391_0)
                | (d_C_1155,done_3040) := CostWhen1(d_C_326,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_1156,done_3048) := CostWhen1(d_C_329,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                | (d_C_1157,done_3056) := CostWhen1(d_C_332,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1158,done_3064) := CostWhen1(d_C_335_0,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1159,done_3072) := CostWhen1(d_C_338_0,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1160,done_3080) := CostWhen1(d_C_341,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1161,done_3088) := CostWhen1(d_C_344,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1162,done_3096) := CostWhen1(d_C_347,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1163,done_3104) := CostWhen1(d_C_350,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1164,done_3112) := CostWhen1(d_C_353,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1165,done_3120) := CostWhen1(d_C_356,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1166,done_3128) := CostWhen1(d_C_359,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1167,done_3136) := CostWhen1(d_C_362,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1168,done_3144) := CostWhen1(d_C_365,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1169,done_3152) := CostWhen1(d_C_368,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_1170,done_3160) := CostWhen1(d_C_371,d_CLK_stable_0,NilHomoTypeValue when CLK_stable_0)
                | (d_C_error_405_internal,done_3329) := CostInput{__TC__#_logical}(d_C_error_405,d_CLK_c_0,NilHomoTypeValue when CLK_c_0)
                |)***war: unused signals 
   *
   %
   use Cost_Context, STD, COSTBIB; 
end %M_Q1_COST%; 
