process SecondDegree_ABSTRACT =
     ( ? real a, b, c;
       ! boolean err;
         real x21, x2;
         boolean stable, C_y, C_bb, C_err, C_x;
     )
   pragmas 
      GreyBox "SecondDegree"
   end pragmas
   (| (| Tick := true
       | when Tick ^= stable ^= C_y ^= C_x
       | when stable ^= a ^= b ^= c ^= C_bb
       | when C_y ^= x2
       | when C_bb ^= C_err
       | when C_err ^= err
       | when C_x ^= x21
       |)
    | (| nlabel :: (err,x21,x2,C_y,C_err,C_x) := SecondDegree_Cluster_1()
       | nlabel ^= when Tick
       |)
    | (| nlabel_368 :: SecondDegree_Cluster_2(b)
       | nlabel_368 ^= when stable
       |)
    | (| nlabel_369 :: SecondDegree_Cluster_3(c)
       | nlabel_369 ^= when stable
       |)
    | (| nlabel_370 :: C_bb := SecondDegree_Cluster_4(a)
       | nlabel_370 ^= when Tick
       |)
    | (| nlabel_393 :: stable := SecondDegree_Cluster_delays()
       | nlabel_393 ^= when Tick
       |)
    | (| c --> nlabel
       | b --> nlabel
       | a --> nlabel
       | nlabel_368 --> nlabel
       | b --> nlabel_368
       | a --> nlabel_368
       | nlabel_369 --> nlabel
       | c --> nlabel_369
       | a --> nlabel_369
       | nlabel_370 --> nlabel_369
       | nlabel_370 --> nlabel_368
       | nlabel_370 --> nlabel
       | a --> nlabel_370
       | nlabel_370 --> nlabel_393
       | nlabel_369 --> nlabel_393
       | nlabel_368 --> nlabel_393
       | nlabel --> nlabel_393
       |)
    |)
   where 
   boolean Tick;
   label nlabel, nlabel_368, nlabel_369, nlabel_370, nlabel_393; 
   action SecondDegree_Cluster_1 =
        ( ! boolean err;
            real x21;
            real x2;
            boolean C_y;
            boolean C_err;
            boolean C_x;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster
         BlackBox ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_1%; 
   action SecondDegree_Cluster_2 =
        ( ? real b;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster
         BlackBox ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_2%; 
   action SecondDegree_Cluster_3 =
        ( ? real c;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster
         BlackBox ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_3%; 
   action SecondDegree_Cluster_4 =
        ( ? real a;
          ! boolean C_bb;
        )
      pragmas 
         DefinedClockHierarchy
         Cluster
         BlackBox ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_4%; 
   action SecondDegree_Cluster_delays =
        ( ! boolean stable init true;
        )
      pragmas 
         DelayCluster
         Cluster
         BlackBox ""
      end pragmas
      external "C"
   %SecondDegree_Cluster_delays%; 
   end
%SecondDegree_ABSTRACT%; 
