process MOUSE =
     { integer M; }
     ( ? event TICK;
         event CLICK;
       ! event START;
         event RELAX;
         event SINGLE;
         event DOUBLE;
     )
   (| (| START_RELAX := DEF_INTERVAL{false}(START,RELAX)
       | START_RELAX ^= CLICK default TICK
       |)
    | (| START := OUT_INTERVAL(CLICK,START_RELAX)
       | RELAX := DYN_EVERY_AFTER{0,M,M}(0 when START,M when START,IN_INTERVAL(TICK,START_RELAX),START)
       |)
    | (| DOUBLE_CLICK := ((not (when START)) default IN_INTERVAL(CLICK,START_RELAX)) cell RELAX
       | DOUBLE := RELAX when DOUBLE_CLICK
       | SINGLE := RELAX when (not DOUBLE_CLICK)
       |)
    |)
   where 
   boolean START_RELAX, DOUBLE_CLICK;
   process IN_INTERVAL =
        ( ? X;
            boolean INTERVAL;
          ! SX;
        )
      (| SX := X when INTERVAL |)
   ; 
   process DEF_INTERVAL =
        { boolean INIT_INTERVAL; }
        ( ? event H1;
            event H2;
          ! boolean INTERVAL;
        )
      (| WBI := ((not H2) when BTI) default H1 default BTI
       | BTI := WBI$1
       | INTERVAL := BTI
       |)
      where 
      boolean WBI, BTI init INIT_INTERVAL;
      end
   ; 
   process OUT_INTERVAL =
        ( ? X;
            boolean INTERVAL;
          ! SX;
        )
      (| SX := X when (not INTERVAL) |)
   ; 
   process DYN_EVERY_AFTER =
        { integer PHY_0, PI_0, V_0; }
        ( ? integer PHY;
            integer PERIOD;
            event HE;
            event HRESET;
          ! event HS;
        )
      (| H := HE default HRESET
       | MAX1 := ((0 when (PERIOD<=1)) default (PERIOD-1)) cell H
       | MAX := MAX1 when H
       | CPHY1 := ((0 when (PHY<0)) default PHY) cell H
       | CPHY := CPHY1 when H
       | ZV := V$1
       | V := (0 when HRESET) default (0 when (ZV>=MAX)) default (ZV+1)
       | HS := HE when (V=CPHY)
       |)
      where 
      integer MAX1 init PI_0-1, MAX, CPHY1 init PHY_0, CPHY, ZV init V_0, V;
      event H;
      end
   ; 
   end
; 
