module AADL_DATAACCESS=

process RequiresDataAccess =
{ integer F_min_offset, F_max_offset, L_min_offset, L_max_offset;}
(? event FirstTime, F_Reference_Time, F_unit1, F_unit2;
   event LastTime, L_Reference_Time, L_unit1, L_unit2; 
   DataResource;
 ! Data_type access_value;)
  (| Between{F_min_offset, F_max_offset}
            (FirstTime, F_Reference_Time, F_unit1, F_unit2)
   | Get_Resource(FirstTime, DataResource)
   | return_value := Get_Value(DataResource)
   | access_value := M(return_value, ^access_value)
   | Between{L_min_offset, L_max_offset}
            (LastTime, L_Reference_Time, L_unit1, L_unit2)
   | Release_Resource(LastTime, DataResource)
   | )
   where
     Data_type return_value
   end;



process Get_Resource =
(? event time; Resource;)
(||);

process Release_Resource =
(? event time; Resource;)
(||);

process Get_Value =
(? Resource; ! ReturnValue;)
(||);


process ProvidessDataAccess =
{ integer F_min_offset, F_max_offset, L_min_offset, L_max_offset;}
(? event FirstTime, F_Reference_Time, F_unit1, F_unit2;
   event LastTime, L_Reference_Time, L_unit1, L_unit2; 
   DataResource; Data_type value;)
  (| Between{F_min_offset, F_max_offset}
            (FirstTime, F_Reference_Time, F_unit1, F_unit2)
   | Get_Resource(FirstTime, DataResource)
   | Put_Value(DataResource, pvalue)
   | pvalue := M(value, ^pvalue)
   | Between{L_min_offset, L_max_offset}
            (LastTime, L_Reference_Time, L_unit1, L_unit2)
   | Release_Resource(LastTime, DataResource)
   | )
   where
     Data_type pvalue
   end;
   
process Put_Value =
(? Resource; Value;)
(||);


end;
